/*
 * Created by Artureanec
*/

"use strict";

function cosmecos_reactivate_sortable() {
    jQuery('.cosmecos_text_table_rows').sortable(
        {
            handle: '.cosmecos_text_table_row_move',
        }
    );
}

function cosmecos_rwmb_and_customizer_condition() {
    jQuery("[data-dependency-id]").each(function (index) {
        var cosmecos_target = jQuery(this).attr('data-dependency-id');
        var cosmecos_needed_val = jQuery(this).attr('data-dependency-val');
        var cosmecos_needed_val_array = new Array();
        var cosmecos_array_just_ok = false;

        if(cosmecos_needed_val.indexOf(',') + 1) {
            // Work with array value
            cosmecos_needed_val = cosmecos_needed_val.replace(/\s+/g,'');
            cosmecos_needed_val_array = cosmecos_needed_val.split(",");

            var cosmecos_this = jQuery(this);

            cosmecos_needed_val_array.forEach(function(item, i, cosmecos_arr) {
                if (cosmecos_this.hasClass('cosmecos_dependency_customizer')) {
                    if (cosmecos_array_just_ok !== true) {
                        if (jQuery('#customize-control-' + cosmecos_target).find('select').val() == item) {
                            cosmecos_array_just_ok = true;
                        }
                    }
                }
                else {
                    if (cosmecos_array_just_ok !== true) {
                        if (jQuery('#' + cosmecos_target).val() == item) {
                            cosmecos_array_just_ok = true;
                        }
                    }
                }
            });

            if (jQuery(this).hasClass('cosmecos_dependency_customizer')) {
                var cosmecos_target_status = jQuery('#customize-control-' + cosmecos_target).find('select').val();
                var cosmecos_dependency_elem_cont = jQuery(this).parents('.customize-control');
            } else {
                var cosmecos_target_status = jQuery('#' + cosmecos_target).val();
                var cosmecos_dependency_elem_cont = jQuery(this).parents('.rwmb-field');
            }

            if (cosmecos_array_just_ok == true) {
                cosmecos_dependency_elem_cont.show('fast');
            } else {
                cosmecos_dependency_elem_cont.hide('fast');
            }
        } else {
            // Just one value
            if (jQuery(this).hasClass('cosmecos_dependency_customizer')) {
                var cosmecos_target_status = jQuery('#customize-control-' + cosmecos_target).find('select').val();
                var cosmecos_dependency_elem_cont = jQuery(this).parents('.customize-control');
            } else {
                var cosmecos_target_status = jQuery('#' + cosmecos_target).val();
                var cosmecos_dependency_elem_cont = jQuery(this).parents('.rwmb-field');
            }

            if (cosmecos_needed_val == cosmecos_target_status) {
                cosmecos_dependency_elem_cont.show('fast');
            } else {
                cosmecos_dependency_elem_cont.hide('fast');
            }
        }
    });
}

function cosmecos_hide_unnecessary_options() {
    if (jQuery('.cosmecos_this_template_file').size() < 1) {
        var cosmecos_this_template_file = 'cosmecos_temp_333';
    }
    if (jQuery('.cosmecos_this_template_file').size() > 0) {
        cosmecos_this_template_file = jQuery('.cosmecos_this_template_file').val();
    }
    jQuery("[data-show-on-template-file]").each(function (index) {
        var cosmecos_unnecessary_target = jQuery(this).attr('data-show-on-template-file');
        if (cosmecos_unnecessary_target.indexOf(',') > -1) {
            var cosmecos_unnecessary_target_array = cosmecos_unnecessary_target.split(',');
            var cosmecos_rwmb_del_status = 'not find';
            jQuery.each(cosmecos_unnecessary_target_array, function (i, val) {
                if (cosmecos_this_template_file == val.trim()) {
                    cosmecos_rwmb_del_status = 'find';
                }
            });
            if (cosmecos_rwmb_del_status == 'not find') {
                jQuery(this).parents('.rwmb-field').remove();
            }
        } else {
            if (cosmecos_this_template_file !== cosmecos_unnecessary_target) {
                jQuery(this).parents('.rwmb-field').remove();
            }
        }
    });

    jQuery("[data-hide-on-template-file]").each(function (index) {
        var cosmecos_unnecessary_target = jQuery(this).attr('data-hide-on-template-file');
        if (cosmecos_unnecessary_target.indexOf(',') > -1) {
            var cosmecos_unnecessary_target_array = cosmecos_unnecessary_target.split(',');
            var cosmecos_rwmb_del_status = 'not find';
            jQuery.each(cosmecos_unnecessary_target_array, function (i, val) {
                if (cosmecos_this_template_file == val.trim()) {
                    cosmecos_rwmb_del_status = 'find';
                }
            });
            if (cosmecos_rwmb_del_status == 'find') {
                jQuery(this).parents('.rwmb-field').remove();
            }
        } else {
            if (cosmecos_this_template_file == cosmecos_unnecessary_target) {
                jQuery(this).parents('.rwmb-field').remove();
            }
        }
    });
}

jQuery(window).on('load', function () {
    var val = jQuery('#post-format-selector-0').val();

    cosmecos_onchange_post_formats2(val);
});

jQuery(document).on('change', '#post-format-selector-0', function(){
    cosmecos_onchange_post_formats2(jQuery(this).val());
});

function cosmecos_onchange_post_formats2(val) {
    jQuery('#image-post-format-settings, #video-post-format-settings, #audio-past-format-settings, #quote-post-format-settings, #link-post-format-settings, #gallery-post-format-settings').hide('fast');

    if (val == 'gallery') {
        jQuery('#gallery-post-format-settings').show('fast');
    }
    if (val == 'link') {
        jQuery('#link-post-format-settings').show('fast');
    }
    if (val == 'image') {
        jQuery('#image-post-format-settings').show('fast');
    }
    if (val == 'quote') {
        jQuery('#quote-post-format-settings').show('fast');
    }
    if (val == 'standard') {
        jQuery('#image-post-format-settings, #video-post-format-settings, #audio-past-format-settings, #quote-post-format-settings, #link-post-format-settings, #gallery-post-format-settings').hide('fast');
    }
    if (val == 'video') {
        jQuery('#video-post-format-settings').show('fast');
    }
    if (val == 'audio') {
        jQuery('#audio-past-format-settings').show('fast');
    }
}

function cosmecos_onchange_post_formats() {
    var cosmecos_post_format = jQuery('#post-formats-select input:checked').val();

    jQuery('#image-post-format-settings, #video-post-format-settings, #audio-past-format-settings, #quote-post-format-settings, #link-post-format-settings, #gallery-post-format-settings').hide('fast');

    if (cosmecos_post_format == 'standard') {
        jQuery('#image-post-format-settings, #video-post-format-settings, #audio-past-format-settings, #quote-post-format-settings, #link-post-format-settings, #gallery-post-format-settings').hide('fast');
    }

    if (cosmecos_post_format == 'gallery') {
        jQuery('#gallery-post-format-settings').show('fast');
    }

    if (cosmecos_post_format == 'image') {
        jQuery('#image-post-format-settings').show('fast');
    }

    if (cosmecos_post_format == 'video') {
        jQuery('#video-post-format-settings').show('fast');
    }

    if (cosmecos_post_format == 'audio') {
        jQuery('#audio-past-format-settings').show('fast');
    }

    if (cosmecos_post_format == 'quote') {
        jQuery('#quote-post-format-settings').show('fast');
    }

    if (cosmecos_post_format == 'link') {
        jQuery('#link-post-format-settings').show('fast');
    }

    if (jQuery('#post-formats-select').length < 1) {
        // Body Class
        if (jQuery('body').hasClass('post-type-gallery')) {
            jQuery('#gallery-post-format-settings').show('fast');
            setTimeout("jQuery('#gallery-post-format-settings').show('fast')",100);
        } else if (jQuery('body').hasClass('post-type-image')) {
            jQuery('#image-post-format-settings').show('fast');
            setTimeout("jQuery('#image-post-format-settings').show('fast')",100);
        } else if (jQuery('body').hasClass('post-type-video')) {
            jQuery('#video-post-format-settings').show('fast');
            setTimeout("jQuery('#video-post-format-settings').show('fast')",100);
        } else if (jQuery('body').hasClass('post-type-audio')) {
            jQuery('#audio-past-format-settings').show('fast');
            setTimeout("jQuery('#audio-post-format-settings').show('fast')",100);
        } else if (jQuery('body').hasClass('post-type-quote')) {
            jQuery('#quote-post-format-settings').show('fast');
            setTimeout("jQuery('#quote-post-format-settings').show('fast')",100);
        } else if (jQuery('body').hasClass('post-type-link')) {
            jQuery('#link-post-format-settings').show('fast');
            setTimeout("jQuery('#link-post-format-settings').show('fast')",100);
        } else {
            jQuery('#image-post-format-settings, #video-post-format-settings, #audio-past-format-settings, #quote-post-format-settings, #link-post-format-settings, #gallery-post-format-settings').hide('fast');
        }
    }
}

jQuery(document).ready(function () {
    if (jQuery('#centered_content_hide').length) {
        console.log('i found it');
        console.log(jQuery('#centered_content_hide').val());
        if (jQuery('#centered_content_hide').val() == 'yes') {
            console.log('this is yes');
            jQuery('body').addClass('cosmecos_hide_content');
        } else {
            console.log('this is no');
            jQuery('body').removeClass('cosmecos_hide_content');
        }
    }
    jQuery('#centered_content_hide').on('change', function(){
        if (jQuery(this).val() == 'yes') {
            jQuery('body').addClass('cosmecos_hide_content');
        } else {
            jQuery('body').removeClass('cosmecos_hide_content');
        }
    });
    if (jQuery('#page_template').size() > 0 && jQuery('#page_template').val() !== 'default') {
        jQuery('body').addClass(jQuery('#page_template').val().split('.')[0]);
    }

    jQuery("[data-dependency-id]").parents('.rwmb-field').hide();

    cosmecos_onchange_post_formats();
    cosmecos_rwmb_and_customizer_condition();
    cosmecos_hide_unnecessary_options();

    jQuery('.rwmb-select, .customize-control-select select').change(function () {
        cosmecos_rwmb_and_customizer_condition();
    });

    jQuery('#post-formats-select input').on("click", function () {
        cosmecos_onchange_post_formats();
    });

    jQuery('.cosmecos_reset_all_settings').on("click", function () {
        if (confirm("Are you sure? All settings will be reset to default state.")) {
            jQuery.post(ajaxurl, {
                action: 'cosmecos_reset_all_settings'
            }, function (response) {
                alert(response);
            });
        }
    });

    jQuery(document).on("click", '.cosmecos_text_table_add_row', function () {
        var cosmecos_text_table_data_storage_name = jQuery(this).parents('.widget-content').find('.cosmecos_text_table_data_storage_name').val();
        var cosmecos_text_table_name_text = jQuery(this).parents('.widget-content').find('.cosmecos_text_table_name_text').val();
        var cosmecos_text_table_value_text = jQuery(this).parents('.widget-content').find('.cosmecos_text_table_value_text').val();

        jQuery(this).parents('.widget-content').find('.cosmecos_text_table_rows').append('<div class="cosmecos_text_table_row cosmecos_dn"><div class="cosmecos_50_dib"><label>' + cosmecos_text_table_name_text + ':</label><input class="widefat" type="text" name="' + cosmecos_text_table_data_storage_name + '[][name]" value=""></div><div class="cosmecos_50_dib"><label>' + cosmecos_text_table_value_text + ':</label><textarea class="widefat" type="text" name="' + cosmecos_text_table_data_storage_name + '[][value]"></textarea></div><div class="cosmecos_text_table_row_remove"><i class="fa fa-trash"></i></div><div class="cosmecos_text_table_row_move"><i class="fa fa-arrows"></i></div></div>');
        jQuery('.cosmecos_dn').slideDown("fast").removeClass('cosmecos_dn');
    });

    jQuery(document).on("click", '.cosmecos_text_table_row_remove', function () {
        jQuery(this).parents('.cosmecos_text_table_row').slideUp("normal", function () {
            jQuery(this).remove();
        });
    });

    jQuery(document).on("click", '.widget-control-save', function () {
        setTimeout(function () {
            cosmecos_reactivate_sortable()
        }, 1000);
        setTimeout(function () {
            cosmecos_reactivate_sortable()
        }, 2000);
        setTimeout(function () {
            cosmecos_reactivate_sortable()
        }, 3000);
    });

    cosmecos_reactivate_sortable();

    function media_upload() {
        var _custom_media = true,
            _orig_send_attachment = wp.media.editor.send.attachment;
        jQuery('body').on('click', '.js_custom_upload_media', function () {
            var button_id   = jQuery(this).attr('id'),
                preview_url = '';
            wp.media.editor.send.attachment = function (props, attachment) {
                if ( typeof attachment !== 'undefined' ) {
                    if (_custom_media) {
                        if (typeof attachment.sizes.medium !== 'undefined') {
                            preview_url = attachment.sizes.medium.url;
                        } else {
                            preview_url = attachment.sizes.full.url;
                        }
                        jQuery('.' + button_id + '_img').attr('src', preview_url).removeClass('hidden');
                        jQuery('.' + button_id + '_url').val(attachment.url).change();
                        jQuery('.' + button_id + '_id').val(attachment.id).change();
                        // console.log('Check #1');
                    } else {
                        // console.log('Check #2');
                        return _orig_send_attachment.apply(jQuery('#' + button_id), [props, attachment]);
                    }
                    // console.log('Before hide button');
                    jQuery('#' + button_id).removeClass('empty').addClass('hidden');
                    // console.log('After hide button');
                    jQuery('.media-widget-buttons', jQuery(this).parents('.media-widget-control')).find('.js_custom_remove_media').removeClass('hidden');
                }
            };
            // console.log('Check #4');
            if ( typeof wp !== 'undefined' && wp.media && wp.media.editor ) {
                wp.media.editor.open(jQuery('#' + button_id));
            }

            return false;
        });
    }
    media_upload();

    function media_remove() {
        jQuery('body').on('click', '.js_custom_remove_media', function() {
            jQuery('.media_image', jQuery(this).parents('.media-widget-control')).find('input.widefat').val('').change();
            jQuery('.media_image', jQuery(this).parents('.media-widget-control')).find('input.widefat2').val('').change();
            jQuery('.media_image', jQuery(this).parents('.media-widget-control')).find('img').attr('src', '').addClass('hidden');
            jQuery('.media_image', jQuery(this).parents('.media-widget-control')).find('.js_custom_upload_media').addClass('empty').removeClass('hidden');
            jQuery(this).addClass('hidden');
        });
    }
    media_remove();
});

jQuery('.cosmecos_color_picker .rwmb-color').each(function(){
    var color = jQuery(this).attr('placeholder');

    if (jQuery(this).val() === '') {
        jQuery(this).val(color);
    }
});


