<?php
/**
 * The template for displaying single portfolio item page
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package WordPress
 * @subpackage Cosmecos
 * @since Cosmecos 1.0
 */

the_post();
get_header();

$sidebar_args = cosmecos_get_sidebar_args();
$sidebar_position = $sidebar_args['sidebar_position'];

$content_classes = 'content-wrapper';
$content_classes .= ' content-wrapper-sidebar-position-' . esc_attr($sidebar_position);
?>

    <div class="<?php echo esc_attr($content_classes); ?>">

        <!-- Content Container -->
        <div class="content">

            <div id="portfolio-<?php the_ID(); ?>" class="single-portfolio">

                <?php if ( !empty(cosmecos_portfolio_media_output()) ) {
                    echo '<div class="portfolio-post-gallery">';
                        echo cosmecos_portfolio_media_output();
                    echo '</div>';
                ?>

                <div class="portfolio-post-content">
                    <?php
                        if ( !empty(get_the_title()) ) {
                            echo '<h3 class="portfolio-post-title cosmecos-heading"><span class="cosmecos-heading-content">' . get_the_title() . '</span></h3>';
                        }
                    }
                    ?>

                    <?php the_content(); ?>

                    <div class="portfolio-post-meta">
                        <?php
                            if ( !empty(cosmecos_portfolio_categories_output()) ) {
                                echo '<div class="portfolio-post-meta-item">';
                                    echo cosmecos_portfolio_categories_output(get_the_ID(), true, true);
                                echo '</div>';
                            }
                            if ( !empty(cosmecos_get_post_option('portfolio_author')) ) {
                                echo '<div class="portfolio-post-meta-item">';
                                    echo esc_html__('Author: ', 'cosmecos') . esc_html(cosmecos_get_post_option('portfolio_author'));
                                echo '</div>';
                            }
                            if ( !empty(cosmecos_get_post_option('portfolio_client')) ) {
                                echo '<div class="portfolio-post-meta-item">';
                                    echo esc_html__('Client: ', 'cosmecos') . esc_html(cosmecos_get_post_option('portfolio_client'));
                                echo '</div>';
                            }
                            if ( !empty(get_the_date()) ) {
                                echo '<div class="portfolio-post-meta-item">';
                                    echo esc_html__('Date: ', 'cosmecos') . get_the_date();
                                echo '</div>';
                            }
                            if ( !empty(cosmecos_socials_output()) ) {
                                echo '<div class="portfolio-post-meta-item">';
                                    echo esc_html__('Share: ', 'cosmecos') . cosmecos_socials_output('wrapper-socials');
                                echo '</div>';
                            }
                        ?>
                    </div>
                </div>
            </div>

            <?php
                echo cosmecos_post_navigation();
            ?>

        </div>

        <!-- Sidebar Container -->
        <?php get_sidebar(); ?>

    </div>

<?php
get_footer();