<?php
/*
 * Created by Artureanec
*/

global $cosmecos_custom_css;

if (class_exists('WooCommerce') &&  is_woocommerce()) {
    global $post;
    $page_id    = wc_get_page_id('shop');
    $post       = get_post($page_id);
}

// -------------------------------- //
// ------- Additional Fonts ------- //
// -------------------------------- //
$cosmecos_custom_css .= "
    @font-face {
        font-family: 'Quentin';
        src: url('" . get_template_directory_uri() . "/fonts/Quentin.eot');
        src: url('" . get_template_directory_uri() . "/fonts/Quentin.eot#iefix') format('embedded-opentype'),
             url('" . get_template_directory_uri() . "/fonts/Quentin.woff2') format('woff2'),
             url('" . get_template_directory_uri() . "/fonts/Quentin.woff') format('woff'),
             url('" . get_template_directory_uri() . "/fonts/Quentin.ttf') format('truetype'),
             url('" . get_template_directory_uri() . "/fonts/Quentin.svg') format('svg');
        font-weight: normal;
        font-style: normal;
    }
";

// ----------------------------- //
// ------ Top Bar Colors ------- //
// ----------------------------- //
$top_bar_default_text_color = cosmecos_get_prepared_option('top_bar_default_text_color', 'contrast_default_text_color', 'top_bar_customize');
if ( !empty($top_bar_default_text_color) ) {
    $cosmecos_custom_css .= '
        .top-bar,
        .top-bar a {
            color: ' . esc_attr($top_bar_default_text_color) . ';
        }
        .wrapper-contacts .contact-item:not(:last-child):after,
        ul.top-bar-menu li:not(:last-child):after {
            background-color: ' . esc_attr($top_bar_default_text_color) . ';
        }
    ';
}

$top_bar_dark_text_color = cosmecos_get_prepared_option('top_bar_dark_text_color', 'contrast_dark_text_color', 'top_bar_customize');
if ( !empty($top_bar_dark_text_color) ) {
    $cosmecos_custom_css .= '';
}

$top_bar_light_text_color = cosmecos_get_prepared_option('top_bar_light_text_color', 'contrast_light_text_color', 'top_bar_customize');
if ( !empty($top_bar_light_text_color) ) {
    $cosmecos_custom_css .= '';
}

$top_bar_accent_text_color = cosmecos_get_prepared_option('top_bar_accent_text_color', 'contrast_accent_text_color', 'top_bar_customize');
if ( !empty($top_bar_accent_text_color) ) {
    $cosmecos_custom_css .= '
        .top-bar a:hover,
        .top-bar .top-bar-additional-text mark {
            color: ' . esc_attr($top_bar_accent_text_color) . ';
        }
    ';
}

$top_bar_border_color = cosmecos_get_prepared_option('top_bar_border_color', 'contrast_border_color', 'top_bar_customize');
if ( !empty($top_bar_border_color) ) {
    $cosmecos_custom_css .= '';
}

$top_bar_border_hover_color = cosmecos_get_prepared_option('top_bar_border_hover_color', 'contrast_border_hover_color', 'top_bar_customize');
if ( !empty($top_bar_border_hover_color) ) {
    $cosmecos_custom_css .= '
        .wrapper-socials.top-bar-socials:before {
            background-color: ' . esc_attr($top_bar_border_hover_color) . ';
        }
    ';
}

$top_bar_background_color = cosmecos_get_prepared_option('top_bar_background_color', 'contrast_background_color', 'top_bar_customize');
if ( !empty($top_bar_background_color) ) {
    $cosmecos_custom_css .= '
        .top-bar {
            background-color: ' . esc_attr($top_bar_background_color) . ';
        }
    ';
}

$top_bar_background_alter_color = cosmecos_get_prepared_option('top_bar_background_alter_color', 'contrast_background_alter_color', 'top_bar_customize');
if ( !empty($top_bar_background_alter_color) ) {
    $cosmecos_custom_css .= '';
}

$top_bar_button_text_color = cosmecos_get_prepared_option('top_bar_button_text_color', 'contrast_button_text_color', 'top_bar_customize');
if ( !empty($top_bar_button_text_color) ) {
    $cosmecos_custom_css .= '';
}

$top_bar_button_border_color = cosmecos_get_prepared_option('top_bar_button_border_color', 'contrast_button_border_color', 'top_bar_customize');
if ( !empty($top_bar_button_border_color) ) {
    $cosmecos_custom_css .= '';
}

$top_bar_button_background_color = cosmecos_get_prepared_option('top_bar_button_background_color', 'contrast_button_background_color', 'top_bar_customize');
if ( !empty($top_bar_button_background_color) ) {
    $cosmecos_custom_css .= '';
}

$top_bar_button_text_hover = cosmecos_get_prepared_option('top_bar_button_text_hover', 'contrast_button_text_hover', 'top_bar_customize');
if ( !empty($top_bar_button_text_hover) ) {
    $cosmecos_custom_css .= '';
}

$top_bar_button_border_hover = cosmecos_get_prepared_option('top_bar_button_border_hover', 'contrast_button_border_hover', 'top_bar_customize');
if ( !empty($top_bar_button_border_hover) ) {
    $cosmecos_custom_css .= '';
}

$top_bar_button_background_hover = cosmecos_get_prepared_option('top_bar_button_background_hover', 'contrast_button_background_hover', 'top_bar_customize');
if ( !empty($top_bar_button_background_hover) ) {
    $cosmecos_custom_css .= '';
}

// ---------------------------- //
// ------ Header Colors ------- //
// ---------------------------- //
$header_default_text_color = cosmecos_get_prepared_option('header_default_text_color', 'standard_default_text_color', 'header_customize');
if ( !empty($header_default_text_color) ) {
    $cosmecos_custom_css .= '
        .header,
        .mobile-header {
            color: ' . esc_attr($header_default_text_color) . ';
        }
    ';
}

$header_dark_text_color = cosmecos_get_prepared_option('header_dark_text_color', 'standard_dark_text_color', 'header_customize');
if ( !empty($header_dark_text_color) ) {
    $cosmecos_custom_css .= '
        .header .main-menu > li.menu-item-has-children > a:after,
        .header a,
        .header .main-menu > li > a,
        .header .main-menu > li > a:hover,
        .header .logo-link .logo-site-name,
        .header .header-icon,
        .mobile-header a,
        .mobile-header .logo-link .logo-site-name,
        .mobile-header .header-icon,
        .mobile-header-menu-container a,
        .mobile-header-menu-container .logo-link .logo-site-name,
        .mobile-header-menu-container .header-icon,
        .error-404-header .logo-link .logo-site-name,
        .header .mini-cart-trigger,
        .header .mini-cart-trigger:hover,
        .header-type-2 .dropdown-trigger .dropdown-trigger-item,
        .mobile-header-menu-container {
            color: ' . esc_attr($header_dark_text_color) . ';
        }
        .mobile-header .menu-trigger .hamburger span,
        .dropdown-trigger .dropdown-trigger-item,
        .header .main-menu > li > a:before {
            background-color: ' . esc_attr($header_dark_text_color) . ';
        }
    ';
}

$header_light_text_color = cosmecos_get_prepared_option('header_light_text_color', 'standard_light_text_color', 'header_customize');
if ( !empty($header_light_text_color) ) {
    $cosmecos_custom_css .= '';
}

$header_accent_text_color = cosmecos_get_prepared_option('header_accent_text_color', 'standard_accent_text_color', 'header_customize');
if ( !empty($header_accent_text_color) ) {
    $cosmecos_custom_css .= '
        .dropdown-trigger .dropdown-trigger-item,
        .header-type-2 .dropdown-trigger .dropdown-trigger-item:hover {
            color: ' . esc_attr($header_accent_text_color) . ';
        }
    ';
}

$header_border_color = cosmecos_get_prepared_option('header_border_color', 'standard_border_color', 'header_customize');
if ( !empty($header_border_color) ) {
    $cosmecos_custom_css .= '
        .mobile-header-menu-container .main-menu > li,
        .header-type-2 .dropdown-trigger .dropdown-trigger-item {
            border-color: ' . esc_attr($header_border_color) . ';
        }
    ';
}

$header_border_hover_color = cosmecos_get_prepared_option('header_border_hover_color', 'standard_border_hover_color', 'header_customize');
if ( !empty($header_border_hover_color) ) {
    $cosmecos_custom_css .= '';
}

$header_background_color = cosmecos_get_prepared_option('header_background_color', 'standard_background_color', 'header_customize');
if ( !empty($header_background_color) ) {
    $cosmecos_custom_css .= '
        .header,
        .mobile-header,
        .mobile-header-menu-container {
            background-color: ' . esc_attr($header_background_color) . ';
        }
    ';
}

$header_background_alter_color = cosmecos_get_prepared_option('header_background_alter_color', 'standard_background_alter_color', 'header_customize');
if ( !empty($header_background_alter_color) ) {
    $cosmecos_custom_css .= '';
}

$header_button_text_color = cosmecos_get_prepared_option('header_button_text_color', 'standard_button_text_color', 'header_customize');
if ( !empty($header_button_text_color) ) {
    $cosmecos_custom_css .= '
        .header .header-button-container .cosmecos-button, 
        .mobile-header .header-button-container .cosmecos-button, 
        .mobile-header-menu-container .header-button-container .cosmecos-button {
            color: ' . esc_attr($header_button_text_color) . ';
        }
    ';
}

$header_button_border_color = cosmecos_get_prepared_option('header_button_border_color', 'standard_button_border_color', 'header_customize');
if ( !empty($header_button_border_color) ) {
    $cosmecos_custom_css .= '
        .header .header-button-container .cosmecos-button, 
        .mobile-header .header-button-container .cosmecos-button, 
        .mobile-header-menu-container .header-button-container .cosmecos-button {
            border-color: ' . esc_attr($header_button_border_color) . ';
        }
    ';
}

$header_button_background_color = cosmecos_get_prepared_option('header_button_background_color', 'standard_button_background_color', 'header_customize');
if ( !empty($header_button_background_color) ) {
    $cosmecos_custom_css .= '
        .header .header-button-container .cosmecos-button:before, 
        .mobile-header .header-button-container .cosmecos-button:before, 
        .mobile-header-menu-container .header-button-container .cosmecos-button:before {
            background-color: ' . esc_attr($header_button_background_color) . ';
        }
    ';
}

$header_button_text_hover = cosmecos_get_prepared_option('header_button_text_hover', 'standard_button_text_hover', 'header_customize');
if ( !empty($header_button_text_hover) ) {
    $cosmecos_custom_css .= '
        .header .header-button-container .cosmecos-button:hover, 
        .mobile-header .header-button-container .cosmecos-button:hover, 
        .mobile-header-menu-container .header-button-container .cosmecos-button:hover {
            color: ' . esc_attr($header_button_text_hover) . ';
        }
    ';
}

$header_button_border_hover = cosmecos_get_prepared_option('header_button_border_hover', 'standard_button_border_hover', 'header_customize');
if ( !empty($header_button_border_hover) ) {
    $cosmecos_custom_css .= '
        .header .header-button-container .cosmecos-button:hover, 
        .mobile-header .header-button-container .cosmecos-button:hover, 
        .mobile-header-menu-container .header-button-container .cosmecos-button:hover {
            border-color: ' . esc_attr($header_button_border_hover) . ';
        }
    ';
}

$header_button_background_hover = cosmecos_get_prepared_option('header_button_background_hover', 'standard_button_background_hover', 'header_customize');
if ( !empty($header_button_background_hover) ) {
    $cosmecos_custom_css .= '
        .header .header-button-container .cosmecos-button:hover:before, 
        .mobile-header .header-button-container .cosmecos-button:hover:before, 
        .mobile-header-menu-container .header-button-container .cosmecos-button:hover:before {
            background-color: ' . esc_attr($header_button_background_hover) . ';
        }
    ';
}


// -------------------------------- //
// ------ Page Title Colors ------- //
// -------------------------------- //
$page_title_default_text_color = cosmecos_get_prepared_option('page_title_default_text_color', 'standard_default_text_color', 'page_title_customize');
if ( !empty($page_title_default_text_color) ) {
    $cosmecos_custom_css .= '';
}

$page_title_dark_text_color = cosmecos_get_prepared_option('page_title_dark_text_color', 'standard_dark_text_color', 'page_title_customize');
if ( !empty($page_title_dark_text_color) ) {
    $cosmecos_custom_css .= '';
}

$page_title_light_text_color = cosmecos_get_prepared_option('page_title_light_text_color', 'standard_light_text_color', 'page_title_customize');
if ( !empty($page_title_light_text_color) ) {
    $cosmecos_custom_css .= '';
}

$page_title_accent_text_color = cosmecos_get_prepared_option('page_title_accent_text_color', 'standard_accent_text_color', 'page_title_customize');
if ( !empty($top_bar_accent_text_color) ) {
    $cosmecos_custom_css .= '
        .page-title-container .page-title-additional,
        .page-title-container .page-subtitle {
            color: ' . esc_attr($page_title_accent_text_color) . ';
        }
        .page-title-container .page-title:before {
            background-color: ' . esc_attr($page_title_accent_text_color) . ';
        }
    ';
}

$page_title_border_color = cosmecos_get_prepared_option('page_title_border_color', 'standard_border_color', 'page_title_customize');
if ( !empty($page_title_border_color) ) {
    $cosmecos_custom_css .= '';
}

$page_title_border_hover_color = cosmecos_get_prepared_option('page_title_border_hover_color', 'standard_border_hover_color', 'page_title_customize');
if ( !empty($page_title_border_hover_color) ) {
    $cosmecos_custom_css .= '';
}

$page_title_background_color = cosmecos_get_prepared_option('page_title_background_color', 'standard_background_color', 'page_title_customize');
if ( !empty($page_title_background_color) ) {
    $cosmecos_custom_css .= '';
}

$page_title_background_alter_color = cosmecos_get_prepared_option('page_title_background_alter_color', 'standard_background_alter_color', 'page_title_customize');
if ( !empty($page_title_background_alter_color) ) {
    $cosmecos_custom_css .= '
        .page-title-container {
            background-color: ' . esc_attr($page_title_background_alter_color) . ';
        }
    ';
}

$page_title_button_background_color = cosmecos_get_prepared_option('page_title_button_background_color', 'standard_button_background_color', 'page_title_customize');
if ( !empty($page_title_button_background_color) ) {
    $cosmecos_custom_css .= '';
}


// ---------------------------- //
// ------ Footer Colors ------- //
// ---------------------------- //
$footer_default_text_color = cosmecos_get_prepared_option('footer_default_text_color', 'contrast_default_text_color', 'footer_customize');
if ( !empty($top_bar_default_text_color) ) {
    $cosmecos_custom_css .= '';
}

$footer_dark_text_color = cosmecos_get_prepared_option('footer_dark_text_color', 'contrast_dark_text_color', 'footer_customize');
if ( !empty($footer_dark_text_color) ) {
    $cosmecos_custom_css .= '
        .footer input,
        .footer textarea,
        .footer select,
        .footer a,
        .footer .widget-title,
        .footer .wrapper-socials a,
        .footer .wrapper-socials a:hover,
        .footer .widget_text,
        .footer .widget_cosmecos_contacts_widget .cosmecos-contacts-widget-field,
        .footer .widget_cosmecos_banner_widget .banner-widget-wrapper,
        .footer .widget_cosmecos_banner_widget .banner-widget-wrapper .banner-title,
        .footer .widget_search .search-form .search-form-icon,
        .footer .widget_calendar .wp-calendar-nav a:hover, 
        .footer .wp-block-calendar .wp-calendar-nav a:hover,
        .footer .widget_calendar tbody td#today, 
        .footer .wp-block-calendar tbody td#today,
        .footer .widget_tag_cloud .tagcloud .tag-cloud-link,
        .footer .wp-block-tag-cloud .tag-cloud-link,
        .footer .widget_archive .post-count,
        .footer .wp-block-archives .post-count,
        .footer .widget_categories .post-count, 
        .footer .wp-block-categories .post-count,
        .footer .widget_rss cite,
        .footer .widget_media_gallery .gallery .gallery-icon a:after,
        .footer .widget_media_audio .mejs-container .mejs-button > button,
        .footer .widget_media_audio .mejs-container .mejs-time,
        .footer .widget_media_audio .mejs-container .mejs-duration,
        .footer .wp-video .mejs-container .mejs-button > button,
        .footer .wp-video .mejs-container .mejs-time,
        .footer .wp-video .mejs-container .mejs-duration {
            color: ' . esc_attr($footer_dark_text_color) . ';
        }
        .footer .widget_media_audio .mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-current, 
        .footer .widget_media_audio .mejs-controls .mejs-time-rail .mejs-time-loaded,
        .footer .wp-video .mejs-volume-current,
        .footer .wp-video .mejs-volume-handle,
        .footer input[type="radio"]:before,
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="radio"]:before {
            background-color: ' . esc_attr($footer_dark_text_color) . ';
        }
        .footer .content-inner ul:not([class*="elementor"]) > li:not([class*="elementor"]):before,
        .footer .content-single-post ul:not([class*="elementor"]) > li:not([class*="elementor"]):before,
        .footer .single_portfolio_content ul:not([class*="elementor"]) > li:not([class*="elementor"]):before,
        .footer .cosmecos_comments__item-text ul:not([class*="elementor"]) > li:not([class*="elementor"]):before,
        .footer .single_recipe_content ul:not([class*="elementor"]) > li:not([class*="elementor"]):before {
            border-color: ' . esc_attr($footer_dark_text_color) . ';
        }
        .footer .widget_media_audio .mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-total, 
        .footer .widget_media_audio .mejs-controls .mejs-time-rail .mejs-time-total,
        .footer .mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-total, 
        .footer .mejs-controls .mejs-time-rail .mejs-time-total,
        .footer .mejs-volume-total {
            background-color: rgba(' . esc_attr(cosmecos_hex2rgb($footer_dark_text_color)) . ', 0.4);
        }
    ';
}

$footer_light_text_color = cosmecos_get_prepared_option('footer_light_text_color', 'contrast_light_text_color', 'footer_customize');
if ( !empty($footer_light_text_color) ) {
    $cosmecos_custom_css .= '
        .footer,
        .footer .footer-additional-menu li a,
        .footer .widget_calendar .wp-calendar-nav a, 
        .footer .wp-block-calendar .wp-calendar-nav a,
        .footer .widget_calendar thead th, 
        .footer .wp-block-calendar thead th,
        .footer .widget_recent_comments ul .recentcomments,
        .footer .widget_recent_comments ul .recentcomments .comment-author-link a,
        .footer .widget_categories li.cat-item-hierarchical, 
        .footer .wp-block-categories li.cat-item-hierarchical,
        .footer .widget_cosmecos_featured_posts_widget .featured-posts-item-date,
        .footer .widget_recent_entries .post-date,
        .footer .widget_pages .widget-archive-trigger,
        .footer .widget_nav_menu .widget-menu-trigger,
        .footer .widget_rss .rss-date,
        .footer .select2-container--default .select2-selection--single .select2-selection__placeholder {
            color: ' . esc_attr($footer_light_text_color) . ';
        }
        .footer input[type="text"]::-webkit-input-placeholder,
        .footer input[type="email"]::-webkit-input-placeholder,
        .footer input[type="url"]::-webkit-input-placeholder,
        .footer input[type="password"]::-webkit-input-placeholder,
        .footer input[type="search"]::-webkit-input-placeholder,
        .footer input[type="tel"]::-webkit-input-placeholder, 
        .footer input[type="number"]::-webkit-input-placeholder, 
        .footer input[type="date"]::-webkit-input-placeholder, 
        .footer input[type="month"]::-webkit-input-placeholder, 
        .footer input[type="week"]::-webkit-input-placeholder, 
        .footer input[type="time"]::-webkit-input-placeholder, 
        .footer input[type="datetime"]::-webkit-input-placeholder, 
        .footer input[type="datetime-local"]::-webkit-input-placeholder, 
        .footer textarea::-webkit-input-placeholder,
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="text"]::-webkit-input-placeholder, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="email"]::-webkit-input-placeholder, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="url"]::-webkit-input-placeholder, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="password"]::-webkit-input-placeholder, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="search"]::-webkit-input-placeholder, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="number"]::-webkit-input-placeholder, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="tel"]::-webkit-input-placeholder,
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="date"]::-webkit-input-placeholder,
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="month"]::-webkit-input-placeholder, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="week"]::-webkit-input-placeholder, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="time"]::-webkit-input-placeholder, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="datetime"]::-webkit-input-placeholder, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="datetime-local"]::-webkit-input-placeholder, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form textarea::-webkit-input-placeholder {
             color: ' . esc_attr($footer_light_text_color) . ';
        }
        .footer input[type="text"]:-moz-placeholder,
        .footer input[type="url"]:-moz-placeholder,
        .footer input[type="email"]:-moz-placeholder,
        .footer input[type="password"]:-moz-placeholder,
        .footer input[type="search"]:-moz-placeholder,
        .footer input[type="tel"]:-moz-placeholder, 
        .footer input[type="number"]:-moz-placeholder, 
        .footer input[type="date"]:-moz-placeholder, 
        .footer input[type="month"]:-moz-placeholder, 
        .footer input[type="week"]:-moz-placeholder, 
        .footer input[type="time"]:-moz-placeholder, 
        .footer input[type="datetime"]:-moz-placeholder, 
        .footer input[type="datetime-local"]:-moz-placeholder, 
        .footer textarea:-moz-placeholder,
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="text"]:-moz-placeholder, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="email"]:-moz-placeholder, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="url"]:-moz-placeholder, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="password"]:-moz-placeholder, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="search"]:-moz-placeholder, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="number"]:-moz-placeholder, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="tel"]:-moz-placeholder,
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="date"]:-moz-placeholder,
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="month"]:-moz-placeholder, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="week"]:-moz-placeholder, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="time"]:-moz-placeholder, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="datetime"]:-moz-placeholder, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="datetime-local"]:-moz-placeholder, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form textarea:-moz-placeholder {
             color: ' . esc_attr($footer_light_text_color) . ';
        }
        .footer input[type="text"]:-ms-input-placeholder,
        .footer input[type="email"]:-ms-input-placeholder,
        .footer input[type="url"]:-ms-input-placeholder,
        .footer input[type="password"]:-ms-input-placeholder,
        .footer input[type="search"]:-ms-input-placeholder,
        .footer input[type="tel"]:-ms-input-placeholder, 
        .footer input[type="number"]:-ms-input-placeholder, 
        .footer input[type="date"]:-ms-input-placeholder, 
        .footer input[type="month"]:-ms-input-placeholder, 
        .footer input[type="week"]:-ms-input-placeholder, 
        .footer input[type="time"]:-ms-input-placeholder, 
        .footer input[type="datetime"]:-ms-input-placeholder, 
        .footer input[type="datetime-local"]:-ms-input-placeholder, 
        .footer textarea:-ms-input-placeholder,
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="text"]:-ms-input-placeholder, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="email"]:-ms-input-placeholder, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="url"]:-ms-input-placeholder, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="password"]:-ms-input-placeholder, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="search"]:-ms-input-placeholder, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="number"]:-ms-input-placeholder, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="tel"]:-ms-input-placeholder,
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="date"]:-ms-input-placeholder,
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="month"]:-ms-input-placeholder, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="week"]:-ms-input-placeholder, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="time"]:-ms-input-placeholder, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="datetime"]:-ms-input-placeholder, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="datetime-local"]:-ms-input-placeholder, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form textarea:-ms-input-placeholder {
            color: ' . esc_attr($footer_light_text_color) . ';
        }
    ';
}

$footer_accent_text_color = cosmecos_get_prepared_option('footer_accent_text_color', 'contrast_accent_text_color', 'footer_customize');
if ( !empty($footer_accent_text_color) ) {
    $cosmecos_custom_css .= '
        .footer a:hover,
        .footer .footer-additional-menu li a:hover,
        .footer .widget_recent_comments ul .recentcomments .comment-author-link a:hover,
        .footer .widget_media_audio .mejs-container .mejs-button > button:hover,
        .footer .wp-video .mejs-container .mejs-button > button:hover,
        .error-404-footer .wrapper-socials a:hover {
            color: ' . esc_attr($footer_accent_text_color) . ';
        }
        .footer blockquote:before {
            color: rgba(' . esc_attr(cosmecos_hex2rgb($footer_accent_text_color)) . ', .3);
        }
        .footer .widget_calendar tbody a:before, 
        .footer .wp-block-calendar tbody a:before,
        .footer .widget_tag_cloud .tagcloud .tag-cloud-link:hover,
        .footer .wp-block-tag-cloud .tag-cloud-link:hover,
        .footer .widget_recent_comments ul .recentcomments:before,
        .footer .widget_media_audio .mejs-controls .mejs-time-rail .mejs-time-current,
        .footer .wp-video .mejs-controls .mejs-time-rail .mejs-time-current,
        .footer .widget_media_audio .mejs-controls .mejs-time-rail .mejs-time-handle-content,
        .footer .wp-video .mejs-controls .mejs-time-rail .mejs-time-handle-content,
        .footer input[type="checkbox"]:checked, 
        .footer input[type="radio"]:checked,
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="checkbox"]:checked,
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="radio"]:checked {
            background-color: ' . esc_attr($footer_accent_text_color) . ';
        }
        .footer .widget_tag_cloud .tagcloud .tag-cloud-link:hover,
        .footer .wp-block-tag-cloud .tag-cloud-link:hover,
        .footer .widget_media_audio .mejs-controls .mejs-time-rail .mejs-time-handle-content,
        .footer .wp-video .mejs-controls .mejs-time-rail .mejs-time-handle-content,
        .footer input[type="checkbox"]:checked, 
        .footer input[type="radio"]:checked,
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="checkbox"]:checked,
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="radio"]:checked {
            border-color: ' . esc_attr($footer_accent_text_color) . ';
        }
        .footer div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]::-webkit-slider-thumb {
            background-color: ' . esc_attr($footer_accent_text_color) . ';
        }
        .footer div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]::-moz-range-thumb {
             background-color: ' . esc_attr($footer_accent_text_color) . ';
        }
        .footer div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]::-ms-thumb {
             background-color: ' . esc_attr($footer_accent_text_color) . ';
        }
        .footer div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]:focus::-ms-thumb {
             background-color: ' . esc_attr($footer_accent_text_color) . ';
        }
    ';
}

$footer_border_color = cosmecos_get_prepared_option('footer_border_color', 'contrast_border_color', 'footer_customize');
if ( !empty($footer_border_color) ) {
    $cosmecos_custom_css .= '
        .footer .widget_cosmecos_contacts_widget .cosmecos-contacts-widget-field:before,
        .footer .select-wrap:after, 
        .footer .wp-block-archives-dropdown:after, 
        .footer .wp-block-categories-dropdown:after,
        .footer .select2-container .select2-selection--single .select2-selection__arrow {
            color: ' . esc_attr($footer_border_color) . ';
        }
        .footer input[type="text"],
        .footer input[type="email"],
        .footer input[type="url"],
        .footer input[type="password"],
        .footer input[type="search"],
        .footer input[type="number"],
        .footer input[type="tel"],
        .footer input[type="range"],
        .footer input[type="date"],
        .footer input[type="month"],
        .footer input[type="week"],
        .footer input[type="time"],
        .footer input[type="datetime"],
        .footer input[type="datetime-local"],
        .footer input[type="color"],
        .footer select,
        .footer textarea,
        .footer input[type="checkbox"],
        .footer input[type="radio"],
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="checkbox"],
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="radio"],
        .footer .select2-container .select2-selection--single,
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="text"], 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="email"], 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="url"], 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="password"], 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="search"], 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="number"], 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="tel"],
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="date"],
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="month"], 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="week"], 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="time"], 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="datetime"], 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="datetime-local"], 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="color"], 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form select, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form textarea {
            border-color: ' . esc_attr($footer_border_color) . ';
        }
    ';
}

$footer_border_hover_color = cosmecos_get_prepared_option('footer_border_hover_color', 'contrast_border_hover_color', 'footer_customize');
if ( !empty($footer_border_hover_color) ) {
    $cosmecos_custom_css .= '
        .footer div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"] {
            background-color: ' . esc_attr($footer_border_hover_color) . ';
        }
        .footer .widget_tag_cloud .tagcloud .tag-cloud-link,
        .footer .wp-block-tag-cloud .tag-cloud-link,
        .footer .widget_recent_comments ul .recentcomments:after,
        .footer .widget_mc4wp_form_widget .mc4wp-form .mc4wp-form-fields input[type="text"], 
        .footer .widget_mc4wp_form_widget .mc4wp-form .mc4wp-form-fields input[type="email"], 
        .footer .widget_mc4wp_form_widget .mc4wp-form .mc4wp-form-fields input[type="url"], 
        .footer .widget_mc4wp_form_widget .mc4wp-form .mc4wp-form-fields input[type="password"], 
        .footer .widget_mc4wp_form_widget .mc4wp-form .mc4wp-form-fields input[type="search"], 
        .footer .widget_mc4wp_form_widget .mc4wp-form .mc4wp-form-fields input[type="tel"] {
            border-color: ' . esc_attr($footer_border_hover_color) . ';
        }
        .footer .footer-section + .footer-section,
        .footer-type-3:after {
            border-color: rgba(' . esc_attr(cosmecos_hex2rgb($footer_border_hover_color)) . ', 0.1);
        }
        .footer .widget_calendar, 
        .footer .wp-block-calendar {
            -webkit-box-shadow: 0px 3px 49px rgba(' . esc_attr(cosmecos_hex2rgb($footer_border_hover_color)) . ', 0.07);
            -moz-box-shadow: 0px 3px 49px rgba(' . esc_attr(cosmecos_hex2rgb($footer_border_hover_color)) . ', 0.07);
            box-shadow: 0px 3px 49px rgba(' . esc_attr(cosmecos_hex2rgb($footer_border_hover_color)) . ', 0.07);
        }
        .footer div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]::-webkit-slider-thumb {
            box-shadow: 0px 0px 0px 1px ' . esc_attr($footer_border_hover_color) . ';
        }
        .footer div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]::-moz-range-thumb {
            box-shadow: 0px 0px 0px 1px ' . esc_attr($footer_border_hover_color) . ';
        }
        .footer div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]::-ms-thumb {
            box-shadow: 0px 0px 0px 1px ' . esc_attr($footer_border_hover_color) . ';
        }
        .footer div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]:focus::-ms-thumb {
            box-shadow: 0px 0px 0px 1px ' . esc_attr($footer_border_hover_color) . ';
        }
        .footer div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]::-webkit-slider-runnable-track {
            background-color: ' . esc_attr($footer_border_hover_color) . ';
        }
        .footer div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]:focus::-webkit-slider-runnable-track {
            background-color: ' . esc_attr($footer_border_hover_color) . ';
        }
        .footer div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]::-moz-range-track {
            background-color: ' . esc_attr($footer_border_hover_color) . ';
        }
        .footer div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]::-ms-track {
            background-color: ' . esc_attr($footer_border_hover_color) . ';
        }
    ';
}

$footer_background_color = cosmecos_get_prepared_option('footer_background_color', 'contrast_background_color', 'footer_customize');
if ( !empty($footer_background_color) ) {
    $cosmecos_custom_css .= '
        .footer .widget_calendar tbody a, 
        .footer .widget_calendar tbody a:hover, 
        .footer .wp-block-calendar tbody a, 
        .footer .wp-block-calendar tbody a:hover,
        .footer .widget_tag_cloud .tagcloud .tag-cloud-link:hover,
        .footer .wp-block-tag-cloud .tag-cloud-link:hover {
            color: ' . esc_attr($footer_background_color) . ';
        }
        .footer,
        .footer .widget_calendar, 
        .footer .wp-block-calendar,
        .footer .widget_media_gallery .gallery .gallery-icon a:before {
            background-color: ' . esc_attr($footer_background_color) . ';
        }
        .footer div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]::-webkit-slider-thumb {
            border-color: ' . esc_attr($footer_background_color) . ';
        }
        .footer div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]::-moz-range-thumb {
            border-color: ' . esc_attr($footer_background_color) . ';
        }
        .footer div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]::-ms-thumb {
            border-color: ' . esc_attr($footer_background_color) . ';
        }
        .footer div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]:focus::-ms-thumb {
            border-color: ' . esc_attr($footer_background_color) . ';
        }
    ';
}

$footer_background_alter_color = cosmecos_get_prepared_option('footer_background_alter_color', 'contrast_background_alter_color', 'footer_customize');
if ( !empty($footer_background_alter_color) ) {
    $cosmecos_custom_css .= '
        .error-404-footer .wrapper-socials a {
            color: ' . esc_attr($footer_background_alter_color) . ';
        }
        .footer .wrapper-socials a:hover,
        .footer .widget_cosmecos_banner_widget .banner-widget-wrapper,
        .footer .widget_calendar tbody td#today:before,
        .footer .wp-block-calendar tbody td#today:before,
        .footer .widget_media_audio .mejs-container, 
        .footer .widget_media_audio .mejs-container .mejs-controls, 
        .footer .widget_media_audio .mejs-embed, 
        .footer .widget_media_audio .mejs-embed body,
        .footer .wp-video .mejs-container, 
        .footer .wp-video .mejs-container .mejs-controls, 
        .footer .wp-video .mejs-embed, 
        .footer .wp-video .mejs-embed body,
        .footer .mejs-volume-button > .mejs-volume-slider,
        .error-404-footer .wrapper-socials a:hover {
            background-color: ' . esc_attr($footer_background_alter_color) . ';
        }
        .footer .wrapper-socials a,
        .error-404-footer .wrapper-socials a,
        .error-404-footer .wrapper-socials a:hover {
            border-color: ' . esc_attr($footer_background_alter_color) . ';
        }
    ';
}

$footer_button_text_color = cosmecos_get_prepared_option('footer_button_text_color', 'contrast_button_text_color', 'footer_customize');
if ( !empty($footer_button_text_color) ) {
    $cosmecos_custom_css .= '
        .footer .cosmecos-button,
        .footer button:not(.customize-partial-edit-shortcut-button),
        .footer input[type="submit"],
        .footer input[type="button"],
        .footer input[type="reset"],
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="submit"], 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form button[type="submit"], 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-page-button {
            color: ' . esc_attr($footer_button_text_color) . ';
        }
    ';
}

$footer_button_border_color = cosmecos_get_prepared_option('footer_button_border_color', 'contrast_button_border_color', 'footer_customize');
if ( !empty($footer_button_border_color) ) {
    $cosmecos_custom_css .= '
        .footer .cosmecos-button,
        .footer button:not(.customize-partial-edit-shortcut-button),
        .footer input[type="submit"],
        .footer input[type="button"],
        .footer input[type="reset"],
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="submit"], 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form button[type="submit"], 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-page-button,
        .footer .widget_cosmecos_banner_widget .banner-widget-wrapper.banner-contrast-colors .cosmecos-button {
            border-color: ' . esc_attr($footer_button_border_color) . ';
        }
    ';
}

$footer_button_background_color = cosmecos_get_prepared_option('footer_button_background_color', 'contrast_button_background_color', 'footer_customize');
if ( !empty($footer_button_background_color) ) {
    $cosmecos_custom_css .= '
        .footer .cosmecos-button:before,
        .footer button:not(.customize-partial-edit-shortcut-button):before,
        .footer input[type="submit"]:before,
        .footer input[type="button"]:before,
        .footer input[type="reset"]:before,
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="submit"]:before, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form button[type="submit"]:before, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-page-button:before  {
            background-color: ' . esc_attr($footer_button_background_color) . ';
        }
    ';
}

$footer_button_text_hover = cosmecos_get_prepared_option('footer_button_text_hover', 'contrast_button_text_hover', 'footer_customize');
if ( !empty($footer_button_text_hover) ) {
    $cosmecos_custom_css .= '
        .footer .cosmecos-button:hover,
        .footer button:not(.customize-partial-edit-shortcut-button):hover,
        .footer input[type="submit"]:hover,
        .footer input[type="button"]:hover,
        .footer input[type="reset"]:hover,
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="submit"]:hover, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form button[type="submit"]:hover, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-page-button:hover {
            color: ' . esc_attr($footer_button_text_hover) . ';
        }
    ';
}

$footer_button_border_hover = cosmecos_get_prepared_option('footer_button_border_hover', 'contrast_button_border_hover', 'footer_customize');
if ( !empty($footer_button_border_hover) ) {
    $cosmecos_custom_css .= '
        .footer .cosmecos-button:hover,
        .footer button:not(.customize-partial-edit-shortcut-button):hover,
        .footer input[type="submit"]:hover,
        .footer input[type="button"]:hover,
        .footer input[type="reset"]:hover,
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="submit"]:hover, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form button[type="submit"]:hover, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-page-button:hover {
            border-color: ' . esc_attr($footer_button_border_hover) . ';
        }
    ';
}

$footer_button_background_hover = cosmecos_get_prepared_option('footer_button_background_hover', 'contrast_button_background_hover', 'footer_customize');
if ( !empty($footer_button_background_hover) ) {
    $cosmecos_custom_css .= '
        .footer .cosmecos-button:hover:before,
        .footer button:not(.customize-partial-edit-shortcut-button):hover:before,
        .footer input[type="submit"]:hover:before,
        .footer input[type="button"]:hover:before,
        .footer input[type="reset"]:hover:before,
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="submit"]:hover:before, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form button[type="submit"]:hover:before, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-page-button:hover:before  {
            background-color: ' . esc_attr($footer_button_background_hover) . ';
        }
    ';
}


// ----------------------------- //
// ------ Standard Colors ------ //
// ----------------------------- //

$standard_default_text_color = cosmecos_get_prefered_option('standard_default_text_color');
if ( !empty($standard_default_text_color) ) {
    $cosmecos_custom_css .= '
        .content-wrapper,
        .search-form .search-form-field::-webkit-input-placeholder,
        .footer .widget_cosmecos_banner_widget .banner-widget-wrapper.banner-contrast-colors,
        .slide-sidebar-wrapper .widget_cosmecos_banner_widget .banner-widget-wrapper.banner-contrast-colors,
        .error-404-info-text,
        .content-wrapper .wp-block-pullquote blockquote:not(.has-text-color) p,
        .post-quote .post-quote-text {
            color: ' . esc_attr($standard_default_text_color) . ';
        }
        .search-form .search-form-field:-moz-placeholder {
            color: ' . esc_attr($standard_default_text_color) . ';
        }
        .search-form .search-form-field:-ms-input-placeholder {
            color: ' . esc_attr($standard_default_text_color) . ';
        }
    ';
}

$standard_dark_text_color = cosmecos_get_prefered_option('standard_dark_text_color');
if ( !empty($standard_dark_text_color) ) {
    $cosmecos_custom_css .= '
        .content-wrapper input,
        .content-wrapper textarea,
        .content-wrapper select,
        .site-search .site-search-close,
        .site-search .search-form-icon,
        .simple-sidebar-trigger,
        .slide-extra-wrapper a,
        .slide-extra-wrapper .widget .widget_title,
        .slide-extra .extra-icon,
        .content-wrapper h1,
        .content-wrapper h2,
        .content-wrapper h3,
        .content-wrapper h4,
        .content-wrapper h5,
        .elementor-widget div.wpforms-container-full .wpforms-form .wpforms-title, 
        .content-wrapper h6,
        .content-wrapper strong,
        a,
        .content-wrapper table thead th,
        .content-wrapper .wrapper-socials a,
        .content-wrapper .wrapper-socials a:hover,
        .content-wrapper .widget_cosmecos_contacts_widget .cosmecos-contacts-widget-field,
        .footer .widget_cosmecos_banner_widget .banner-widget-wrapper.banner-contrast-colors .banner-title,
        .slide-sidebar-wrapper .widget_cosmecos_banner_widget .banner-widget-wrapper.banner-contrast-colors .banner-title,
        .content-wrapper .widget_search .search-form .search-form-icon,
        .content-wrapper .widget_calendar .wp-calendar-nav a:hover, 
        .content-wrapper .wp-block-calendar .wp-calendar-nav a:hover,
        .content-wrapper .widget_calendar tbody a, 
        .content-wrapper .widget_calendar tbody a:hover, 
        .content-wrapper .wp-block-calendar tbody a, 
        .content-wrapper .wp-block-calendar tbody a:hover,
        .content-wrapper .widget_calendar tbody td#today, 
        .content-wrapper .wp-block-calendar tbody td#today,
        .content-wrapper .widget_tag_cloud .tagcloud .tag-cloud-link,
        .content-wrapper .widget_tag_cloud .tagcloud .tag-cloud-link:hover,
        .content-wrapper .wp-block-tag-cloud .tag-cloud-link,
        .content-wrapper .wp-block-tag-cloud .tag-cloud-link:hover,
        .content-wrapper .widget_archive .post-count,
        .content-wrapper .wp-block-archives .post-count,
        .content-wrapper .widget_categories .post-count, 
        .content-wrapper .wp-block-categories .post-count,
        .content-wrapper .widget_rss cite,
        .content-wrapper .wp-block-rss .wp-block-rss__item-author,
        .content-wrapper .wp-block-latest-posts .wp-block-latest-posts__post-author,
        .content-wrapper .widget_media_gallery .gallery .gallery-icon a:after,
        .error-404-title,
        .post-meta-header .post-meta-item a:hover,
        .post-comment-author,
        .content-wrapper .wp-block-pullquote blockquote:not(.has-text-color) cite,
        .post-quote .post-quote-author,
        .single-portfolio .portfolio-post-content .portfolio-post-meta,
        .cosmecos-price-item-widget .price-item .price-item-title,
        .cosmecos-price-item-widget .price-item .price-wrapper,
        .cosmecos-person-widget .person-name,
        .cosmecos-testimonial-carousel-widget .testimonial-item .author-container .author-name,
        .video-widget .video-container .close-popup-layer .close-button, 
        .tabs-widget .video-container .close-popup-layer .close-button,
        .elementor-widget-counter .elementor-counter .elementor-counter-title,
        .cosmecos_tabs_widget .cosmecos_tabs_titles_container .cosmecos_tab_title_item,
        .cosmecos_tabs_widget .cosmecos_tabs_titles_container .cosmecos_tab_title_item a,
        .cosmecos_tabs_widget .cosmecos_tabs_titles_container .cosmecos_tab_title_item a:hover,
        .elementor-widget-cosmecos_countdown .countdown_label,
        .cosmecos_promo_widget .promo_item .promo_item_title,
        .cosmecos_content_slider_widget .cosmecos_content_slider_title,
        .elementor-widget-video .elementor-custom-embed-play i,
        .has-drop-cap:not(:focus):first-letter,
        .wp-block-search .wp-block-search__label,
        .wp-block-search.wp-block-search__button-inside .wp-block-search__inside-wrapper .wp-block-search__button,
        body blockquote cite,
        .cosmecos-instagram-feed .instagram-feed-info .user-name,
        .product-category-widget .product-category-title,
        .cosmecos_countdown_widget .countdown_digits,
        .elementor-widget-cosmecos_image .image-widget .image-container .label {
            color: ' . esc_attr($standard_dark_text_color) . ';
        }
        .mobile-header-menu-container .main-menu > li > a:before,
        .slide-extra .extra-menu > li > a:before,
        .content-wrapper input[type="radio"]:before,
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="radio"]:before,
        .owl-theme .owl-dots .owl-dot span:after,
        .swiper-pagination .swiper-pagination-bullet:after {
            background-color: ' . esc_attr($standard_dark_text_color) . ';
        }
        .content-wrapper .wrapper-socials a,
        .content-wrapper .content-inner ul:not([class*="elementor"]) > li:not([class*="elementor"]):before,
        .content-wrapper .content-single-post ul:not([class*="elementor"]) > li:not([class*="elementor"]):before,
        .content-wrapper .single_portfolio_content ul:not([class*="elementor"]) > li:not([class*="elementor"]):before,
        .content-wrapper .cosmecos_comments__item-text ul:not([class*="elementor"]) > li:not([class*="elementor"]):before,
        .content-wrapper .single_recipe_content ul:not([class*="elementor"]) > li:not([class*="elementor"]):before,
        .owl-theme .owl-dots .owl-dot.active span,
         
        .widget_pages .widget-wrapper > ul > li:before,
        .widget_categories ul > li:before, 
        body .content-wrapper ul.wp-block-categories > li:before,
        .widget_archive .widget-wrapper > ul > li:before,
        .widget_meta ul li:before,
        .widget_recent_entries ul li:before {
            border-color: ' . esc_attr($standard_dark_text_color) . ';
        }
        .swiper-pagination .swiper-pagination-bullet.swiper-pagination-bullet-active {
            border-color: ' . esc_attr($standard_dark_text_color) . ' !important;
        }
    ';
}

$standard_light_text_color = cosmecos_get_prefered_option('standard_light_text_color');
if ( !empty($standard_light_text_color) ) {
    $cosmecos_custom_css .= '
        .slide-extra .extra-menu > li .sub-menu-trigger,
        .slide-extra-wrapper, 
        .slide-extra-wrapper .slide-extra-close,
        .content-wrapper .widget_cosmecos_contacts_widget .cosmecos-contacts-widget-field:before,
        .content-wrapper .widget_calendar .wp-calendar-nav a, 
        .content-wrapper .wp-block-calendar .wp-calendar-nav a,
        .content-wrapper .widget_calendar thead th, 
        .content-wrapper .wp-block-calendar thead th,
        .content-wrapper .widget_recent_comments ul .recentcomments, 
        .content-wrapper .widget_recent_comments ul .recentcomments .comment-author-link a,
        .content-wrapper .wp-block-latest-comments li .wp-block-latest-comments__comment-meta,
        .content-wrapper .wp-block-latest-comments li .wp-block-latest-comments__comment-author,
        .content-wrapper .widget_categories li.cat-item-hierarchical, 
        .content-wrapper .wp-block-categories li.cat-item-hierarchical,
        .content-wrapper .widget_cosmecos_featured_posts_widget .featured-posts-item-date,
        .content-wrapper .widget_recent_entries .post-date,
        .content-wrapper .wp-block-latest-posts li .wp-block-latest-posts__post-date,
        .content-wrapper .widget_pages .widget-archive-trigger,
        .content-wrapper .widget_nav_menu .widget-menu-trigger,
        .content-wrapper .widget_rss .rss-date,
        .content-wrapper .wp-block-rss .wp-block-rss__item-publish-date,
        .content-wrapper .wp-block-latest-comments .wp-block-latest-comments__comment-date,
        .post-meta-header .post-meta-item,
        .post-meta-header .post-meta-item a,
        .post-comment-date,
        .content-wrapper .select2-container--default .select2-selection--single .select2-selection__placeholder,
        .post-navigation-categories a,
        .cosmecos-person-widget .person-position,
        .cosmecos-testimonial-carousel-widget .view-type-1 .testimonial-item .author-container .author-position,
        .cosmecos-testimonial-carousel-widget .view-type-2 .testimonial-item .author-container .author-position,
        .cosmecos-instagram-feed .instagram-feed-info .user-description {
            color: ' . esc_attr($standard_light_text_color) . ';
        }
        .content-wrapper input[type="text"]::-webkit-input-placeholder,
        .content-wrapper input[type="email"]::-webkit-input-placeholder,
        .content-wrapper input[type="url"]::-webkit-input-placeholder,
        .content-wrapper input[type="password"]::-webkit-input-placeholder,
        .content-wrapper input[type="search"]::-webkit-input-placeholder,
        .content-wrapper input[type="tel"]::-webkit-input-placeholder,
        .content-wrapper input[type="number"]::-webkit-input-placeholder, 
        .content-wrapper input[type="date"]::-webkit-input-placeholder, 
        .content-wrapper input[type="month"]::-webkit-input-placeholder, 
        .content-wrapper input[type="week"]::-webkit-input-placeholder, 
        .content-wrapper input[type="time"]::-webkit-input-placeholder, 
        .content-wrapper input[type="datetime"]::-webkit-input-placeholder, 
        .content-wrapper input[type="datetime-local"]::-webkit-input-placeholder, 
        .content-wrapper textarea::-webkit-input-placeholder,
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="text"]::-webkit-input-placeholder, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="email"]::-webkit-input-placeholder, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="url"]::-webkit-input-placeholder, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="password"]::-webkit-input-placeholder, 
        .footer div.wpforms-container.wpforms-container-full .wpforms-form input[type="search"]::-webkit-input-placeholder, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="number"]::-webkit-input-placeholder, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="tel"]::-webkit-input-placeholder,
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="date"]::-webkit-input-placeholder,
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="month"]::-webkit-input-placeholder, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="week"]::-webkit-input-placeholder, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="time"]::-webkit-input-placeholder, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="datetime"]::-webkit-input-placeholder, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="datetime-local"]::-webkit-input-placeholder, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form textarea::-webkit-input-placeholder {
             color: ' . esc_attr($standard_light_text_color) . ';
        }
        
        .content-wrapper input[type="text"]:-moz-placeholder,
        .content-wrapper input[type="url"]:-moz-placeholder,
        .content-wrapper input[type="email"]:-moz-placeholder,
        .content-wrapper input[type="password"]:-moz-placeholder,
        .content-wrapper input[type="search"]:-moz-placeholder,
        .content-wrapper input[type="tel"]:-moz-placeholder,
        .content-wrapper input[type="number"]:-moz-placeholder, 
        .content-wrapper input[type="date"]:-moz-placeholder, 
        .content-wrapper input[type="month"]:-moz-placeholder, 
        .content-wrapper input[type="week"]:-moz-placeholder, 
        .content-wrapper input[type="time"]:-moz-placeholder, 
        .content-wrapper input[type="datetime"]:-moz-placeholder, 
        .content-wrapper input[type="datetime-local"]:-moz-placeholder, 
        .content-wrapper textarea:-moz-placeholder,
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="text"]:-moz-placeholder, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="email"]:-moz-placeholder, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="url"]:-moz-placeholder, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="password"]:-moz-placeholder, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="search"]:-moz-placeholder, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="number"]:-moz-placeholder, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="tel"]:-moz-placeholder,
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="date"]:-moz-placeholder,
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="month"]:-moz-placeholder, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="week"]:-moz-placeholder, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="time"]:-moz-placeholder, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="datetime"]:-moz-placeholder, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="datetime-local"]:-moz-placeholder, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form textarea:-moz-placeholder {
             color: ' . esc_attr($standard_light_text_color) . ';
        }
        
        .content-wrapper input[type="text"]:-ms-input-placeholder,
        .content-wrapper input[type="email"]:-ms-input-placeholder,
        .content-wrapper input[type="url"]:-ms-input-placeholder,
        .content-wrapper input[type="password"]:-ms-input-placeholder,
        .content-wrapper input[type="search"]:-ms-input-placeholder,
        .content-wrapper input[type="tel"]:-ms-input-placeholder,
        .content-wrapper input[type="number"]:-ms-input-placeholder, 
        .content-wrapper input[type="date"]:-ms-input-placeholder, 
        .content-wrapper input[type="month"]:-ms-input-placeholder, 
        .content-wrapper input[type="week"]:-ms-input-placeholder, 
        .content-wrapper input[type="time"]:-ms-input-placeholder, 
        .content-wrapper input[type="datetime"]:-ms-input-placeholder, 
        .content-wrapper input[type="datetime-local"]:-ms-input-placeholder, 
        .content-wrapper textarea:-ms-input-placeholder,
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="text"]:-ms-input-placeholder, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="email"]:-ms-input-placeholder, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="url"]:-ms-input-placeholder, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="password"]:-ms-input-placeholder, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="search"]:-ms-input-placeholder, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="number"]:-ms-input-placeholder, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="tel"]:-ms-input-placeholder,
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="date"]:-ms-input-placeholder,
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="month"]:-ms-input-placeholder, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="week"]:-ms-input-placeholder, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="time"]:-ms-input-placeholder, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="datetime"]:-ms-input-placeholder, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="datetime-local"]:-ms-input-placeholder, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form textarea {
            color: ' . esc_attr($standard_light_text_color) . ';
        }
    ';
}

$standard_accent_text_color = cosmecos_get_prefered_option('standard_accent_text_color');
if ( !empty($standard_accent_text_color) ) {
    $cosmecos_custom_css .= '
        .mobile-header-menu-container .main-menu li.active > a,
        .mobile-header-menu-container .main-menu li.current-menu-ancestor > a,
        .mobile-header-menu-container .main-menu li.current-menu-parent > a,
        .mobile-header-menu-container .main-menu li.current-menu-item > a,
        .mobile-header-menu-container .main-menu li.active > .sub-menu-trigger,
        .slide-extra .extra-menu .sub-menu li.active > a,
        .slide-extra .extra-menu .sub-menu li.current-menu-ancestor > a,
        .slide-extra .extra-menu .sub-menu li.current-menu-parent > a,
        .slide-extra .extra-menu .sub-menu li.current-menu-item > a,
        .slide-extra .extra-menu .sub-menu li > a:hover,
        .slide-extra .extra-menu .sub-menu li.active > .sub-menu-trigger,
        .slide-extra-wrapper .slide-extra-close:hover,
        a:hover,
        .content-wrapper .widget_recent_comments ul .recentcomments .comment-author-link a:hover,
        .content-wrapper .wp-block-latest-comments li .wp-block-latest-comments__comment-author:hover,
        .post-comment-buttons a,
        .post-more-button a,
        .post-navigation-categories a:hover,
        .cosmecos-icon-box-widget .icon-box-item .icon-container .text,
        .cosmecos-icon-box-widget .icon-box-item .icon-container i,
        .cosmecos-testimonial-carousel-widget .testimonial-carousel-wrapper.view-type-2 .testimonial-carousel-title:before,
        .cosmecos-testimonial-carousel-widget .testimonial-carousel-wrapper.view-type-3 .testimonial-carousel-title:before,
        .elementor-widget-counter .elementor-counter .elementor-counter-number-wrapper,
        .elementor-widget-cosmecos_countdown .countdown_separator,
        .elementor-widget-cosmecos_special_text .special-text,
        .post-comment-wrapper.bypostauthor > .post-comment-item .post-comment-author:after,
        .cosmecos-heading-widget .cosmecos-subheading,
        .cosmecos-testimonial-carousel-widget .testimonial-carousel-wrapper.view-type-3 .testimonial-carousel-subtitle,
        .cosmecos-testimonial-carousel-widget .testimonial-carousel-wrapper.view-type-4 .testimonial-carousel-subtitle,
        .cosmecos-testimonial-carousel-widget .testimonial-carousel-wrapper.view-type-4 .author-position,
        .cosmecos-testimonial-carousel-widget .testimonial-carousel-wrapper.view-type-4:after {
            color: ' . esc_attr($standard_accent_text_color) . ';
        }
        .content-wrapper blockquote:before,
        .error-404-bg-text,
        .post-quote:before {
            color: rgba(' . esc_attr(cosmecos_hex2rgb($standard_accent_text_color)) . ', .3);
        }
        .page-loader-logo,
        .cosmecos-icon-box-widget .icon-box-item .icon-container .icon {
            fill: ' . esc_attr($standard_accent_text_color) . ';
        }
        .slide-extra .mini-cart .mini-cart-count > span,
        .content-wrapper .wrapper-socials a:hover,
        .sidebar .widget-title:before,
        .content-wrapper .widget_calendar tbody a:before, 
        .content-wrapper .wp-block-calendar tbody a:before,
        .content-wrapper .widget_tag_cloud .tagcloud .tag-cloud-link:hover,
        .content-wrapper .wp-block-tag-cloud .tag-cloud-link:hover,
        .content-wrapper .widget_recent_comments ul .recentcomments:before,
        .content-wrapper .wp-block-latest-comments li:before,
        .post-meta-header .post-meta-item:not(:first-child):before,
        .content-wrapper input[type="checkbox"]:checked, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="checkbox"]:checked,
        .woocommerce form .form-row input[type="checkbox"].input-checkbox:checked,
        .content-wrapper input[type="radio"]:checked,
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="radio"]:checked,
        .cosmecos-heading .cosmecos-title-decoration:before,
        .has-drop-cap:not(:focus):first-letter,
        .icon-box-title .icon-box-title-decoration:before {
            background-color: ' . esc_attr($standard_accent_text_color) . ';
        }
        .content-wrapper .wrapper-socials a:hover,
        .content-wrapper .widget_tag_cloud .tagcloud .tag-cloud-link:hover,
        .content-wrapper .wp-block-tag-cloud .tag-cloud-link:hover,
        .content-wrapper input[type="checkbox"]:checked, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="checkbox"]:checked,
        .woocommerce form .form-row input[type="checkbox"].input-checkbox:checked,
        .content-wrapper input[type="radio"]:checked,
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="radio"]:checked {
            border-color: ' . esc_attr($standard_accent_text_color) . ';
        }
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]::-webkit-slider-thumb {
            background-color: ' . esc_attr($standard_accent_text_color) . ';
        }
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]::-moz-range-thumb {
             background-color: ' . esc_attr($standard_accent_text_color) . ';
        }
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]::-ms-thumb {
             background-color: ' . esc_attr($standard_accent_text_color) . ';
        }
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]:focus::-ms-thumb {
             background-color: ' . esc_attr($standard_accent_text_color) . ';
        }
    ';
}

$standard_border_color = cosmecos_get_prefered_option('standard_border_color');
if ( !empty($standard_border_color) ) {
    $cosmecos_custom_css .= '
        .content-wrapper .select-wrap:after, 
        .content-wrapper .select2-container .select2-selection--single .select2-selection__arrow,
        .content-wrapper .wp-block-archives-dropdown:after, 
        .content-wrapper .wp-block-categories-dropdown:after {
            color: ' . esc_attr($standard_border_color) . ';
        }
        .post-meta-footer:before, 
        .post-meta-footer:after {
            background-color: ' . esc_attr($standard_border_color) . ';
        }
        .content-wrapper input[type="text"],
        .content-wrapper input[type="email"],
        .content-wrapper input[type="url"],
        .content-wrapper input[type="password"],
        .content-wrapper input[type="search"],
        .content-wrapper input[type="number"],
        .content-wrapper input[type="tel"],
        .content-wrapper input[type="range"],
        .content-wrapper input[type="date"],
        .content-wrapper input[type="month"],
        .content-wrapper input[type="week"],
        .content-wrapper input[type="time"],
        .content-wrapper input[type="datetime"],
        .content-wrapper input[type="datetime-local"],
        .content-wrapper input[type="color"],
        .content-wrapper select,
        .content-wrapper .select2-container .select2-selection--single,
        .content-wrapper textarea,
        .content-wrapper input[type="checkbox"],
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="checkbox"],
        .woocommerce form .form-row input[type="checkbox"].input-checkbox,
        .content-wrapper input[type="radio"],
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="radio"],
        .site-search,
        .simple-sidebar-trigger,
        .header-extra-socials.wrapper-socials a,
        .content-wrapper .widget_search .search-form .search-form-field,
        .select2-dropdown,
        .select2-container--default .select2-search--dropdown .select2-search__field,
        .blog-item,
        .post-navigation,
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="text"],
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="email"],
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="url"],
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="password"],
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="search"],
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="number"],
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="tel"],
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="date"],
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="month"],
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="week"],
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="time"],
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="datetime"],
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="datetime-local"],
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="color"],
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form select,
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form textarea,
        .wp-block-search.wp-block-search__button-inside .wp-block-search__inside-wrapper,
        body .content-wrapper table tr td, 
        body .content-wrapper table tr th, 
        body .cosmecos_comments__item-text table tr td, 
        body .cosmecos_comments__item-text table tr th {
            border-color: ' . esc_attr($standard_border_color) . ';
        }
    ';
}

$standard_border_hover_color = cosmecos_get_prefered_option('standard_border_hover_color');
if ( !empty($standard_border_hover_color) ) {
    $cosmecos_custom_css .= '
        .wp-block-gallery .blocks-gallery-item a:after,
        .portfolio-item-wrapper .portfolio-item-link:after,
        .elementor-image-gallery .gallery .gallery-item .gallery-icon a:after,
        .gallery .gallery-icon a:after {
            color: ' . esc_attr($standard_border_hover_color) . ';
        }
        .cosmecos-icon-box-widget .icon-box-item .icon-container .frame {
            fill: ' . esc_attr($standard_border_hover_color) . ';
        }
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"] {
            background-color: ' . esc_attr($standard_border_hover_color) . ';
        }
        .content-wrapper .widget_tag_cloud .tagcloud .tag-cloud-link,
        .content-wrapper .wp-block-tag-cloud .tag-cloud-link,
        .content-wrapper .widget_recent_comments ul .recentcomments:after,
        .content-wrapper .wp-block-latest-comments li:after,
        .content-wrapper .widget_mc4wp_form_widget .mc4wp-form .mc4wp-form-fields input[type="text"], 
        .content-wrapper .widget_mc4wp_form_widget .mc4wp-form .mc4wp-form-fields input[type="email"], 
        .content-wrapper .widget_mc4wp_form_widget .mc4wp-form .mc4wp-form-fields input[type="url"], 
        .content-wrapper .widget_mc4wp_form_widget .mc4wp-form .mc4wp-form-fields input[type="password"], 
        .content-wrapper .widget_mc4wp_form_widget .mc4wp-form .mc4wp-form-fields input[type="search"], 
        .content-wrapper .widget_mc4wp_form_widget .mc4wp-form .mc4wp-form-fields input[type="tel"],
        .wp-block-gallery .blocks-gallery-item a:before,
        .portfolio-item-wrapper .portfolio-item-link:before,
        .elementor-image-gallery .gallery .gallery-item .gallery-icon a:before,
        .gallery .gallery-icon a:before,
        .blog-item:hover,
        .sticky > .blog-item,
        .status-sticky > .blog-item,
        .cosmecos-price-item-widget .price-item:before,
        .elementor-widget-cosmecos_image .image-widget .image-container.image-style-framed:before,
        .elementor-widget-video.video-image-style-framed .elementor-custom-embed-image-overlay:before,
        .banner-widget:before,
        .content-wrapper input[type="text"]:focus,
        .content-wrapper input[type="email"]:focus,
        .content-wrapper input[type="url"]:focus,
        .content-wrapper input[type="password"]:focus,
        .content-wrapper input[type="search"]:focus,
        .content-wrapper input[type="number"]:focus,
        .content-wrapper input[type="tel"]:focus,
        .content-wrapper input[type="range"]:focus,
        .content-wrapper input[type="date"]:focus,
        .content-wrapper input[type="month"]:focus,
        .content-wrapper input[type="week"]:focus,
        .content-wrapper input[type="time"]:focus,
        .content-wrapper input[type="datetime"]:focus,
        .content-wrapper input[type="datetime-local"]:focus,
        .content-wrapper input[type="color"]:focus,
        .content-wrapper select:focus,
        .content-wrapper .select2-container .select2-selection--single:focus,
        .content-wrapper textarea:focus,
        .site-search:focus,
        .content-wrapper .widget_search .search-form .search-form-field:focus,
        .select2-dropdown:focus,
        .select2-container--default .select2-search--dropdown .select2-search__field:focus,
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="text"]:focus,
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="email"]:focus,
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="url"]:focus,
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="password"]:focus,
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="search"]:focus,
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="number"]:focus,
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="tel"]:focus,
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="date"]:focus,
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="month"]:focus,
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="week"]:focus,
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="time"]:focus,
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="datetime"]:focus,
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="datetime-local"]:focus,
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="color"]:focus,
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form select:focus,
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form textarea:focus,
        .cosmecos-testimonial-carousel-widget .testimonial-carousel-wrapper.view-type-4:before,
        .cosmecos-testimonial-carousel-widget .testimonial-carousel-wrapper.view-type-4 .testimonial-carousel-corner:before,
        .cosmecos-instagram-feed .instagram-feed-info:before,
        .product-category-widget:before,
        .cosmecos_countdown_widget .countdown_digits:before {
            border-color: ' . esc_attr($standard_border_hover_color) . ';
        }
        .content-wrapper .widget_calendar, 
        .content-wrapper .wp-block-calendar {
            -webkit-box-shadow: 0px 3px 49px rgba(' . esc_attr(cosmecos_hex2rgb($standard_border_hover_color)) . ', 0.07);
            -moz-box-shadow: 0px 3px 49px rgba(' . esc_attr(cosmecos_hex2rgb($standard_border_hover_color)) . ', 0.07);
            box-shadow: 0px 3px 49px rgba(' . esc_attr(cosmecos_hex2rgb($standard_border_hover_color)) . ', 0.07);
        }
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]::-webkit-slider-thumb {
            box-shadow: 0px 0px 0px 1px ' . esc_attr($standard_border_hover_color) . ';
        }
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]::-moz-range-thumb {
            box-shadow: 0px 0px 0px 1px ' . esc_attr($standard_border_hover_color) . ';
        }
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]::-ms-thumb {
            box-shadow: 0px 0px 0px 1px ' . esc_attr($standard_border_hover_color) . ';
        }
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]:focus::-ms-thumb {
            box-shadow: 0px 0px 0px 1px ' . esc_attr($standard_border_hover_color) . ';
        }
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]::-webkit-slider-runnable-track {
            background-color: ' . esc_attr($standard_border_hover_color) . ';
        }
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]:focus::-webkit-slider-runnable-track {
            background-color: ' . esc_attr($standard_border_hover_color) . ';
        }
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]::-moz-range-track {
            background-color: ' . esc_attr($standard_border_hover_color) . ';
        }
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]::-ms-track {
            background-color: ' . esc_attr($standard_border_hover_color) . ';
        }
    ';
}

$standard_background_color = cosmecos_get_prefered_option('standard_background_color');
if ( !empty($standard_background_color) ) {
    $cosmecos_custom_css .= '
        body,
        .site-search,
        .simple-sidebar-trigger,
        .slide-extra-wrapper,
        .content-wrapper .widget_calendar, 
        .content-wrapper .wp-block-calendar,
        .content-wrapper .widget_media_gallery .gallery .gallery-icon a:before,
        .video-widget .video-container .close-popup-layer .close-button:hover, 
        .tabs-widget .video-container .close-popup-layer .close-button:hover,
        .elementor-widget-video .elementor-custom-embed-play:hover i,
        .cosmecos-testimonial-carousel-widget .testimonial-carousel-wrapper.view-type-4,
        .cosmecos-testimonial-carousel-widget .testimonial-carousel-wrapper.view-type-4 .testimonial-carousel-corner:after,
        .cosmecos-instagram-feed .instagram-feed-info,
        .product-category-widget .product-category-title,
        .cosmecos_countdown_widget .countdown_digits,
        .elementor-widget-cosmecos_image .image-widget .image-container .label {
            background-color: ' . esc_attr($standard_background_color) . ';
        }
        .wp-block-gallery .blocks-gallery-item a:before,
        .portfolio-item-wrapper .portfolio-item-link:before,
        .elementor-image-gallery .gallery .gallery-item .gallery-icon a:before,
        .gallery .gallery-icon a:before {
            background-color: rgba(' . esc_attr(cosmecos_hex2rgb($standard_background_color)) . ', .9);
        }
        .video-widget .video-container .close-popup-layer .close-button, 
        .tabs-widget .video-container .close-popup-layer .close-button,
        .elementor-widget-video .elementor-custom-embed-play i {
            background-color: rgba(' . esc_attr(cosmecos_hex2rgb($standard_background_color)) . ', .7);
        }
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]::-webkit-slider-thumb {
            border-color: ' . esc_attr($standard_background_color) . ';
        }
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]::-moz-range-thumb {
            border-color: ' . esc_attr($standard_background_color) . ';
        }
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]::-ms-thumb {
            border-color: ' . esc_attr($standard_background_color) . ';
        }
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]:focus::-ms-thumb {
            border-color: ' . esc_attr($standard_background_color) . ';
        }
        @media only screen and (min-width: 992px) {
            .cosmecos_content_slider_widget .slick-arrow {
                 background-color: ' . esc_attr($standard_background_color) . ';
            }
        }
    ';
}

$standard_background_alter_color = cosmecos_get_prefered_option('standard_background_alter_color');
if ( !empty($standard_background_alter_color) ) {
    $cosmecos_custom_css .= '
        .cosmecos-icon-box-widget .icon-box-item .icon-container .background {
            fill: ' . esc_attr($standard_background_alter_color) . ';
        }
        .content-wrapper .widget_cosmecos_banner_widget .banner-widget-wrapper,
        .slide-sidebar-wrapper .widget_cosmecos_banner_widget .banner-widget-wrapper.banner-contrast-colors,
        .footer .widget_cosmecos_banner_widget .banner-widget-wrapper.banner-contrast-colors,
        .content-wrapper .widget_calendar tbody td#today:before, 
        .content-wrapper .wp-block-calendar tbody td#today:before,
        .error-404-container,
        .select2-container.select2-container--default .select2-results__option[aria-selected=true], 
        .select2-container.select2-container--default .select2-results__option[data-selected=true],
        .post-quote,
        .cosmecos-price-item-widget .price-item,
        .wp-block-pullquote.is-style-solid-color:not(.has-background) {
            background-color: ' . esc_attr($standard_background_alter_color) . ';
        }
    ';
}

$standard_button_text_color = cosmecos_get_prefered_option('standard_button_text_color');
if ( !empty($standard_button_text_color) ) {
    $cosmecos_custom_css .= '
        .error-404-button .cosmecos-button,
        #form-preview button,
        .content-wrapper .cosmecos-button,
        .content-wrapper button:not(.customize-partial-edit-shortcut-button),
        .content-wrapper input[type="submit"],
        .content-wrapper input[type="button"],
        .content-wrapper input[type="reset"],
        .content-wrapper .owl-carousel.owl-theme .owl-nav [class*="owl-"],
        .content-pagination .page-numbers,
        .content-pagination .post-page-numbers,
        .content-wrapper .post-navigation-link a,
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="submit"], 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form button[type="submit"], 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-page-button,
        .cosmecos_content_slider_widget .slick-arrow:after {
            color: ' . esc_attr($standard_button_text_color) . ';
        }
        @media only screen and (min-width: 992px) {
            .cosmecos_content_slider_widget .slick-arrow {
                color: ' . esc_attr($standard_button_text_color) . ';
            }
        }
    ';
}

$standard_button_border_color = cosmecos_get_prefered_option('standard_button_border_color');
if ( !empty($standard_button_border_color) ) {
    $cosmecos_custom_css .= '
        .error-404-button .cosmecos-button,
        .content-wrapper .cosmecos-button,
        .content-wrapper button:not(.customize-partial-edit-shortcut-button),
        .content-wrapper input[type="submit"],
        .content-wrapper input[type="button"],
        .content-wrapper input[type="reset"],
        .slide-sidebar-wrapper .widget_cosmecos_banner_widget .banner-widget-wrapper.banner-contrast-colors .cosmecos-button,
        .content-wrapper .owl-carousel.owl-theme .owl-nav [class*="owl-"],
        .content-pagination .page-numbers,
        .content-pagination .post-page-numbers,
        .post-navigation-link a,
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="submit"], 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form button[type="submit"], 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-page-button,
        .cosmecos_content_slider_widget .slick-arrow {
            border-color: ' . esc_attr($standard_button_border_color) . ';
        }
        @media only screen and (min-width: 992px) {
            .cosmecos_content_slider_widget .slick-arrow {
                 border-color: ' . esc_attr($standard_button_border_color) . ';
            }
        }
    ';
}

$standard_button_background_color = cosmecos_get_prefered_option('standard_button_background_color');
if ( !empty($standard_button_background_color) ) {
    $cosmecos_custom_css .= '
        .error-404-button .cosmecos-button:before,
        .content-wrapper .cosmecos-button:before,
        #form-preview button:before,
        .content-wrapper button:not(.customize-partial-edit-shortcut-button):before,
        .content-wrapper input[type="submit"]:before,
        .content-wrapper input[type="button"]:before,
        .content-wrapper input[type="reset"]:before,
        .content-wrapper .owl-carousel.owl-theme .owl-nav [class*="owl-"]:before,
        .content-pagination .page-numbers:before, 
        .content-pagination .post-page-numbers:before, 
        .post-navigation-link a:before,
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="submit"]:before, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form button[type="submit"]:before, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-page-button:before,
        .cosmecos_content_slider_widget .slick-arrow:before {
            background-color: ' . esc_attr($standard_button_background_color) . ';
        }
        @media only screen and (min-width: 992px) {
            .cosmecos_content_slider_widget .slick-arrow:before {
                 background-color: ' . esc_attr($standard_button_background_color) . ';
            }
        }
    ';
}

$standard_button_text_hover = cosmecos_get_prefered_option('standard_button_text_hover');
if ( !empty($standard_button_text_hover) ) {
    $cosmecos_custom_css .= '
        .error-404-button .cosmecos-button:hover,
        #form-preview button:hover,
        .content-wrapper .cosmecos-button:hover,
        .content-wrapper button:not(.customize-partial-edit-shortcut-button):hover,
        .content-wrapper input[type="submit"]:hover,
        .content-wrapper input[type="button"]:hover,
        .content-wrapper input[type="reset"]:hover,
        .content-wrapper .owl-carousel.owl-theme .owl-nav [class*="owl-"]:hover,
        .content-pagination .page-numbers:not(.dots):hover,
        .content-pagination .post-page-numbers:not(.dots):hover,
        .content-pagination .page-numbers.current,
        .content-pagination .post-page-numbers.current,
        .content-wrapper .post-navigation-link a:hover,
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="submit"]:hover, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form button[type="submit"]:hover, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-page-button:hover,
        .cosmecos_content_slider_widget .slick-arrow:hover:after {
            color: ' . esc_attr($standard_button_text_hover) . ';
        }
        @media only screen and (min-width: 992px) {
            .cosmecos_content_slider_widget .slick-arrow:hover {
                 color: ' . esc_attr($standard_button_text_hover) . ';
            }
        }
    ';
}

$standard_button_border_hover = cosmecos_get_prefered_option('standard_button_border_hover');
if ( !empty($standard_button_border_hover) ) {
    $cosmecos_custom_css .= '
        .error-404-button .cosmecos-button:hover,
        .content-wrapper .cosmecos-button:hover,
        .content-wrapper button:not(.customize-partial-edit-shortcut-button):hover,
        .content-wrapper input[type="submit"]:hover,
        .content-wrapper input[type="button"]:hover,
        .content-wrapper input[type="reset"]:hover,
        .slide-sidebar-wrapper .widget_cosmecos_banner_widget .banner-widget-wrapper.banner-contrast-colors .cosmecos-button:hover,
        .content-wrapper .owl-carousel.owl-theme .owl-nav [class*="owl-"]:hover,
        .content-pagination .page-numbers:not(.dots):hover,
        .content-pagination .post-page-numbers:not(.dots):hover,
        .content-pagination .page-numbers.current,
        .content-pagination .post-page-numbers.current,
        .post-navigation-link a:hover,
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="submit"]:hover, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form button[type="submit"]:hover, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-page-button:hover,
        .cosmecos_content_slider_widget .slick-arrow:hover {
            border-color: ' . esc_attr($standard_button_border_hover) . ';
        }
        @media only screen and (min-width: 992px) {
            .cosmecos_content_slider_widget .slick-arrow:hover {
                 border-color: ' . esc_attr($standard_button_border_hover) . ';
            }
        }
    ';
}

$standard_button_background_hover = cosmecos_get_prefered_option('standard_button_background_hover');
if ( !empty($standard_button_background_hover) ) {
    $cosmecos_custom_css .= '
        .error-404-button .cosmecos-button:hover:before,
        .content-wrapper .cosmecos-button:hover:before,
        #form-preview button:hover:before,
        .content-wrapper button:not(.customize-partial-edit-shortcut-button):hover:before,
        .content-wrapper input[type="submit"]:hover:before,
        .content-wrapper input[type="button"]:hover:before,
        .content-wrapper input[type="reset"]:hover:before,
        .content-wrapper .owl-carousel.owl-theme .owl-nav [class*="owl-"]:hover:before,
        .content-pagination .page-numbers:not(.dots):hover:before, 
        .content-pagination .post-page-numbers:not(.dots):hover:before, 
        .content-pagination .page-numbers.current:before, 
        .content-pagination .post-page-numbers.current:before, 
        .post-navigation-link a:hover:before,
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="submit"]:hover:before, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form button[type="submit"]:hover:before, 
        .content-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-page-button:hover:before,
        .cosmecos_content_slider_widget .slick-arrow:hover:before {
            background-color: ' . esc_attr($standard_button_background_hover) . ';
        }
        @media only screen and (min-width: 992px) {
            .cosmecos_content_slider_widget .slick-arrow:hover:before {
                 background-color: ' . esc_attr($standard_button_background_hover) . ';
            }
        }
    ';
}


// ----------------------------- //
// ------ Contrast Colors ------ //
// ----------------------------- //

$contrast_default_text_color = cosmecos_get_prefered_option('contrast_default_text_color');
if ( !empty($contrast_default_text_color) ) {
    $cosmecos_custom_css .= '
        .header .main-menu ul.sub-menu > li > a,
        .slide-extra .mini-cart .mini-cart-count > span,
        .content-wrapper .widget_cosmecos_banner_widget .banner-widget-wrapper.banner-contrast-colors {
            color: ' . esc_attr($contrast_default_text_color) . ';
        }
    ';
}

$contrast_dark_text_color = cosmecos_get_prefered_option('contrast_dark_text_color');
if ( !empty($contrast_dark_text_color) ) {
    $cosmecos_custom_css .= '
        .slide-sidebar-wrapper a,
        .slide-sidebar-wrapper .side-widget-title,
        .slide-sidebar-wrapper .wrapper-socials a,
        .slide-sidebar-wrapper .wrapper-socials a:hover,
        .slide-sidebar-wrapper .widget_text,
        .slide-sidebar-wrapper .widget_cosmecos_contacts_widget .cosmecos-contacts-widget-field,
        .header-extra-socials.wrapper-socials a:hover,
        #sb_instagram .sbi_item .sbi_photo:after,
        .content-wrapper .widget_cosmecos_banner_widget .banner-widget-wrapper.banner-contrast-colors .banner-title,
        .slide-sidebar-wrapper .widget_search .search-form .search-form-icon,
        .slide-sidebar-wrapper input, 
        .slide-sidebar-wrapper textarea,
        .slide-sidebar-wrapper select,
        .slide-sidebar-wrapper input[type="checkbox"]:before,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="checkbox"]:before,
        .slide-sidebar-wrapper .widget_cosmecos_banner_widget .banner-widget-wrapper,
        .slide-sidebar-wrapper .widget_cosmecos_banner_widget .banner-widget-wrapper .banner-title,
        .slide-sidebar-wrapper .widget_calendar .wp-calendar-nav a:hover, 
        .slide-sidebar-wrapper .wp-block-calendar .wp-calendar-nav a:hover,
        .slide-sidebar-wrapper .widget_calendar tbody td#today, 
        .slide-sidebar-wrapper .wp-block-calendar tbody td#today,
        .slide-sidebar-wrapper .widget_tag_cloud .tagcloud .tag-cloud-link,
        .slide-sidebar-wrapper .wp-block-tag-cloud .tag-cloud-link,
        .slide-sidebar-wrapper .widget_archive .post-count,
        .slide-sidebar-wrapper .wp-block-archives .post-count,
        .slide-sidebar-wrapper .widget_categories .post-count, 
        .slide-sidebar-wrapper .wp-block-categories .post-count,
        .slide-sidebar-wrapper .widget_rss cite,
        .slide-sidebar-wrapper .widget_media_gallery .gallery .gallery-icon a:after,
        .widget_media_audio .mejs-container .mejs-button > button,
        .widget_media_audio .mejs-container .mejs-time,
        .widget_media_audio .mejs-container .mejs-duration,
        .mejs-audio.mejs-container .mejs-button > button,
        .mejs-audio.mejs-container .mejs-time,
        .mejs-audio.mejs-container .mejs-duration,
        .wp-video .mejs-container .mejs-button > button,
        .wp-video .mejs-container .mejs-time,
        .wp-video .mejs-container .mejs-duration,
        .post-categories a.post-category-item,
        .sticky .post-labels:before,
        .status-sticky .post-labels:before,
        .select2-container.select2-container--default .select2-results__option--highlighted[aria-selected], 
        .select2-container.select2-container--default .select2-results__option--highlighted[data-selected],
        .cosmecos-price-item-widget .price-item.active .price-item-title,
        .banner-widget .banner-subtitle,
        .banner-widget .banner-description {
            color: ' . esc_attr($contrast_dark_text_color) . ';
        }
        .widget_media_audio .mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-current, 
        .widget_media_audio .mejs-controls .mejs-time-rail .mejs-time-loaded,
        .mejs-audio .mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-current, 
        .mejs-audio .mejs-controls .mejs-time-rail .mejs-time-loaded,
        .wp-video .mejs-overlay-play .mejs-overlay-button:hover,
        .wp-video .mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-current, 
        .wp-video .mejs-controls .mejs-time-rail .mejs-time-loaded,
        .wp-video .mejs-volume-current,
        .wp-video .mejs-volume-handle,
        .slide-sidebar-wrapper input[type="radio"]:before,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="radio"]:before,
        .video-widget .video-trigger-button:hover, 
        .tabs-widget .video-trigger-button:hover {
            background-color: ' . esc_attr($contrast_dark_text_color) . ';
        }
        .slide-sidebar-wrapper .content-inner ul:not([class*="elementor"]) > li:not([class*="elementor"]):before,
        .slide-sidebar-wrapper .content-single-post ul:not([class*="elementor"]) > li:not([class*="elementor"]):before,
        .slide-sidebar-wrapper .single_portfolio_content ul:not([class*="elementor"]) > li:not([class*="elementor"]):before,
        .slide-sidebar-wrapper .cosmecos_comments__item-text ul:not([class*="elementor"]) > li:not([class*="elementor"]):before,
        .slide-sidebar-wrapper .single_recipe_content ul:not([class*="elementor"]) > li:not([class*="elementor"]):before {
            border-color: ' . esc_attr($contrast_dark_text_color) . ';
        }
        .widget_media_audio .mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-total, 
        .widget_media_audio .mejs-controls .mejs-time-rail .mejs-time-total,
        .mejs-audio .mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-total, 
        .mejs-audio .mejs-controls .mejs-time-rail .mejs-time-total,
        .wp-video .mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-total, 
        .wp-video .mejs-controls .mejs-time-rail .mejs-time-total,
        .wp-video .mejs-volume-total {
            background-color: rgba(' . esc_attr(cosmecos_hex2rgb($contrast_dark_text_color)) . ', 0.4);
        }
        .wp-video .mejs-overlay-play .mejs-overlay-button,
        .video-widget .video-trigger-button, 
        .tabs-widget .video-trigger-button {
            background-color: rgba(' . esc_attr(cosmecos_hex2rgb($contrast_dark_text_color)) . ', 0.7);
        }
    ';
}

$contrast_light_text_color = cosmecos_get_prefered_option('contrast_light_text_color');
if ( !empty($contrast_light_text_color) ) {
    $cosmecos_custom_css .= '
        .slide-sidebar-wrapper, 
        .slide-sidebar-wrapper .slide-sidebar-close,
        .slide-sidebar-wrapper .widget_calendar .wp-calendar-nav a, 
        .slide-sidebar-wrapper .wp-block-calendar .wp-calendar-nav a,
        .slide-sidebar-wrapper .widget_calendar thead th, 
        .slide-sidebar-wrapper .wp-block-calendar thead th,
        .slide-sidebar-wrapper .widget_recent_comments ul .recentcomments,
        .slide-sidebar-wrapper .widget_recent_comments ul .recentcomments .comment-author-link a,
        .slide-sidebar-wrapper .widget_categories li.cat-item-hierarchical, 
        .slide-sidebar-wrapper .wp-block-categories li.cat-item-hierarchical,
        .slide-sidebar-wrapper .widget_cosmecos_featured_posts_widget .featured-posts-item-date,
        .slide-sidebar-wrapper .widget_recent_entries .post-date,
        .slide-sidebar-wrapper .widget_pages .widget-archive-trigger,
        .slide-sidebar-wrapper .widget_nav_menu .widget-menu-trigger,
        .slide-sidebar-wrapper .widget_rss .rss-date,
        .slide-sidebar-wrapper .select2-container--default .select2-selection--single .select2-selection__placeholder,
        .cosmecos-price-item-widget .price-item.active {
            color: ' . esc_attr($contrast_light_text_color) . ';
        }
        .slide-sidebar-wrapper input[type="text"]::-webkit-input-placeholder,
        .slide-sidebar-wrapper input[type="email"]::-webkit-input-placeholder,
        .slide-sidebar-wrapper input[type="url"]::-webkit-input-placeholder,
        .slide-sidebar-wrapper input[type="password"]::-webkit-input-placeholder,
        .slide-sidebar-wrapper input[type="search"]::-webkit-input-placeholder,
        .slide-sidebar-wrapper input[type="tel"]::-webkit-input-placeholder,
        .slide-sidebar-wrapper input[type="number"]::-webkit-input-placeholder, 
        .slide-sidebar-wrapper input[type="date"]::-webkit-input-placeholder, 
        .slide-sidebar-wrapper input[type="month"]::-webkit-input-placeholder, 
        .slide-sidebar-wrapper input[type="week"]::-webkit-input-placeholder, 
        .slide-sidebar-wrapper input[type="time"]::-webkit-input-placeholder, 
        .slide-sidebar-wrapper input[type="datetime"]::-webkit-input-placeholder, 
        .slide-sidebar-wrapper input[type="datetime-local"]::-webkit-input-placeholder, 
        .slide-sidebar-wrapper textarea::-webkit-input-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="text"]::-webkit-input-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="email"]::-webkit-input-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="url"]::-webkit-input-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="password"]::-webkit-input-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="search"]::-webkit-input-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="number"]::-webkit-input-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="tel"]::-webkit-input-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="date"]::-webkit-input-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="month"]::-webkit-input-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="week"]::-webkit-input-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="time"]::-webkit-input-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="datetime"]::-webkit-input-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="datetime-local"]::-webkit-input-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form textarea::-webkit-input-placeholder {
             color: ' . esc_attr($contrast_light_text_color) . ';
        }
        
        .slide-sidebar-wrapper input[type="text"]:-moz-placeholder,
        .slide-sidebar-wrapper input[type="url"]:-moz-placeholder,
        .slide-sidebar-wrapper input[type="email"]:-moz-placeholder,
        .slide-sidebar-wrapper input[type="password"]:-moz-placeholder,
        .slide-sidebar-wrapper input[type="search"]:-moz-placeholder,
        .slide-sidebar-wrapper input[type="tel"]:-moz-placeholder, 
        .slide-sidebar-wrapper input[type="number"]:-moz-placeholder, 
        .slide-sidebar-wrapper input[type="date"]:-moz-placeholder, 
        .slide-sidebar-wrapper input[type="month"]:-moz-placeholder, 
        .slide-sidebar-wrapper input[type="week"]:-moz-placeholder, 
        .slide-sidebar-wrapper input[type="time"]:-moz-placeholder, 
        .slide-sidebar-wrapper input[type="datetime"]:-moz-placeholder, 
        .slide-sidebar-wrapper input[type="datetime-local"]:-moz-placeholder, 
        .slide-sidebar-wrapper textarea:-moz-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="text"]:-moz-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="email"]:-moz-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="url"]:-moz-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="password"]:-moz-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="search"]:-moz-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="number"]:-moz-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="tel"]:-moz-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="date"]:-moz-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="month"]:-moz-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="week"]:-moz-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="time"]:-moz-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="datetime"]:-moz-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="datetime-local"]:-moz-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form textarea:-moz-placeholder {
             color: ' . esc_attr($contrast_light_text_color) . ';
        }
        
        .slide-sidebar-wrapper input[type="text"]:-ms-input-placeholder,
        .slide-sidebar-wrapper input[type="email"]:-ms-input-placeholder,
        .slide-sidebar-wrapper input[type="url"]:-ms-input-placeholder,
        .slide-sidebar-wrapper input[type="password"]:-ms-input-placeholder,
        .slide-sidebar-wrapper input[type="search"]:-ms-input-placeholder,
        .slide-sidebar-wrapper input[type="tel"]:-ms-input-placeholder, 
        .slide-sidebar-wrapper input[type="number"]:-ms-input-placeholder, 
        .slide-sidebar-wrapper input[type="date"]:-ms-input-placeholder, 
        .slide-sidebar-wrapper input[type="month"]:-ms-input-placeholder, 
        .slide-sidebar-wrapper input[type="week"]:-ms-input-placeholder, 
        .slide-sidebar-wrapper input[type="time"]:-ms-input-placeholder, 
        .slide-sidebar-wrapper input[type="datetime"]:-ms-input-placeholder, 
        .slide-sidebar-wrapper input[type="datetime-local"]:-ms-input-placeholder, 
        .slide-sidebar-wrapper textarea:-ms-input-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="text"]:-ms-input-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="email"]:-ms-input-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="url"]:-ms-input-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="password"]:-ms-input-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="search"]:-ms-input-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="number"]:-ms-input-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="tel"]:-ms-input-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="date"]:-ms-input-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="month"]:-ms-input-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="week"]:-ms-input-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="time"]:-ms-input-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="datetime"]:-ms-input-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="datetime-local"]:-ms-input-placeholder,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form textarea:-ms-input-placeholder {
            color: ' . esc_attr($contrast_light_text_color) . ';
        }
    ';
}

$contrast_accent_text_color = cosmecos_get_prefered_option('contrast_accent_text_color');
if ( !empty($contrast_accent_text_color) ) {
    $cosmecos_custom_css .= '
        .header .main-menu ul.sub-menu > li > a:hover,
        .header .main-menu ul.sub-menu > li.current-menu-ancestor > a,
        .header .main-menu ul.sub-menu > li.current-menu-parent > a,
        .header .main-menu ul.sub-menu > li.current-menu-item > a,
        .slide-sidebar-wrapper .slide-sidebar-close:hover,
        .slide-sidebar-wrapper a:hover,
        .slide-sidebar-wrapper .widget_recent_comments ul .recentcomments .comment-author-link a:hover,
        .widget_media_audio .mejs-container .mejs-button > button:hover,
        .mejs-audio.mejs-container .mejs-button > button:hover,
        .wp-video .mejs-container .mejs-button > button:hover,
        .cosmecos-price-item-widget .price-item.active .price-wrapper,
        .banner-widget .banner-title,
        .post-categories a.post-category-item:hover {
            color: ' . esc_attr($contrast_accent_text_color) . ';
        }
        .slide-sidebar-wrapper blockquote:before {
            color: rgba(' . esc_attr(cosmecos_hex2rgb($standard_accent_text_color)) . ', .3);
        }
        .slide-sidebar-wrapper .widget_calendar tbody a:before, 
        .slide-sidebar-wrapper .wp-block-calendar tbody a:before,
        .slide-sidebar-wrapper .widget_tag_cloud .tagcloud .tag-cloud-link:hover,
        .slide-sidebar-wrapper .wp-block-tag-cloud .tag-cloud-link:hover,
        .slide-sidebar-wrapper .widget_recent_comments ul .recentcomments:before,
        .widget_media_audio .mejs-controls .mejs-time-rail .mejs-time-current,
        .mejs-audio .mejs-controls .mejs-time-rail .mejs-time-current,
        .wp-video .mejs-controls .mejs-time-rail .mejs-time-current,
        .widget_media_audio .mejs-controls .mejs-time-rail .mejs-time-handle-content,
        .mejs-audio .mejs-controls .mejs-time-rail .mejs-time-handle-content,
        .wp-video .mejs-controls .mejs-time-rail .mejs-time-handle-content,
        .slide-sidebar-wrapper input[type="checkbox"]:checked, 
        .slide-sidebar-wrapper input[type="radio"]:checked,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="checkbox"]:checked,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="radio"]:checked {
            background-color: ' . esc_attr($contrast_accent_text_color) . ';
        }
        .slide-sidebar-wrapper .widget_tag_cloud .tagcloud .tag-cloud-link:hover,
        .slide-sidebar-wrapper .wp-block-tag-cloud .tag-cloud-link:hover,
        .widget_media_audio .mejs-controls .mejs-time-rail .mejs-time-handle-content,
        .mejs-audio .mejs-controls .mejs-time-rail .mejs-time-handle-content,
        .wp-video .mejs-controls .mejs-time-rail .mejs-time-handle-content,
        .slide-sidebar-wrapper input[type="checkbox"]:checked, 
        .slide-sidebar-wrapper input[type="radio"]:checked,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="checkbox"]:checked,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="radio"]:checked {
            border-color: ' . esc_attr($contrast_accent_text_color) . ';
        }
        .widget_media_audio .mejs-controls .mejs-time-rail .mejs-time-hovered,
        .mejs-audio .mejs-controls .mejs-time-rail .mejs-time-hovered,
        .wp-video .mejs-controls .mejs-time-rail .mejs-time-hovered {
             background-color: rgba(' . esc_attr(cosmecos_hex2rgb($contrast_accent_text_color)) . ', 0.4);
        }
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]::-webkit-slider-thumb {
            background-color: ' . esc_attr($contrast_accent_text_color) . ';
        }
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]::-moz-range-thumb {
             background-color: ' . esc_attr($contrast_accent_text_color) . ';
        }
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]::-ms-thumb {
             background-color: ' . esc_attr($contrast_accent_text_color) . ';
        }
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]:focus::-ms-thumb {
             background-color: ' . esc_attr($contrast_accent_text_color) . ';
        }
    ';
}

$contrast_border_color = cosmecos_get_prefered_option('contrast_border_color');
if ( !empty($contrast_border_color) ) {
    $cosmecos_custom_css .= '
        .slide-sidebar-wrapper .widget_cosmecos_contacts_widget .cosmecos-contacts-widget-field:before,
        .slide-sidebar-wrapper .select-wrap:after, 
        .slide-sidebar-wrapper .select2-container .select2-selection--single .select2-selection__arrow,
        .slide-sidebar-wrapper .wp-block-archives-dropdown:after, 
        .slide-sidebar-wrapper .wp-block-categories-dropdown:after {
            color: ' . esc_attr($contrast_border_color) . ';
        }
        .slide-sidebar-wrapper input[type="text"],
        .slide-sidebar-wrapper input[type="email"],
        .slide-sidebar-wrapper input[type="url"],
        .slide-sidebar-wrapper input[type="password"],
        .slide-sidebar-wrapper input[type="search"],
        .slide-sidebar-wrapper input[type="number"],
        .slide-sidebar-wrapper input[type="tel"],
        .slide-sidebar-wrapper input[type="range"],
        .slide-sidebar-wrapper input[type="date"],
        .slide-sidebar-wrapper input[type="month"],
        .slide-sidebar-wrapper input[type="week"],
        .slide-sidebar-wrapper input[type="time"],
        .slide-sidebar-wrapper input[type="datetime"],
        .slide-sidebar-wrapper input[type="datetime-local"],
        .slide-sidebar-wrapper input[type="color"],
        .slide-sidebar-wrapper select,
        .slide-sidebar-wrapper textarea,
        .slide-sidebar-wrapper input[type="checkbox"],
        .slide-sidebar-wrapper input[type="radio"],
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="checkbox"],
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="radio"],
        .slide-sidebar-wrapper .select2-container .select2-selection--single,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="text"],
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="email"],
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="url"],
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="password"],
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="search"],
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="number"],
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="tel"],
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="date"],
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="month"],
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="week"],
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="time"],
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="datetime"],
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="datetime-local"],
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="color"],
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form select,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form textarea {
            border-color: ' . esc_attr($contrast_border_color) . ';
        }
    ';
}

$contrast_border_hover_color = cosmecos_get_prefered_option('contrast_border_hover_color');
if ( !empty($contrast_border_hover_color) ) {
    $cosmecos_custom_css .= '
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"] {
            background-color: ' . esc_attr($contrast_border_hover_color) . ';
        }
        
        .slide-sidebar-wrapper .widget_tag_cloud .tagcloud .tag-cloud-link,
        .slide-sidebar-wrapper .wp-block-tag-cloud .tag-cloud-link,
        .slide-sidebar-wrapper .widget_recent_comments ul .recentcomments:after,
        .slide-sidebar-wrapper .widget_mc4wp_form_widget .mc4wp-form .mc4wp-form-fields input[type="text"], 
        .slide-sidebar-wrapper .widget_mc4wp_form_widget .mc4wp-form .mc4wp-form-fields input[type="email"], 
        .slide-sidebar-wrapper .widget_mc4wp_form_widget .mc4wp-form .mc4wp-form-fields input[type="url"], 
        .slide-sidebar-wrapper .widget_mc4wp_form_widget .mc4wp-form .mc4wp-form-fields input[type="password"], 
        .slide-sidebar-wrapper .widget_mc4wp_form_widget .mc4wp-form .mc4wp-form-fields input[type="search"], 
        .slide-sidebar-wrapper .widget_mc4wp_form_widget .mc4wp-form .mc4wp-form-fields input[type="tel"] {
            border-color: ' . esc_attr($contrast_border_hover_color) . ';
        }
        .slide-sidebar-wrapper .widget_calendar, 
        .slide-sidebar-wrapper .wp-block-calendar {
            -webkit-box-shadow: 0px 3px 49px rgba(' . esc_attr(cosmecos_hex2rgb($contrast_border_hover_color)) . ', 0.07);
            -moz-box-shadow: 0px 3px 49px rgba(' . esc_attr(cosmecos_hex2rgb($contrast_border_hover_color)) . ', 0.07);
            box-shadow: 0px 3px 49px rgba(' . esc_attr(cosmecos_hex2rgb($contrast_border_hover_color)) . ', 0.07);
        }
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]::-webkit-slider-thumb {
            box-shadow: 0px 0px 0px 1px ' . esc_attr($contrast_border_hover_color) . ';
        }
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]::-moz-range-thumb {
            box-shadow: 0px 0px 0px 1px ' . esc_attr($contrast_border_hover_color) . ';
        }
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]::-ms-thumb {
            box-shadow: 0px 0px 0px 1px ' . esc_attr($contrast_border_hover_color) . ';
        }
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]:focus::-ms-thumb {
            box-shadow: 0px 0px 0px 1px ' . esc_attr($contrast_border_hover_color) . ';
        }
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]::-webkit-slider-runnable-track {
            background-color: ' . esc_attr($contrast_border_hover_color) . ';
        }
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]:focus::-webkit-slider-runnable-track {
            background-color: ' . esc_attr($contrast_border_hover_color) . ';
        }
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]::-moz-range-track {
            background-color: ' . esc_attr($contrast_border_hover_color) . ';
        }
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]::-ms-track {
            background-color: ' . esc_attr($contrast_border_hover_color) . ';
        }
    ';
}

$contrast_background_color = cosmecos_get_prefered_option('contrast_background_color');
if ( !empty($contrast_background_color) ) {
    $cosmecos_custom_css .= '
        .slide-sidebar-wrapper .widget_calendar tbody a, 
        .slide-sidebar-wrapper .widget_calendar tbody a:hover, 
        .slide-sidebar-wrapper .wp-block-calendar tbody a, 
        .slide-sidebar-wrapper .wp-block-calendar tbody a:hover,
        .slide-sidebar-wrapper .widget_tag_cloud .tagcloud .tag-cloud-link:hover,
        .slide-sidebar-wrapper .wp-block-tag-cloud .tag-cloud-link:hover,
        .wp-video .mejs-overlay-play .mejs-overlay-button,
        .video-widget .video-trigger-button .button-icon, 
        .tabs-widget .video-trigger-button .button-icon {
            color: ' . esc_attr($contrast_background_color) . ';
        }
        .body-overlay,
        .header .main-menu ul.sub-menu,
        .slide-sidebar-wrapper,
        #sb_instagram .sbi_item .sbi_photo:before,
        .slide-sidebar-wrapper .widget_calendar, 
        .slide-sidebar-wrapper .wp-block-calendar,
        .slide-sidebar-wrapper .widget_media_gallery .gallery .gallery-icon a:before,
        .content-wrapper .widget_media_audio .mejs-container, 
        .content-wrapper .widget_media_audio .mejs-container .mejs-controls, 
        .content-wrapper .widget_media_audio .mejs-embed, 
        .content-wrapper .widget_media_audio .mejs-embed body,
        .content-wrapper .mejs-audio.mejs-container, 
        .content-wrapper .mejs-audio.mejs-container .mejs-controls, 
        .content-wrapper .mejs-audio .mejs-embed, 
        .content-wrapper .mejs-audio .mejs-embed body,
        .content-wrapper .wp-video .mejs-container, 
        .content-wrapper .wp-video .mejs-container .mejs-controls, 
        .content-wrapper .wp-video .mejs-embed, 
        .content-wrapper .wp-video .mejs-embed body,
        .content-wrapper .mejs-volume-button > .mejs-volume-slider,
        .post-categories a.post-category-item,
        .sticky .post-labels:before,
        .status-sticky .post-labels:before,
        .cosmecos-price-item-widget .price-item.active {
            background-color: ' . esc_attr($contrast_background_color) . ';
        }
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]::-webkit-slider-thumb {
            border-color: ' . esc_attr($contrast_background_color) . ';
        }
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]::-moz-range-thumb {
            border-color: ' . esc_attr($contrast_background_color) . ';
        }
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]::-ms-thumb {
            border-color: ' . esc_attr($contrast_background_color) . ';
        }
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-field-number-slider input[type="range"]:focus::-ms-thumb {
            border-color: ' . esc_attr($contrast_background_color) . ';
        }
    ';
}

$contrast_background_alter_color = cosmecos_get_prefered_option('contrast_background_alter_color');
if ( !empty($contrast_background_alter_color) ) {
    $cosmecos_custom_css .= '
        .header-extra-socials.wrapper-socials a:hover,
        .slide-sidebar-wrapper .wrapper-socials a:hover,
        .slide-sidebar-wrapper .widget_cosmecos_banner_widget .banner-widget-wrapper,
        .content-wrapper .widget_cosmecos_banner_widget .banner-widget-wrapper.banner-contrast-colors,
        .slide-sidebar-wrapper .widget_calendar tbody td#today:before, 
        .slide-sidebar-wrapper .wp-block-calendar tbody td#today:before,
        .slide-sidebar-wrapper .widget_media_audio .mejs-container, 
        .slide-sidebar-wrapper .widget_media_audio .mejs-container .mejs-controls, 
        .slide-sidebar-wrapper .widget_media_audio .mejs-embed, 
        .slide-sidebar-wrapper .widget_media_audio .mejs-embed body,
        .slide-sidebar-wrapper .wp-video .mejs-container, 
        .slide-sidebar-wrapper .wp-video .mejs-container .mejs-controls, 
        .slide-sidebar-wrapper .wp-video .mejs-embed, 
        .slide-sidebar-wrapper .wp-video .mejs-embed body,
        .slide-sidebar-wrapper .mejs-volume-button > .mejs-volume-slider,
        .select2-container.select2-container--default .select2-results__option--highlighted[aria-selected], 
        .select2-container.select2-container--default .select2-results__option--highlighted[data-selected] {
            background-color: ' . esc_attr($contrast_background_alter_color) . ';
        }
        .header-extra-socials.wrapper-socials a:hover,
        .slide-sidebar-wrapper .wrapper-socials a {
            border-color: ' . esc_attr($contrast_background_alter_color) . ';
        }
    ';
}

$contrast_button_text_color = cosmecos_get_prefered_option('contrast_button_text_color');
if ( !empty($contrast_button_text_color) ) {
    $cosmecos_custom_css .= '
        .cosmecos-price-item-widget .price-item.active .cosmecos-button,
        .slide-sidebar-wrapper .cosmecos-button,
        .slide-sidebar-wrapper button:not(.customize-partial-edit-shortcut-button),
        .slide-sidebar-wrapper input[type="submit"],
        .slide-sidebar-wrapper input[type="button"],
        .slide-sidebar-wrapper input[type="reset"],
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="submit"], 
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form button[type="submit"], 
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-page-button {
            color: ' . esc_attr($contrast_button_text_color) . ';
        }
    ';
}

$contrast_button_border_color = cosmecos_get_prefered_option('contrast_button_border_color');
if ( !empty($contrast_button_border_color) ) {
    $cosmecos_custom_css .= '
        .slide-sidebar-wrapper .cosmecos-button,
        .slide-sidebar-wrapper button:not(.customize-partial-edit-shortcut-button),
        .slide-sidebar-wrapper input[type="submit"],
        .slide-sidebar-wrapper input[type="button"],
        .slide-sidebar-wrapper input[type="reset"],
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="submit"], 
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form button[type="submit"], 
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-page-button,
        .cosmecos-price-item-widget .price-item.active .cosmecos-button {
            border-color: ' . esc_attr($contrast_button_border_color) . ';
        }
    ';
}

$contrast_button_background_color = cosmecos_get_prefered_option('contrast_button_background_color');
if ( !empty($contrast_button_background_color) ) {
    $cosmecos_custom_css .= '
        .slide-sidebar-wrapper .cosmecos-button:before,
        .slide-sidebar-wrapper button:not(.customize-partial-edit-shortcut-button):before,
        .slide-sidebar-wrapper input[type="submit"]:before,
        .slide-sidebar-wrapper input[type="button"]:before,
        .slide-sidebar-wrapper input[type="reset"]:before,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="submit"]:before, 
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form button[type="submit"]:before, 
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-page-button:before,
        .cosmecos-price-item-widget .price-item.active .cosmecos-button:before {
            background-color: ' . esc_attr($contrast_button_background_color) . ';
        }
    ';
}

$contrast_button_text_hover = cosmecos_get_prefered_option('contrast_button_text_hover');
if ( !empty($contrast_button_text_hover) ) {
    $cosmecos_custom_css .= '
        .cosmecos-price-item-widget .price-item.active .cosmecos-button:hover,
        .slide-sidebar-wrapper .cosmecos-button:hover,
        .slide-sidebar-wrapper button:not(.customize-partial-edit-shortcut-button):hover,
        .slide-sidebar-wrapper input[type="submit"]:hover,
        .slide-sidebar-wrapper input[type="button"]:hover,
        .slide-sidebar-wrapper input[type="reset"]:hover,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="submit"]:hover, 
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form button[type="submit"]:hover, 
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-page-button:hover {
            color: ' . esc_attr($contrast_button_text_hover) . ';
        }
    ';
}

$contrast_button_border_hover = cosmecos_get_prefered_option('contrast_button_border_hover');
if ( !empty($contrast_button_border_hover) ) {
    $cosmecos_custom_css .= '
        .slide-sidebar-wrapper .cosmecos-button:hover,
        .slide-sidebar-wrapper button:not(.customize-partial-edit-shortcut-button):hover,
        .slide-sidebar-wrapper input[type="submit"]:hover,
        .slide-sidebar-wrapper input[type="button"]:hover,
        .slide-sidebar-wrapper input[type="reset"]:hover,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="submit"]:hover, 
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form button[type="submit"]:hover, 
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-page-button:hover,
        .cosmecos-price-item-widget .price-item.active .cosmecos-button:hover {
            border-color: ' . esc_attr($contrast_button_border_hover) . ';
        }
    ';
}

$contrast_button_background_hover = cosmecos_get_prefered_option('contrast_button_background_hover');
if ( !empty($contrast_button_background_hover) ) {
    $cosmecos_custom_css .= '
        .slide-sidebar-wrapper .cosmecos-button:hover:before,
        .slide-sidebar-wrapper button:not(.customize-partial-edit-shortcut-button):hover:before,
        .slide-sidebar-wrapper input[type="submit"]:hover:before,
        .slide-sidebar-wrapper input[type="button"]:hover:before,
        .slide-sidebar-wrapper input[type="reset"]:hover:before,
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form input[type="submit"]:hover:before, 
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form button[type="submit"]:hover:before, 
        .slide-sidebar-wrapper div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-page-button:hover:before,
        .cosmecos-price-item-widget .price-item.active .cosmecos-button:hover:before {
            background-color: ' . esc_attr($contrast_button_background_hover) . ';
        }
    ';
}


// ----------------------------- //
// ------ Header Settings ------ //
// ----------------------------- //

# Header Menu
$header_menu_font_family = cosmecos_get_prepared_option('header_menu_font_family', 'main_font_family', 'header_menu_customize');
$header_menu_font_size = cosmecos_get_prepared_option('header_menu_font_size', 'main_font_size', 'header_menu_customize');
$header_menu_line_height = cosmecos_get_prepared_option('header_menu_line_height', 'main_line_height', 'header_menu_customize');
$header_menu_font_weight = cosmecos_get_prepared_option('header_menu_font_weight', 'main_font_weight', 'header_menu_customize');
$header_menu_uppercase = (bool)cosmecos_get_prepared_option('header_menu_uppercase', '', 'header_menu_customize');
$header_menu_italic = (bool)cosmecos_get_prepared_option('header_menu_italic', '', 'header_menu_customize');
if ( !empty($header_menu_font_family) || !empty($header_menu_font_size) || !empty($header_menu_line_height) || !empty($header_menu_font_weight) || $header_menu_uppercase || $header_menu_italic ) {
    $cosmecos_custom_css .= '
        .header .main-menu > li > a, 
        .footer .footer-menu > li > a {' .
            ( !empty($header_menu_font_family) ? 'font-family: "' . esc_attr($header_menu_font_family) . '", sans-serif;' : '' ) .
            ( !empty($header_menu_font_size) ? 'font-size: ' . esc_attr($header_menu_font_size) . ';' : '' ) .
            ( !empty($header_menu_line_height) ? 'line-height: ' . esc_attr($header_menu_line_height) . ';' : '' ) .
            ( !empty($header_menu_font_weight) ? 'font-weight: ' . esc_attr($header_menu_font_weight) . ';' : '' ) .
            ( $header_menu_uppercase == true ? 'text-transform: uppercase;' : '' ) .
            ( $header_menu_italic == true ? 'font-style: italic;' : '' ) .
        '}
        .mobile-header-menu-container .main-menu > li > a, 
        .slide-extra .extra-menu > li > a {' .
            ( !empty($header_menu_font_family) ? 'font-family: "' . esc_attr($header_menu_font_family) . '", sans-serif;' : '' ) .
            ( !empty($header_menu_font_weight) ? 'font-weight: ' . esc_attr($header_menu_font_weight) . ';' : '' ) .
            ( $header_menu_uppercase == true ? 'text-transform: uppercase;' : '' ) .
            ( $header_menu_italic == true ? 'font-style: italic;' : '' ) .
        '}
    ';
}

# Header Sub Menu
$header_sub_menu_font_family = cosmecos_get_prepared_option('header_sub_menu_font_family', 'main_font_family', 'header_menu_customize');
$header_sub_menu_font_size = cosmecos_get_prepared_option('header_sub_menu_font_size', 'main_font_size', 'header_menu_customize');
$header_sub_menu_line_height = cosmecos_get_prepared_option('header_sub_menu_line_height', 'main_line_height', 'header_menu_customize');
$header_sub_menu_font_weight = cosmecos_get_prepared_option('header_sub_menu_font_weight', 'main_font_weight', 'header_menu_customize');
$header_sub_menu_uppercase = (bool)cosmecos_get_prepared_option('header_sub_menu_uppercase', '', 'header_menu_customize');
$header_sub_menu_italic = (bool)cosmecos_get_prepared_option('header_sub_menu_italic', '', 'header_menu_customize');
if ( !empty($header_sub_menu_font_family) || !empty($header_sub_menu_font_size) || !empty($header_sub_menu_line_height) || !empty($header_sub_menu_font_weight) || $header_sub_menu_uppercase || $header_sub_menu_italic ) {
    $cosmecos_custom_css .= '
        .header .main-menu > li ul.sub-menu > li > a {' .
            ( !empty($header_sub_menu_font_family) ? 'font-family: "' . esc_attr($header_sub_menu_font_family) . '", sans-serif;' : '' ) .
            ( !empty($header_sub_menu_font_size) ? 'font-size: ' . esc_attr($header_sub_menu_font_size) . ';' : '' ) .
            ( !empty($header_sub_menu_line_height) ? 'line-height: ' . esc_attr($header_sub_menu_line_height) . ';' : '' ) .
            ( !empty($header_sub_menu_font_weight) ? 'font-weight: ' . esc_attr($header_sub_menu_font_weight) . ';' : '' ) .
            ( $header_sub_menu_uppercase ? 'text-transform: uppercase;' : '' ) .
            ( $header_sub_menu_italic ? 'font-style: italic;' : '' ) .
        '}
        .mobile-header-menu-container .main-menu > li ul.sub-menu > li > a, 
        .slide-extra .extra-menu > li ul.sub-menu > li > a {' .
            ( !empty($header_sub_menu_font_family) ? 'font-family: "' . esc_attr($header_sub_menu_font_family) . '", sans-serif;' : '' ) .
            ( !empty($header_sub_menu_font_weight) ? 'font-weight: ' . esc_attr($header_sub_menu_font_weight) . ';' : '' ) .
            ( $header_sub_menu_uppercase ? 'text-transform: uppercase;' : '' ) .
            ( $header_sub_menu_italic ? 'font-style: italic;' : '' ) .
        '}
    ';
}


// --------------------------------- //
// ------ Page Title Settings ------ //
// --------------------------------- //

# General
$page_title_height = cosmecos_get_prepared_option('page_title_height', '', 'page_title_customize');
$page_title_background_position = cosmecos_get_prepared_option('page_title_background_position', '', 'page_title_customize');
$page_title_background_repeat = cosmecos_get_prepared_option('page_title_background_repeat', '', 'page_title_customize');
$page_title_background_size = cosmecos_get_prepared_option('page_title_background_size', '', 'page_title_customize');

$hide_page_title_background_mobile = false;
if (
    cosmecos_get_theme_mod('page_title_customize') == 'on' &&
    !empty(cosmecos_get_theme_mod('hide_page_title_background_mobile'))
) {
    $hide_page_title_background_mobile = (bool)cosmecos_get_theme_mod('hide_page_title_background_mobile');
}

$page_title_background_image = cosmecos_get_prepared_img_url('page_title_background_image', 'page_title_customize');
if ( !empty($page_title_height) ) {
    $cosmecos_custom_css .= '
        @media only screen and (min-width: 768px) {
            .page-title-container {' .
                ( !empty($page_title_height) ? 'min-height: ' . esc_attr($page_title_height) . 'px;' : '' ) .
            '}
        }
    ';
}
if ( !empty($page_title_background_position) || !empty($page_title_background_repeat) || !empty($page_title_background_size) ) {
    $cosmecos_custom_css .= '
        .page-title-container .page-title-bg {' .
            ( !empty($page_title_background_position) ? 'background-position: ' . esc_attr($page_title_background_position) . ';' : '' ) .
            ( !empty($page_title_background_repeat) ? 'background-repeat: ' . esc_attr($page_title_background_repeat) . ';' : '' ) .
            ( !empty($page_title_background_size) ? '-webkit-background-size: ' . esc_attr($page_title_background_size) . ';' : '' ) .
            ( !empty($page_title_background_size) ? 'background-size: ' . esc_attr($page_title_background_size) . ';' : '' ) .
        '}
    ';
}
if ( !empty($page_title_background_image) ) {
    $cosmecos_custom_css .=
        ( $hide_page_title_background_mobile ? '@media only screen and (min-width: 768px) {' : '' ) .
            '.page-title-container .page-title-bg {' .
                ( !empty($page_title_background_image) ? 'background-image: url("' . esc_attr($page_title_background_image) . '");' : '' ) .
            '}' .
        ( $hide_page_title_background_mobile ? '}' : '' );
}

# Heading
$page_title_heading_font_family = cosmecos_get_prepared_option('page_title_heading_font_family', '', 'page_title_heading_customize');
$page_title_heading_font_size = cosmecos_get_prepared_option('page_title_heading_font_size', '', 'page_title_heading_customize');
$page_title_heading_line_height = cosmecos_get_prepared_option('page_title_heading_line_height', '', 'page_title_heading_customize');
$page_title_heading_font_weight = cosmecos_get_prepared_option('page_title_heading_font_weight', '', 'page_title_heading_customize');
$page_title_heading_uppercase = (bool)cosmecos_get_prepared_option('page_title_heading_uppercase', '', 'page_title_heading_customize');
$page_title_heading_italic = (bool)cosmecos_get_prepared_option('page_title_heading_italic', '', 'page_title_heading_customize');
if ( !empty($page_title_heading_font_family) || !empty($page_title_heading_font_weight) || $page_title_heading_uppercase || $page_title_heading_italic ) {
    $cosmecos_custom_css .= '
        .page-title-container h1.page-title {' .
            ( !empty($page_title_heading_font_family) ? 'font-family: "' . esc_attr($page_title_heading_font_family) . '", sans-serif;' : '' ) .
            ( !empty($page_title_heading_font_weight) ? 'font-weight: ' . esc_attr($page_title_heading_font_weight) . ';' : '' ) .
            ( $page_title_heading_uppercase ? 'text-transform: uppercase;' : '' ) .
            ( $page_title_heading_italic ? 'font-style: italic;' : '' ) .
        '}
    ';
}
if ( !empty($page_title_heading_font_size) || !empty($page_title_heading_line_height) ) {
    $cosmecos_custom_css .= '
        @media only screen and (min-width: 992px) {
            .page-title-container h1.page-title {' .
                ( !empty($page_title_heading_font_size) ? 'font-size: ' . esc_attr($page_title_heading_font_size) . ';' : '' ) .
                ( !empty($page_title_heading_line_height) ? 'line-height: ' . esc_attr($page_title_heading_line_height) . ';' : '' ) .
            '}
        }
    ';
}

# Subheading
$page_title_subheading_font_size = cosmecos_get_prepared_option('page_title_subheading_font_size', '', 'page_title_subheading_customize');
$page_title_subheading_line_height = cosmecos_get_prepared_option('page_title_subheading_line_height', '', 'page_title_subheading_customize');
if ( !empty($page_title_subheading_font_size) || !empty($page_title_subheading_line_height) ) {
    $cosmecos_custom_css .= '
        .page-title-container .page-title-wrapper-with-subtitle .page-subtitle {' .
            ( !empty($page_title_subheading_line_height) ? 'line-height: ' . esc_attr($page_title_subheading_line_height) . ';' : '' ) .
        '}
        @media only screen and (min-width: 768px) {
            .page-title-container .page-title-wrapper-with-subtitle .page-subtitle {' .
                ( !empty($page_title_subheading_font_size) ? 'font-size: ' . esc_attr($page_title_subheading_font_size) . ';' : '' ) .
                ( !empty($page_title_subheading_line_height) ? 'line-height: ' . esc_attr($page_title_subheading_line_height) . ';' : '' ) .
            '}
        }
    ';
}

# Additional
$page_title_additional_indent = cosmecos_get_prepared_option('page_title_additional_indent');
$page_title_additional_text_color = cosmecos_get_prepared_option('page_title_additional_text_color', '', 'page_title_additional_customize');
if ( !empty($page_title_additional_indent) ) {
    $cosmecos_custom_css .= '
        @media only screen and (min-width: 992px) {
            .page-title-container .page-title-additional {
                margin-left: ' . esc_attr($page_title_additional_indent) . 'px;
            }
        }
    ';
}
if ( !empty($page_title_additional_text_color) ) {
    $cosmecos_custom_css .= '
        .page-title-container .page-title-additional {
            color: ' . esc_attr($page_title_additional_text_color) . ';
        }
    ';
}


// --------------------------------- //
// ------ Typography Settings ------ //
// --------------------------------- //

# Main Font
$main_font_family = cosmecos_get_prepared_option('main_font_family');
$main_font_size = cosmecos_get_prepared_option('main_font_size');
$main_line_height = cosmecos_get_prepared_option('main_line_height');
$main_font_weight = cosmecos_get_prepared_option('main_font_weight');
if ( !empty($main_font_family) || !empty($main_font_size) || $main_line_height || $main_font_weight ) {
    $cosmecos_custom_css .= '
        body,
        body input,
        body textarea,
        body select,
        .grid-listing .grid-item,
        .elementor-widget-image-box .elementor-image-box-wrapper .elementor-image-box-content .elementor-image-box-description,
        div.wpforms-container.wpforms-container-full .wpforms-form input[type="date"], 
        div.wpforms-container.wpforms-container-full .wpforms-form input[type="datetime"], 
        div.wpforms-container.wpforms-container-full .wpforms-form input[type="datetime-local"], 
        div.wpforms-container.wpforms-container-full .wpforms-form input[type="email"], 
        div.wpforms-container.wpforms-container-full .wpforms-form input[type="month"], 
        div.wpforms-container.wpforms-container-full .wpforms-form input[type="number"], 
        div.wpforms-container.wpforms-container-full .wpforms-form input[type="password"], 
        div.wpforms-container.wpforms-container-full .wpforms-form input[type="range"], 
        div.wpforms-container.wpforms-container-full .wpforms-form input[type="search"], 
        div.wpforms-container.wpforms-container-full .wpforms-form input[type="tel"], 
        div.wpforms-container.wpforms-container-full .wpforms-form input[type="text"], 
        div.wpforms-container.wpforms-container-full .wpforms-form input[type="time"], 
        div.wpforms-container.wpforms-container-full .wpforms-form input[type="url"], 
        div.wpforms-container.wpforms-container-full .wpforms-form input[type="week"], 
        div.wpforms-container.wpforms-container-full .wpforms-form select, 
        div.wpforms-container.wpforms-container-full .wpforms-form textarea {' .
            ( !empty($main_font_family) ? 'font-family: "' . esc_attr($main_font_family) . '", sans-serif;' : '' ) .
            ( !empty($main_font_size) ? 'font-size: ' . esc_attr($main_font_size) . ';' : '' ) .
            ( !empty($main_line_height) ? 'line-height: ' . esc_attr($main_line_height) . ';' : '' ) .
            ( !empty($main_font_weight) ? 'font-weight: ' . esc_attr($main_font_weight) . ';' : '' ) .
        '}
        p {' .
            ( !empty($main_line_height) ? 'line-height: ' . esc_attr($main_line_height) . ';' : '' ) .
        '}
    ';
}
if ( !empty($main_font_size) || $main_line_height || $main_font_weight ) {
    $cosmecos_custom_css .= '
        .post-excerpt,
        .woocommerce form label {' .
            ( !empty($main_font_size) ? 'font-size: ' . esc_attr($main_font_size) . ';' : '' ) .
            ( !empty($main_line_height) ? 'line-height: ' . esc_attr($main_line_height) . ';' : '' ) .
            ( !empty($main_font_weight) ? 'font-weight: ' . esc_attr($main_font_weight) . ';' : '' ) .
        '}
        .woocommerce form .form-row input::-webkit-input-placeholder,
        .woocommerce form .form-row textarea::-webkit-input-placeholder {' .
            ( !empty($main_font_size) ? 'font-size: ' . esc_attr($main_font_size) . ';' : '' ) .
            ( !empty($main_line_height) ? 'line-height: ' . esc_attr($main_line_height) . ';' : '' ) .
            ( !empty($main_font_weight) ? 'font-weight: ' . esc_attr($main_font_weight) . ';' : '' ) .
        '}
        .woocommerce form .form-row input:-moz-placeholder,
        .woocommerce form .form-row textarea:-moz-placeholder {' .
            ( !empty($main_font_size) ? 'font-size: ' . esc_attr($main_font_size) . ';' : '' ) .
            ( !empty($main_line_height) ? 'line-height: ' . esc_attr($main_line_height) . ';' : '' ) .
            ( !empty($main_font_weight) ? 'font-weight: ' . esc_attr($main_font_weight) . ';' : '' ) .
        '}
        .woocommerce form .form-row input::-moz-placeholder,
        .woocommerce form .form-row textarea::-moz-placeholder {' .
            ( !empty($main_font_size) ? 'font-size: ' . esc_attr($main_font_size) . ';' : '' ) .
            ( !empty($main_line_height) ? 'line-height: ' . esc_attr($main_line_height) . ';' : '' ) .
            ( !empty($main_font_weight) ? 'font-weight: ' . esc_attr($main_font_weight) . ';' : '' ) .
        '}
        .woocommerce form .form-row input:-ms-input-placeholder,
        .woocommerce form .form-row textarea:-ms-input-placeholder {' .
            ( !empty($main_font_size) ? 'font-size: ' . esc_attr($main_font_size) . ';' : '' ) .
            ( !empty($main_line_height) ? 'line-height: ' . esc_attr($main_line_height) . ';' : '' ) .
            ( !empty($main_font_weight) ? 'font-weight: ' . esc_attr($main_font_weight) . ';' : '' ) .
        '}
    ';
}
if ( !empty($main_font_family) ) {
    $cosmecos_custom_css .= '
        body .content-wrapper .elementor-widget-text-editor,
        .elementor-icon-list-items .elementor-icon-list-item .elementor-icon-list-text,
        .content-wrapper .wp-block-latest-comments .wp-block-latest-comments__comment-meta .wp-block-latest-comments__comment-date,
         .footer .widget_nav_menu ul li,
         .footer .widget_archive ul li,
         .footer .widget_categories ul li, 
         .footer .widget_cosmecos_featured_posts_widget .featured-posts-item-link,
         .footer .widget_pages ul li {' .
            ( !empty($main_font_family) ? 'font-family: "' . esc_attr($main_font_family) . '", sans-serif;' : '' ) .
        '}
    ';
}

# Additional Font
$additional_font_family = cosmecos_get_prepared_option('additional_font_family');
$additional_font_weight = cosmecos_get_prepared_option('additional_font_weight');
if ( !empty($additional_font_family) || !empty($additional_font_weight) ) {
    $cosmecos_custom_css .= '
        .page-title-container .page-title-additional,
        blockquote:before,
        .error-404-bg-text,
        .post-quote:before,
        .cosmecos-price-item-widget .price-item .price-wrapper,
        .cosmecos-testimonial-carousel-widget .testimonial-carousel-wrapper.view-type-2 .testimonial-carousel-title:before,
        .cosmecos-testimonial-carousel-widget .testimonial-carousel-wrapper.view-type-3 .testimonial-carousel-title:before,
        .elementor-widget-cosmecos_icon_box.icon-position-center .cosmecos-icon-box-widget .icon-box-item .icon-box-title,
        .cosmecos-icon-box-widget .icon-box-item .icon-container .text,
        .banner-widget .banner-title,
        .elementor-widget-cosmecos_special_text .special-text,
        .page-title-container .page-subtitle,
        .cosmecos-heading-widget .cosmecos-subheading,
        .cosmecos-testimonial-carousel-widget .testimonial-carousel-wrapper.view-type-3 .testimonial-carousel-subtitle,
        .cosmecos-testimonial-carousel-widget .testimonial-carousel-wrapper.view-type-4 .testimonial-carousel-subtitle,
        .cosmecos-testimonial-carousel-widget .testimonial-carousel-wrapper.view-type-4:after {' .
            ( !empty($additional_font_family) ? 'font-family: "' . esc_attr($additional_font_family) . '", sans-serif;' : '' ) .
            ( !empty($additional_font_weight) ? 'font-weight: ' . esc_attr($additional_font_weight) . ';' : '' ) .
        '}
    ';
}

# Headings
$headings_font_family = cosmecos_get_prepared_option('headings_font_family');
$headings_uppercase = (bool)cosmecos_get_prepared_option('headings_uppercase');
$headings_italic = (bool)cosmecos_get_prepared_option('headings_italic');
if ( !empty($headings_font_family) || $headings_uppercase || $headings_italic ) {
    $cosmecos_custom_css .= '
        h1, h2, h3, h4, h5, h6,
        body .elementor-widget-heading .elementor-heading-title,
        .woocommerce-Reviews-title,
        .comment-reply-title,
        .post-comments-title,
        .cart_totals h2,
        .woocommerce-account .woocommerce-EditAccountForm fieldset legend,
        .elementor-widget-image-box .elementor-image-box-wrapper .elementor-image-box-content .elementor-image-box-title,
        .elementor-widget div.wpforms-container-full .wpforms-form .wpforms-title {' .
            ( !empty($headings_font_family) ? 'font-family: "' . esc_attr($headings_font_family) . '", sans-serif;' : '' ) .
            ( $headings_uppercase ? 'text-transform: uppercase;' : '' ) .
            ( $headings_italic ? 'font-style: italic;' : '' ) .
        '}
    ';
}
if ( !empty($headings_font_family) ) {
    $cosmecos_custom_css .= '
        .logo,
        .widget_recent_comments ul .recentcomments,
        .content-wrapper .wp-block-latest-comments .wp-block-latest-comments__comment-meta,
        .widget_archive ul li,
        .wp-block-archives li,
        .widget_categories ul li, 
        .wp-block-categories li,
        .widget_cosmecos_featured_posts_widget .featured-posts-item-link,
        .widget_recent_entries a,
        .wp-block-latest-posts li a,
        .widget_meta ul li,
        .widget_pages ul li,
        .widget_nav_menu ul li,
        .widget_rss ul a.rsswidget,
        .wp-block-rss .wp-block-rss__item-title,
        .widget_tag_cloud .tagcloud .tag-cloud-link,
        .post-categories a.post-category-item,
        .post-meta-footer .post-meta-item-tags,
        .post-comment-author,
        .content-wrapper .wp-block-pullquote blockquote cite,
        .post-more-button a,
        .post-quote .post-quote-author,
        .content-pagination .page-numbers,
        .content-pagination .post-page-numbers,
        .post-navigation-link,
        .post-navigation-title,
        .cosmecos-price-item-widget .price-item .price-item-title,
        .cosmecos-person-widget .person-name,
        .cosmecos-testimonial-carousel-widget .testimonial-item .author-container .author-name,
        .elementor-widget-counter .elementor-counter .elementor-counter-number-wrapper,
        .elementor-widget-counter .elementor-counter .elementor-counter-title,
        .banner-widget .banner-subtitle,
        .cosmecos_tabs_widget .cosmecos_tabs_titles_container .cosmecos_tab_title_item,
        .elementor-widget-cosmecos_countdown .countdown_separator,
        .elementor-widget-cosmecos_countdown .countdown_digits,
        .elementor-widget-cosmecos_countdown .countdown_digits_placeholder,
        .cosmecos_content_slider_widget .cosmecos_content_slider_title,
        .wp-block-search .wp-block-search__label,
        body .content-wrapper blockquote cite,
        .elementor-widget-image-box .elementor-image-box-wrapper .elementor-image-box-content .elementor-image-box-title,
        .cosmecos_content_slider_widget .slick-navigation .slick-arrow {
            font-family: "' . esc_attr($headings_font_family) . '", sans-serif;
        }
    ';
}
$h1_font_size = cosmecos_get_prepared_option('h1_font_size');
$h1_line_height = cosmecos_get_prepared_option('h1_line_height');
$h1_font_weight = cosmecos_get_prepared_option('h1_font_weight');
if (  !empty($h1_font_weight) ) {
    $cosmecos_custom_css .= '
        h1,
        body .elementor-widget-heading h1.elementor-heading-title {
            font-weight: ' . esc_attr($h1_font_weight) . ';
        }
    ';
}
if ( !empty($h1_font_size) || !empty($h1_line_height) ) {
    $cosmecos_custom_css .= '
        @media only screen and (min-width: 992px) {
            h1,
            body .elementor-widget-heading h1.elementor-heading-title {' .
                ( !empty($h1_font_size) ? 'font-size: ' . esc_attr($h1_font_size) . ';' : '' ) .
                ( !empty($h1_line_height) ? 'line-height: ' . esc_attr($h1_line_height) . ';' : '' ) .
            '}
        }
    ';
}
$h2_font_size = cosmecos_get_prepared_option('h2_font_size');
$h2_line_height = cosmecos_get_prepared_option('h2_line_height');
$h2_font_weight = cosmecos_get_prepared_option('h2_font_weight');
if (  !empty($h2_font_weight) ) {
    $cosmecos_custom_css .= '
        h2,
        body .elementor-widget-heading h2.elementor-heading-title {
            font-weight: ' . esc_attr($h2_font_weight) . ';
        }
    ';
}
if ( !empty($h2_font_size) || !empty($h2_line_height) ) {
    $cosmecos_custom_css .= '
        @media only screen and (min-width: 992px) {
            h2,
            body .elementor-widget-heading h2.elementor-heading-title {' .
                ( !empty($h2_font_size) ? 'font-size: ' . esc_attr($h2_font_size) . ';' : '' ) .
                ( !empty($h2_line_height) ? 'line-height: ' . esc_attr($h2_line_height) . ';' : '' ) .
            '}
        }
    ';
}
$h3_font_size = cosmecos_get_prepared_option('h3_font_size');
$h3_line_height = cosmecos_get_prepared_option('h3_line_height');
$h3_font_weight = cosmecos_get_prepared_option('h3_font_weight');
if (  !empty($h3_font_weight) ) {
    $cosmecos_custom_css .= '
        h3,
        body .elementor-widget-heading h3.elementor-heading-title {
            font-weight: ' . esc_attr($h3_font_weight) . ';
        }
    ';
}
if ( !empty($h3_font_size) || !empty($h3_line_height) ) {
    $cosmecos_custom_css .= '
        @media only screen and (min-width: 992px) {
            h3,
            body .elementor-widget-heading h3.elementor-heading-title {' .
                ( !empty($h3_font_size) ? 'font-size: ' . esc_attr($h3_font_size) . ';' : '' ) .
                ( !empty($h3_line_height) ? 'line-height: ' . esc_attr($h3_line_height) . ';' : '' ) .
            '}
        }
    ';
}
$h4_font_size = cosmecos_get_prepared_option('h4_font_size');
$h4_line_height = cosmecos_get_prepared_option('h4_line_height');
$h4_font_weight = cosmecos_get_prepared_option('h4_font_weight');
if (  !empty($h4_font_weight) ) {
    $cosmecos_custom_css .= '
        h4,
        .comment-reply-title,
        .post-comments-title,
        body .elementor-widget-heading h4.elementor-heading-title {
            font-weight: ' . esc_attr($h4_font_weight) . ';
        }
    ';
}
if ( !empty($h4_font_size) || !empty($h4_line_height) ) {
    $cosmecos_custom_css .= '
        @media only screen and (min-width: 992px) {
            h4,
            .comment-reply-title,
            .post-comments-title,
            body .elementor-widget-heading h4.elementor-heading-title {' .
                ( !empty($h4_font_size) ? 'font-size: ' . esc_attr($h4_font_size) . ';' : '' ) .
                ( !empty($h4_line_height) ? 'line-height: ' . esc_attr($h4_line_height) . ';' : '' ) .
            '}
        }
    ';
}
$h5_font_size = cosmecos_get_prepared_option('h5_font_size');
$h5_line_height = cosmecos_get_prepared_option('h5_line_height');
$h5_font_weight = cosmecos_get_prepared_option('h5_font_weight');
if (  !empty($h5_font_weight) ) {
    $cosmecos_custom_css .= '
        h5,
        .elementor-widget div.wpforms-container-full .wpforms-form .wpforms-title,
        body .elementor-widget-heading h5.elementor-heading-title,
        .woocommerce-Reviews-title,
        .cart_totals h2,
        .woocommerce-checkout h3,
        .woocommerce-account h3,
        .woocommerce-account .woocommerce-EditAccountForm fieldset legend,
        .outer-form-wrapper h2,
        .woocommerce-MyAccount-content h2,
        .woocommerce-order h2 {
            font-weight: ' . esc_attr($h5_font_weight) . ';
        }
    ';
}
if ( !empty($h5_font_size) || !empty($h5_line_height) ) {
    $cosmecos_custom_css .= '
        @media only screen and (min-width: 992px) {
            h5,
            .elementor-widget div.wpforms-container-full .wpforms-form .wpforms-title,
            body .elementor-widget-heading h5.elementor-heading-title,
            .woocommerce-Reviews-title,
            .cart_totals h2,
            .woocommerce-checkout h3,
            .woocommerce-account h3,
            .woocommerce-account .woocommerce-EditAccountForm fieldset legend,
            .outer-form-wrapper h2,
            .woocommerce-MyAccount-content h2,
            .woocommerce-order h2 {' .
                ( !empty($h5_font_size) ? 'font-size: ' . esc_attr($h5_font_size) . ';' : '' ) .
                ( !empty($h5_line_height) ? 'line-height: ' . esc_attr($h5_line_height) . ';' : '' ) .
            '}
        }
    ';
}
$h6_font_size = cosmecos_get_prepared_option('h6_font_size');
$h6_line_height = cosmecos_get_prepared_option('h6_line_height');
$h6_font_weight = cosmecos_get_prepared_option('h6_font_weight');
if (  !empty($h6_font_weight) ) {
    $cosmecos_custom_css .= '
        h6,
        body .elementor-widget-heading h6.elementor-heading-title {
            font-weight: ' . esc_attr($h6_font_weight) . ';
        }
    ';
}
if ( !empty($h6_font_size) || !empty($h6_line_height) ) {
    $cosmecos_custom_css .= '
        @media only screen and (min-width: 992px) {
            h6,
            body .elementor-widget-heading h6.elementor-heading-title {' .
                ( !empty($h6_font_size) ? 'font-size: ' . esc_attr($h6_font_size) . ';' : '' ) .
                ( !empty($h6_line_height) ? 'line-height: ' . esc_attr($h6_line_height) . ';' : '' ) .
            '}
        }
    ';
}

# Buttons
$buttons_font_family = cosmecos_get_prepared_option('buttons_font_family');
$buttons_font_size = cosmecos_get_prepared_option('buttons_font_size');
$buttons_font_weight = cosmecos_get_prepared_option('buttons_font_weight');
$buttons_uppercase = (bool)cosmecos_get_prepared_option('buttons_uppercase');
$buttons_italic = (bool)cosmecos_get_prepared_option('buttons_italic');
if ( !empty($buttons_font_family) || !empty($buttons_font_size) || !empty($buttons_font_weight) || $buttons_uppercase || $buttons_italic ) {
    $cosmecos_custom_css .= '
        .cosmecos-button,
        button,
        input[type="submit"],
        input[type="button"],
        input[type="reset"],
        div.wpforms-container.wpforms-container-full .wpforms-form input[type="submit"], 
        div.wpforms-container.wpforms-container-full .wpforms-form button[type="submit"], 
        div.wpforms-container.wpforms-container-full .wpforms-form .wpforms-page-button {' .
            ( !empty($buttons_font_family) ? 'font-family: "' . esc_attr($buttons_font_family) . '", sans-serif;' : '' ) .
            ( !empty($buttons_font_size) ? 'font-size: ' . esc_attr($buttons_font_size) . ';' : '' ) .
            ( !empty($buttons_font_weight) ? 'font-weight: ' . esc_attr($buttons_font_weight) . ';' : '' ) .
            ( $buttons_uppercase ? 'text-transform: uppercase;' : '' ) .
            ( $buttons_italic ? 'font-style: italic;' : '' ) .
        '}
    ';
}


// ----------------------------- //
// ------ Footer Settings ------ //
// ----------------------------- //
$footer_background_position = cosmecos_get_prepared_option('footer_background_position', '', 'footer_customize');
$footer_background_repeat = cosmecos_get_prepared_option('footer_background_repeat', '', 'footer_customize');
$footer_background_size = cosmecos_get_prepared_option('footer_background_size', '', 'footer_customize');
$footer_background_image = cosmecos_get_prepared_img_url('footer_background_image', 'footer_customize');
if ( !empty($footer_background_position) || !empty($footer_background_repeat) || !empty($footer_background_size) ) {
    $cosmecos_custom_css .= '
        .footer .footer-bg {' .
            ( !empty($footer_background_position) ? 'background-position: ' . esc_attr($footer_background_position) . ';' : '' ) .
            ( !empty($footer_background_repeat) ? 'background-repeat: ' . esc_attr($footer_background_repeat) . ';' : '' ) .
            ( !empty($footer_background_size) ? '-webkit-background-size: ' . esc_attr($footer_background_size) . ';' : '' ) .
            ( !empty($footer_background_size) ? 'background-size: ' . esc_attr($footer_background_size) . ';' : '' ) .
        '}
    ';
}
if ( !empty($footer_background_image) ) {
    $cosmecos_custom_css .= '
        @media only screen and (min-width: 768px) {
            .footer .footer-bg {' .
                ( !empty($footer_background_image) ? 'background-image: url("' . esc_attr($footer_background_image) . '");' : '' ) .
            '}
        }
    ';
}


// ---------------------------- //
// ------ 404 Error Page ------ //
// ---------------------------- //

$error_background_color = cosmecos_get_prepared_option('error_background_color', 'standard_background_alter_color', 'error_background_customize');
$error_background_position = cosmecos_get_prepared_option('error_background_position', '', 'error_background_customize');
$error_background_repeat = cosmecos_get_prepared_option('error_background_repeat', '', 'error_background_customize');
$error_background_size = cosmecos_get_prepared_option('error_background_size', '', 'error_background_customize');
$error_background_image = cosmecos_get_prepared_img_url('error_background_image');
if ( !empty($error_background_color) ) {
    $cosmecos_custom_css .= '
        .error-404-container {
            background-color: ' . esc_attr($error_background_color) . ';
        }
    ';
}
if ( !empty($error_background_position) || !empty($error_background_repeat) || !empty($error_background_size) || !empty($error_background_image) ) {
    $cosmecos_custom_css .= '
        @media only screen and (min-width: 768px) {
            .error-404-container {' .
                ( !empty($error_background_position) ? 'background-position: ' . esc_attr($error_background_position) . ';' : '' ) .
                ( !empty($error_background_repeat) ? 'background-repeat: ' . esc_attr($error_background_repeat) . ';' : '' ) .
                ( !empty($error_background_size) ? '-webkit-background-size: ' . esc_attr($error_background_size) . ';' : '' ) .
                ( !empty($error_background_size) ? 'background-size: ' . esc_attr($error_background_size) . ';' : '' ) .
                ( !empty($error_background_image) ? 'background-image: url("' . esc_attr($error_background_image) . '");' : '' ) .
            '}
        }
    ';
}
$error_additional_text_color = cosmecos_get_prepared_option('error_additional_text_color', '', 'error_additional_text_customize');
if ( !empty($error_additional_text_color) ) {
    $cosmecos_custom_css .= '
        .error-404-bg-text {
            color: ' . esc_attr($error_additional_text_color) . ';
        }
    ';
}


// --------------------------- //
// ------- WooCommerce ------- //
// --------------------------- //
if ( class_exists('WooCommerce') ) {

    # Header Colors
    $header_accent_text_color = cosmecos_get_prepared_option('header_accent_text_color', 'standard_accent_text_color', 'header_customize');
    if ( !empty($header_accent_text_color) ) {
        $cosmecos_custom_css .= '
            .header .mini-cart .mini-cart-count > span, 
            .mobile-header .mini-cart .mini-cart-count > span, 
            .mobile-header-menu-container .mini-cart .mini-cart-count > span {
                background-color: ' . esc_attr($header_accent_text_color) . ';
            }
        ';
    }

    $header_button_text_color = cosmecos_get_prepared_option('header_button_text_color', 'standard_button_text_color', 'header_customize');
    if ( !empty($header_button_text_color) ) {
        $cosmecos_custom_css .= '
            .header .woocommerce a.button, 
            .woocommerce .header a.button {
                color: ' . esc_attr($header_button_text_color) . ';
            }
        ';
    }

    $header_button_border_color = cosmecos_get_prepared_option('header_button_border_color', 'standard_button_border_color', 'header_customize');
    if ( !empty($header_button_border_color) ) {
        $cosmecos_custom_css .= '
            .header .woocommerce a.button, 
            .woocommerce .header a.button {
                border-color: ' . esc_attr($header_button_border_color) . ';
            }
        ';
    }

    $header_button_background_color = cosmecos_get_prepared_option('header_button_background_color', 'standard_button_background_color', 'header_customize');
    if ( !empty($header_button_background_color) ) {
        $cosmecos_custom_css .= '
            .header .woocommerce a.button:after, 
            .woocommerce .header a.button:after {
                background-color: ' . esc_attr($header_button_background_color) . ';
            }
        ';
    }

    $header_button_text_hover = cosmecos_get_prepared_option('header_button_text_hover', 'standard_button_text_hover', 'header_customize');
    if ( !empty($header_button_text_hover) ) {
        $cosmecos_custom_css .= '
            .header .woocommerce a.button:hover, 
            .woocommerce .header a.button:hover {
                color: ' . esc_attr($header_button_text_hover) . ';
            }
        ';
    }

    $header_button_border_hover = cosmecos_get_prepared_option('header_button_border_hover', 'standard_button_border_hover', 'header_customize');
    if ( !empty($header_button_border_hover) ) {
        $cosmecos_custom_css .= '
            .header .woocommerce a.button:hover, 
            .woocommerce .header a.button:hover {
                border-color: ' . esc_attr($header_button_border_hover) . ';
            }
        ';
    }

    $header_button_background_hover = cosmecos_get_prepared_option('header_button_background_hover', 'standard_button_background_hover', 'header_customize');
    if ( !empty($header_button_background_hover) ) {
        $cosmecos_custom_css .= '
            .header .woocommerce a.button:after, 
            .woocommerce .header a.button:after {
                background-color: ' . esc_attr($header_button_background_hover) . ';
            }
        ';
    }


    # Footer Colors
    $footer_dark_text_color = cosmecos_get_prepared_option('footer_dark_text_color', 'contrast_dark_text_color', 'footer_customize');
    if ( !empty($footer_dark_text_color) ) {
        $cosmecos_custom_css .= '
            .footer .widget_product_search .woocommerce-product-search button,
            .footer .widget_product_categories .post-count,
            .footer .widget_layered_nav_filters ul .chosen a,
            .footer .widget_product_tag_cloud .tagcloud .tag-cloud-link,
            .footer ul.product_list_widget li .product-title,
            .footer .widget_price_filter .price_slider_amount .price_label,
            .footer .widget_shopping_cart .total {
                color: ' . esc_attr($footer_dark_text_color) . ';
            }
        ';
    }

    $footer_light_text_color = cosmecos_get_prepared_option('footer_light_text_color', 'contrast_light_text_color', 'footer_customize');
    if ( !empty($footer_light_text_color) ) {
        $cosmecos_custom_css .= '
            .footer .widget_product_categories li.cat-item-hierarchical,
            .footer .widget ul.product_list_widget li .price_wrapper del,
            .footer .woocommerce-widget-layered-nav-list .count {
                color: ' . esc_attr($footer_light_text_color) . ';
            }
        ';
    }

    $footer_accent_text_color = cosmecos_get_prepared_option('footer_accent_text_color', 'contrast_accent_text_color', 'footer_customize');
    if ( !empty($footer_accent_text_color) ) {
        $cosmecos_custom_css .= '
            .footer .widget_layered_nav_filters ul .chosen a:before,
            .footer .widget ul.product_list_widget li .price_wrapper del,
            .footer .widget_shopping_cart .cart_list li .content-woocommerce-wrapper .quantity .amount {
                color: ' . esc_attr($footer_accent_text_color) . ';
            }
            .footer .widget_rating_filter ul li.chosen a:before,
            .footer .woocommerce-widget-layered-nav ul.woocommerce-widget-layered-nav-list li.woocommerce-widget-layered-nav-list__item.chosen a:before,
            .footer .widget_layered_nav_filters ul .chosen a:hover,
            .footer .widget_product_tag_cloud .tagcloud .tag-cloud-link:hover {
                border-color: ' . esc_attr($footer_accent_text_color) . ';
            }
            .footer .widget_rating_filter ul li.chosen a:before,
            .footer .woocommerce-widget-layered-nav ul.woocommerce-widget-layered-nav-list li.woocommerce-widget-layered-nav-list__item.chosen a:before,
            .footer .widget_layered_nav_filters ul .chosen a:hover,
            .footer .widget_product_tag_cloud .tagcloud .tag-cloud-link:hover,
            .footer .widget_price_filter .price_slider_wrapper .ui-slider .ui-slider-handle:before {
                background-color: ' . esc_attr($footer_accent_text_color) . ';
            }
        ';
    }

    $footer_border_color = cosmecos_get_prepared_option('footer_border_color', 'contrast_border_color', 'footer_customize');
    if ( !empty($footer_border_color) ) {
        $cosmecos_custom_css .= '
            .footer .widget_rating_filter ul li a:before,
            .footer .woocommerce-widget-layered-nav ul.woocommerce-widget-layered-nav-list li.woocommerce-widget-layered-nav-list__item a:before,
            .footer .widget ul.product_list_widget li a img,
            .footer .widget_shopping_cart .total {
                border-color: ' . esc_attr($footer_border_color) . ';
            }
            .footer .widget_price_filter .price_slider_wrapper .ui-widget-content {
                background-color: ' . esc_attr($footer_border_color) . ';
            }
        ';
    }

    $footer_border_hover_color = cosmecos_get_prepared_option('footer_border_hover_color', 'contrast_border_hover_color', 'footer_customize');
    if ( !empty($footer_border_hover_color) ) {
        $cosmecos_custom_css .= '
            .footer .widget_layered_nav_filters ul .chosen a,
            .footer .widget_product_tag_cloud .tagcloud .tag-cloud-link,
            .footer .widget ul.product_list_widget li a:hover img,
            .footer .widget_price_filter .price_slider_wrapper .ui-slider .ui-slider-handle {
                border-color: ' . esc_attr($footer_border_hover_color) . ';
            }
            .footer .widget_price_filter .price_slider_wrapper .ui-slider .ui-slider-range {
                background-color: ' . esc_attr($footer_border_hover_color) . ';
            }
        ';
    }

    $footer_background_color = cosmecos_get_prepared_option('footer_background_color', 'contrast_background_color', 'footer_customize');
    if ( !empty($footer_background_color) ) {
        $cosmecos_custom_css .= '
            .footer .widget_rating_filter ul li a:after,
            .footer .woocommerce-widget-layered-nav ul.woocommerce-widget-layered-nav-list li.woocommerce-widget-layered-nav-list__item a:after,
            .footer .widget_layered_nav_filters ul .chosen a:hover,
            .footer .widget_layered_nav_filters ul .chosen a:hover:before,
            .footer .widget_product_tag_cloud .tagcloud .tag-cloud-link:hover {
                color: ' . esc_attr($footer_background_color) . ';
            }
            .footer .widget_price_filter .price_slider_wrapper .ui-slider .ui-slider-handle {
                background-color: ' . esc_attr($footer_background_color) . ';
            }
        ';
    }

    $footer_button_text_color = cosmecos_get_prepared_option('footer_button_text_color', 'contrast_button_text_color', 'footer_customize');
    if ( !empty($footer_button_text_color) ) {
        $cosmecos_custom_css .= '
            .footer .woocommerce a.button,
            .woocommerce .footer a.button,
            .footer .woocommerce button.button,
            .woocommerce .footer button.button,
            .footer .woocommerce input.button,
            .woocommerce .footer input.button,
            .footer .woocommerce #respond input#submit,
            .woocommerce .footer #respond input#submit,
            .footer .woocommerce .added_to_cart,
            .woocommerce .footer .added_to_cart {
                color: ' . esc_attr($footer_button_text_color) . ';
            }
        ';
    }

    $footer_button_border_color = cosmecos_get_prepared_option('footer_button_border_color', 'contrast_button_border_color', 'footer_customize');
    if ( !empty($footer_button_border_color) ) {
        $cosmecos_custom_css .= '
            .footer .woocommerce a.button,
            .woocommerce .footer a.button,
            .footer .woocommerce button.button,
            .woocommerce .footer button.button,
            .footer .woocommerce input.button,
            .woocommerce .footer input.button,
            .footer .woocommerce #respond input#submit,
            .woocommerce .footer #respond input#submit,
            .footer .woocommerce .added_to_cart,
            .woocommerce .footer .added_to_cart {
                border-color: ' . esc_attr($footer_button_border_color) . ';
            }
        ';
    }

    $footer_button_background_color = cosmecos_get_prepared_option('footer_button_background_color', 'contrast_button_background_color', 'footer_customize');
    if ( !empty($footer_button_background_color) ) {
        $cosmecos_custom_css .= '
            .footer .woocommerce a.button:after,
            .woocommerce .footer a.button:after,
            .footer .woocommerce button.button:after,
            .woocommerce .footer button.button:after,
            .footer .woocommerce input.button:after,
            .woocommerce .footer input.button:after,
            .footer .woocommerce #respond input#submit:after,
            .woocommerce .footer #respond input#submit:after,
            .footer .woocommerce .added_to_cart:after,
            .woocommerce .footer .added_to_cart:after {
                background-color: ' . esc_attr($footer_button_background_color) . ';
            }
        ';
    }

    $footer_button_text_hover = cosmecos_get_prepared_option('footer_button_text_hover', 'contrast_button_text_hover', 'footer_customize');
    if ( !empty($footer_button_text_hover) ) {
        $cosmecos_custom_css .= '
            .footer .woocommerce a.button:hover,
            .woocommerce .footer a.button:hover,
            .footer .woocommerce button.button:hover,
            .woocommerce .footer button.button:hover,
            .footer .woocommerce input.button:hover,
            .woocommerce .footer input.button:hover,
            .footer .woocommerce #respond input#submit:hover,
            .woocommerce .footer #respond input#submit:hover,
            .footer .woocommerce .added_to_cart:hover,
            .woocommerce .footer .added_to_cart:hover
            .footer .widget_shopping_cart .woocommerce-mini-cart-buttons a.button:not(.checkout) {
                color: ' . esc_attr($footer_button_text_hover) . ';
            }
        ';
    }

    $footer_button_border_hover = cosmecos_get_prepared_option('footer_button_border_hover', 'contrast_button_border_hover', 'footer_customize');
    if ( !empty($footer_button_border_hover) ) {
        $cosmecos_custom_css .= '
            .footer .woocommerce a.button:hover,
            .woocommerce .footer a.button:hover,
            .footer .woocommerce button.button:hover,
            .woocommerce .footer button.button:hover,
            .footer .woocommerce input.button:hover,
            .woocommerce .footer input.button:hover,
            .footer .woocommerce #respond input#submit:hover,
            .woocommerce .footer #respond input#submit:hover,
            .footer .woocommerce .added_to_cart:hover,
            .woocommerce .footer .added_to_cart:hover {
                border-color: ' . esc_attr($footer_button_border_hover) . ';
            }
        ';
    }

    $footer_button_background_hover = cosmecos_get_prepared_option('footer_button_background_hover', 'contrast_button_background_hover', 'footer_customize');
    if ( !empty($footer_button_background_hover) ) {
        $cosmecos_custom_css .= '
            .footer .woocommerce a.button:hover:after,
            .woocommerce .footer a.button:hover:after,
            .footer .woocommerce button.button:hover:after,
            .woocommerce .footer button.button:hover:after,
            .footer .woocommerce input.button:hover:after,
            .woocommerce .footer input.button:hover:after,
            .footer .woocommerce #respond input#submit:hover:after,
            .woocommerce .footer #respond input#submit:hover:after,
            .footer .woocommerce .added_to_cart:hover:after,
            .woocommerce .footer .added_to_cart:hover:after,
            .footer .widget_shopping_cart .woocommerce-mini-cart-buttons a.button:not(.checkout) {
                background-color: ' . esc_attr($footer_button_background_hover) . ';
            }
        ';
    }


    # Standard Colors
    $standard_default_text_color = cosmecos_get_prefered_option('standard_default_text_color');
    if ( !empty($standard_default_text_color) ) {
        $cosmecos_custom_css .= '
            .woocommerce-info,
            .woocommerce-error,
            .woocommerce-message {
                color: ' . esc_attr($standard_default_text_color) . ';
            }
        ';
    }

    $standard_light_text_color = cosmecos_get_prefered_option('standard_light_text_color');
    if ( !empty($standard_light_text_color) ) {
        $cosmecos_custom_css .= '
            .woocommerce .star-rating:before,
            .woocommerce-page .star-rating:before,
            .star-rating:before,
            .content-wrapper .widget_product_categories li.cat-item-hierarchical,
            .content-wrapper .widget ul.product_list_widget li .price_wrapper del,
            .content-wrapper .woocommerce-widget-layered-nav-list .count,
            .woocommerce .yith-wcwl-add-to-wishlist .add_to_wishlist, 
            .woocommerce-page .yith-wcwl-add-to-wishlist .add_to_wishlist,
            .single-product.woocommerce .yith-wcwl-add-to-wishlist .add_to_wishlist,
            .woocommerce ul.products li.product .woocommerce-loop-product__wrapper .content-woocommerce-wrapper .price del, 
            .woocommerce-page ul.products li.product .woocommerce-loop-product__wrapper .content-woocommerce-wrapper .price del,
            .single-product.woocommerce div.product .price del,
            .commentlist li.review .comment_container .comment-date,
            .woocommerce #review_form #respond p.stars a:before,
            .woocommerce #review_form #respond p.stars.selected a.active~a:before,
            .woocommerce #review_form #respond p.stars:not(.selected) a:hover~a:before,
            .woocommerce div.product form.cart .group_table .price_wrapper del,
            .woocommerce form .show-password-input:after, 
            .woocommerce-page form .show-password-input:after,
            .wc-block-grid__product .wc-block-grid__product-price .price_wrapper del,
            .pwb-brands-in-loop a {
                color: ' . esc_attr($standard_light_text_color) . ';
            }
        ';
    }

    $standard_dark_text_color = cosmecos_get_prefered_option('standard_dark_text_color');
    if ( !empty($standard_dark_text_color) ) {
        $cosmecos_custom_css .= '
            .content-wrapper .widget_product_search .woocommerce-product-search button,
            .content-wrapper .widget_product_categories .post-count, 
            .content-wrapper .widget_rating_filter ul li a:after,
            .content-wrapper .woocommerce-widget-layered-nav ul.woocommerce-widget-layered-nav-list li.woocommerce-widget-layered-nav-list__item a:after,
            .content-wrapper .widget_layered_nav_filters ul .chosen a,
            .content-wrapper .widget_layered_nav_filters ul .chosen a:hover,
            .content-wrapper .widget_layered_nav_filters ul .chosen a:hover:before,
            .content-wrapper .widget_product_tag_cloud .tagcloud .tag-cloud-link,
            .content-wrapper .widget_product_tag_cloud .tagcloud .tag-cloud-link:hover,
            .content-wrapper ul.product_list_widget li .product-title,
            .content-wrapper .widget_price_filter .price_slider_amount .price_label,
            .content-wrapper .widget_shopping_cart .total,
            .catalog-top-info-wrapper .woocommerce-result-count,
            .woocommerce-ordering select,
            a.remove_from_wishlist:hover,
            .checkout_cart_table .product-name .product-name-title,
            .woocommerce-checkout-review-total .checkout_total_table td,
            .woocommerce .woocommerce-form-login .woocommerce-form-login__rememberme, 
            .woocommerce-page .woocommerce-form-login .woocommerce-form-login__rememberme,
            .woocommerce-account .form-attention,
            .woocommerce .woocommerce-cart-form table.shop_table th, 
            .woocommerce-page .woocommerce-cart-form table.shop_table th, 
            .woocommerce .woocommerce-cart-form table.shop_table .product-price .amount, 
            .woocommerce-page .woocommerce-cart-form table.shop_table .product-price .amount,
            .woocommerce .quantity-wrapper .quantity,
            .woocommerce .cart-collaterals .cart_totals table.shop_table td, 
            .woocommerce .cart-collaterals .cart_totals table.shop_table th, 
            .woocommerce-page .cart-collaterals .cart_totals table.shop_table td, 
            .woocommerce-page .cart-collaterals .cart_totals table.shop_table th,
            .woocommerce div.product .product_meta,
            .single-product.woocommerce div.product .product_meta .tagged_as a,
            .single-product.woocommerce div.product .product_meta .tagged_as a:hover,
            .single-product.woocommerce div.product .pwb-single-product-brands a,
            .single-product.woocommerce div.product .pwb-single-product-brands a:hover,
            .woocommerce div.product .woocommerce-tabs ul.tabs li a,
            .woocommerce div.product .woocommerce-tabs ul.tabs li a:hover,
            .commentlist li.review .comment_container .woocommerce-review__author,
            .woocommerce #respond input#submit.alt.disabled, 
            .woocommerce #respond input#submit.alt.disabled:hover, 
            .woocommerce #respond input#submit.alt:disabled, 
            .woocommerce #respond input#submit.alt:disabled:hover, 
            .woocommerce #respond input#submit.alt:disabled[disabled], 
            .woocommerce #respond input#submit.alt:disabled[disabled]:hover, 
            .filter-control-wrapper .filter-control-list .filter-control-item,
            .brand-list-wrapper .pwb-az-listing-title,
            .widget_pwb_filter_by_brand_widget ul li label,
            .woocommerce .comment-reply-title,
            .woocommerce .post-comments-title,
            .content-wrapper .content-inner .brand-list-wrapper ul.pwb-clearfix li a,
            .content-wrapper .content-inner .brand-list-wrapper ul.pwb-clearfix li a:hover,
            .woocommerce form .show-password-input.display-password::after, 
            .woocommerce-page form .show-password-input.display-password::after,
            .single-product.woocommerce div.product .yith-wcwl-add-to-wishlist .add_to_wishlist,
            .woocommerce table.shop_table_responsive tr td::before, 
            .woocommerce-page table.shop_table_responsive tr td::before,
            .single-product.woocommerce div.product .pwb-single-product-brands .pwb-text-before-brands-links {
                color: ' . esc_attr($standard_dark_text_color) . ';
            }
            .woocommerce .checkout_cart_table .product-remove a.remove:hover,
            .woocommerce .woocommerce-cart-form table.shop_table .product-remove .remove, 
            .woocommerce-page .woocommerce-cart-form table.shop_table .product-remove .remove {
                color: ' . esc_attr($standard_dark_text_color) . ' !important;
            }
            .woocommerce .quantity-wrapper.styled .btn-plus .icon:before, 
            .woocommerce .quantity-wrapper.styled .btn-plus .icon:after, 
            .woocommerce .quantity-wrapper.styled .btn-minus .icon:before,
            .woocommerce .quantity-wrapper.styled .btn-minus .icon:after,
            .filter-control-wrapper .filter-control-list .filter-control-item:after,
            .content-wrapper .content-inner .brand-list-wrapper ul.pwb-clearfix li:after {
                background-color: ' . esc_attr($standard_dark_text_color) . ';
            }
            .widget_product_categories ul > li:before {
                border-color: ' . esc_attr($standard_dark_text_color) . ';
            }
        ';
    }

    $standard_accent_text_color = cosmecos_get_prefered_option('standard_accent_text_color');
    if ( !empty($standard_accent_text_color) ) {
        $cosmecos_custom_css .= '
            .header .mini-cart .mini-cart-panel .woocommerce-mini-cart a:hover, 
            .mobile-header .mini-cart .mini-cart-panel .woocommerce-mini-cart a:hover,
            .mobile-header-menu-container .mini-cart .mini-cart-panel .woocommerce-mini-cart a:hover,
            .content-wrapper .widget_layered_nav_filters ul .chosen a:before,
            .content-wrapper .widget ul.product_list_widget li .price_wrapper,
            .content-wrapper .widget_shopping_cart .cart_list li .content-woocommerce-wrapper .quantity .amount,
            .woocommerce ul.products li.product .price,
            .woocommerce .yith-wcwl-add-to-wishlist .delete_item, 
            .woocommerce-page .yith-wcwl-add-to-wishlist .delete_item,
            .single-product.woocommerce .yith-wcwl-add-to-wishlist .delete_item,
            .product-filters-trigger-wrapper,
            a.remove_from_wishlist,
            .checkout_cart_table .product-total .amount,
            .woocommerce-account .woocommerce-MyAccount-navigation ul li.is-active > a,
            .woocommerce .outer-form-wrapper form.login a, 
            .woocommerce .outer-form-wrapper form.register a,
            .woocommerce-account .form-attention span,
            .woocommerce-account .form-attention a, 
            .woocommerce-page .woocommerce-cart-form table.shop_table .product-subtotal .amount,
            .woocommerce .woocommerce-cart-form table.shop_table .product-subtotal .amount,
            .single-product.woocommerce div.product .price,
            .woocommerce div.product form.cart .group_table .price_wrapper,
            .wc-block-grid__product .wc-block-grid__product-price .price_wrapper,
            .wc-block-grid__product .wc-block-grid__product-price .price,
            .widget_pwb_filter_by_brand_widget ul li label:hover,
            .single-product.woocommerce .content-wrapper .woocommerce-tabs .woocommerce-Tabs-panel--description > ul > li:before,
            body .content-wrapper .woocommerce-form-coupon-toggle .woocommerce-info:before,
            .pwb-brands-in-loop a:hover {
                color: ' . esc_attr($standard_accent_text_color) . ';
            }
            .woocommerce .checkout_cart_table .product-remove a.remove,
            .woocommerce .woocommerce-cart-form table.shop_table .product-remove .remove:hover, 
            .woocommerce-page .woocommerce-cart-form table.shop_table .product-remove .remove:hover {
                color: ' . esc_attr($standard_accent_text_color) . ' !important;
            }
            .content-wrapper .widget_rating_filter ul li.chosen a:before,
            .content-wrapper .woocommerce-widget-layered-nav ul.woocommerce-widget-layered-nav-list li.woocommerce-widget-layered-nav-list__item.chosen a:before,
            .content-wrapper .widget_layered_nav_filters ul .chosen a:hover,
            .content-wrapper .widget_product_tag_cloud .tagcloud .tag-cloud-link:hover,
            .single-product.woocommerce div.product .product_meta .tagged_as a:hover,
            .single-product.woocommerce div.product .pwb-single-product-brands a:hover,
            body .content-wrapper .woocommerce-form-coupon-toggle .woocommerce-info {
                border-color: ' . esc_attr($standard_accent_text_color) . ';
            }
            .content-wrapper .widget_rating_filter ul li.chosen a:before,
            .content-wrapper .woocommerce-widget-layered-nav ul.woocommerce-widget-layered-nav-list li.woocommerce-widget-layered-nav-list__item.chosen a:before,
            .content-wrapper .widget_layered_nav_filters ul .chosen a:hover,
            .content-wrapper .widget_product_tag_cloud .tagcloud .tag-cloud-link:hover,
            .woocommerce-checkout .content h3:before,
            .woocommerce-account .woocommerce-MyAccount-content h3:before,
            .woocommerce .outer-form-wrapper h5:before,
            .single-product.woocommerce div.product .product_meta .tagged_as a:hover,
            .single-product.woocommerce div.product .pwb-single-product-brands a:hover,
            .brand-list-wrapper .pwb-az-listing-title:before,
            .content-wrapper .widget_price_filter .price_slider_wrapper .ui-slider .ui-slider-handle:before {
                background-color: ' . esc_attr($standard_accent_text_color) . ';
            }
        ';
    }

    $standard_border_color = cosmecos_get_prefered_option('standard_border_color');
    if ( !empty($standard_border_color) ) {
        $cosmecos_custom_css .= '
            .woocommerce .catalog-top-info-wrapper .woocommerce-ordering:after {
                color: ' . esc_attr($standard_border_color) . ';
            }
            .header .mini-cart .mini-cart-panel .cart_list li,
            .header .mini-cart .mini-cart-panel .cart_list li .thumbnail-woocommerce_wrapper img,
            .mobile-header .mini-cart .mini-cart-panel .cart_list li,
            .mobile-header .mini-cart .mini-cart-panel .cart_list li .thumbnail-woocommerce_wrapper img,
            .mobile-header-menu-container .mini-cart .mini-cart-panel .cart_list li,
            .mobile-header-menu-container .mini-cart .mini-cart-panel .cart_list li .thumbnail-woocommerce_wrapper img,
            .content-wrapper .widget_product_search .woocommerce-product-search .search-field,
            .content-wrapper .widget_rating_filter ul li a:before,
            .content-wrapper .woocommerce-widget-layered-nav ul.woocommerce-widget-layered-nav-list li.woocommerce-widget-layered-nav-list__item a:before,
            .content-wrapper .widget ul.product_list_widget li a img,
            .content-wrapper .widget_shopping_cart .total,
            .woocommerce .shop_mode_list .woocommerce-loop-product__wrapper, 
            .woocommerce-page .shop_mode_list .woocommerce-loop-product__wrapper,
            .checkout_cart_table .product-thumbnail a img,
            .woocommerce form.checkout_coupon, 
            .woocommerce form.login, 
            .woocommerce form.register,
            .woocommerce-account .woocommerce-MyAccount-navigation ul,
            .woocommerce .woocommerce-cart-form table.shop_table td, 
            .woocommerce-page .woocommerce-cart-form table.shop_table td,
            .woocommerce .woocommerce-cart-form table.shop_table img, 
            .woocommerce-page .woocommerce-cart-form table.shop_table img,
            .woocommerce .woocommerce-cart-form table.shop_table td.actions .coupon .input-text, 
            .woocommerce-page .woocommerce-cart-form table.shop_table td.actions .coupon .input-text, 
            .single-product.woocommerce div.product .woocommerce-product-gallery .flex-viewport, 
            .single-product.woocommerce div.product .woocommerce-product-gallery .flex-control-nav.flex-control-thumbs li img,
            .brand-list-wrapper .pwb-az-listing-header li,
            .products-widget.view-type-compact ul.products li.product .woocommerce-loop-product__wrapper .attachment-woocommerce_wrapper,
            .woocommerce .woocommerce-cart-form table.shop_table tr:first-child td, 
            .woocommerce-page .woocommerce-cart-form table.shop_table tr:first-child td {
                border-color: ' . esc_attr($standard_border_color) . ';
            }
            .woocommerce .woocommerce-cart-form table.shop_table, 
            .woocommerce-page .woocommerce-cart-form table.shop_table {
                border-top-color: ' . esc_attr($standard_border_color) . ' !important;
            }
            .content-wrapper .widget_price_filter .price_slider_wrapper .ui-widget-content,
            .woocommerce .catalog-top-info-wrapper .woocommerce-ordering:before {
                background-color: ' . esc_attr($standard_border_color) . ';
            }
        ';
    }

    $standard_border_hover_color = cosmecos_get_prefered_option('standard_border_hover_color');
    if ( !empty($standard_border_hover_color) ) {
        $cosmecos_custom_css .= '
            .header .mini-cart .mini-cart-panel .cart_list li .thumbnail-woocommerce_wrapper:hover img,
            .header .mini-cart .mini-cart-panel,
            .header .mini-cart .mini-cart-panel:before,
            .mobile-header .mini-cart .mini-cart-panel .cart_list li .thumbnail-woocommerce_wrapper:hover img,
            .mobile-header .mini-cart .mini-cart-panel,
            .mobile-header .mini-cart .mini-cart-panel:before,
            .mobile-header-menu-container .mini-cart .mini-cart-panel .cart_list li .thumbnail-woocommerce_wrapper:hover img,
            .mobile-header-menu-container .mini-cart .mini-cart-panel,
            .mobile-header-menu-container .mini-cart .mini-cart-panel:before,
            .content-wrapper .widget_layered_nav_filters ul .chosen a,
            .content-wrapper .widget_product_tag_cloud .tagcloud .tag-cloud-link,
            .content-wrapper .widget ul.product_list_widget li a:hover img,
            .content-wrapper .widget_price_filter .price_slider_wrapper .ui-slider .ui-slider-handle,
            .woocommerce .shop_mode_list .woocommerce-loop-product__wrapper:hover, 
            .woocommerce-page .shop_mode_list .woocommerce-loop-product__wrapper:hover,
            .checkout_cart_table .product-thumbnail a:hover img,
            .woocommerce .woocommerce-cart-form table.shop_table a:hover img, 
            .woocommerce-page .woocommerce-cart-form table.shop_table a:hover img,
            .woocommerce .quantity-wrapper .quantity,
            .woocommerce .quantity-wrapper.styled .btn-plus, 
            .woocommerce .quantity-wrapper.styled .btn-minus,
            .single-product.woocommerce div.product .product_meta .tagged_as a,
            .single-product.woocommerce div.product .pwb-single-product-brands a,
            .woocommerce div.product .woocommerce-tabs ul.tabs li a,
            .woocommerce div.product .woocommerce-tabs ul.tabs li a:hover,
            .single-product.woocommerce div.product .woocommerce-product-gallery .flex-control-nav.flex-control-thumbs li img.flex-active,
            .brand-list-wrapper .pwb-az-listing-title,
            .products-widget ul.products li.product .woocommerce-loop-product__wrapper .attachment-woocommerce_wrapper .attachment-woocommerce_link,
            .woocommerce .shop_mode_grid ul.products li.product .woocommerce-loop-product__wrapper .attachment-woocommerce_wrapper .attachment-woocommerce_link,
            .woocommerce-page .shop_mode_grid ul.products li.product .woocommerce-loop-product__wrapper .attachment-woocommerce_wrapper .attachment-woocommerce_link,
            .single-product.woocommerce div.product .woocommerce-product-gallery > .woocommerce-product-gallery__wrapper .woocommerce-product-gallery__image a:before,
            .single-product.woocommerce div.product .woocommerce-product-gallery .flex-viewport .woocommerce-product-gallery__image a:before,
            .wc-block-grid__product .wc-block-grid__product-image:before {
                border-color: ' . esc_attr($standard_border_hover_color) . ';
            }
            .content-wrapper .widget_price_filter .price_slider_wrapper .ui-slider .ui-slider-range {
                background-color: ' . esc_attr($standard_border_hover_color) . ';
            }
        ';
    }

    $standard_background_color = cosmecos_get_prefered_option('standard_background_color');
    if ( !empty($standard_background_color) ) {
        $cosmecos_custom_css .= '
            .header .mini-cart .mini-cart-panel,
            .content-wrapper .widget_price_filter .price_slider_wrapper .ui-slider .ui-slider-handle,
            .woocommerce .shop_mode_list .woocommerce-loop-product__wrapper, 
            .woocommerce-page .shop_mode_list .woocommerce-loop-product__wrapper {
                background-color: ' . esc_attr($standard_background_color) . ';
            }
        ';
    }

    $standard_background_alter_color = cosmecos_get_prefered_option('standard_background_alter_color');
    if ( !empty($standard_background_alter_color) ) {
        $cosmecos_custom_css .= '
            #add_payment_method #payment div.payment_box, 
            .woocommerce-cart #payment div.payment_box, 
            .woocommerce-checkout #payment div.payment_box {
                background-color: ' . esc_attr($standard_background_alter_color) . ';
            }
            #add_payment_method #payment div.payment_box:before, 
            .woocommerce-cart #payment div.payment_box:before, 
            .woocommerce-checkout #payment div.payment_box:before {
                border-bottom-color: ' . esc_attr($standard_background_alter_color) . ';
            }
        ';
    }

    $standard_button_text_color = cosmecos_get_prefered_option('standard_button_text_color');
    if ( !empty($standard_button_text_color) ) {
        $cosmecos_custom_css .= '
            .content-wrapper .woocommerce a.button,
            .woocommerce .content-wrapper a.button,
            .content-wrapper .woocommerce button.button,
            .woocommerce .content-wrapper button.button,
            .content-wrapper .woocommerce input.button,
            .woocommerce .content-wrapper input.button,
            .content-wrapper .woocommerce #respond input#submit,
            .woocommerce .content-wrapper #respond input#submit,
            .content-wrapper .woocommerce .added_to_cart,
            .woocommerce .content-wrapper .added_to_cart,
            .woocommerce-pagination .page-numbers,
            .woocommerce-pagination .post-page-numbers,
            .woocommerce a.button.alt.disabled, 
            .woocommerce a.button.alt.disabled:hover, 
            .woocommerce a.button.alt:disabled, 
            .woocommerce a.button.alt:disabled:hover, 
            .woocommerce a.button.alt:disabled[disabled], 
            .woocommerce a.button.alt:disabled[disabled]:hover, 
            .woocommerce button.button.alt.disabled, 
            .woocommerce button.button.alt.disabled:hover, 
            .woocommerce button.button.alt:disabled, 
            .woocommerce button.button.alt:disabled:hover, 
            .woocommerce button.button.alt:disabled[disabled], 
            .woocommerce button.button.alt:disabled[disabled]:hover, 
            .woocommerce input.button.alt.disabled, 
            .woocommerce input.button.alt.disabled:hover, 
            .woocommerce input.button.alt:disabled, 
            .woocommerce input.button.alt:disabled:hover, 
            .woocommerce input.button.alt:disabled[disabled], 
            .woocommerce input.button.alt:disabled[disabled]:hover,
            .header .mini-cart .mini-cart-panel .woocommerce-mini-cart-buttons a.button:not(.checkout):hover,
            .content-wrapper .widget_shopping_cart .woocommerce-mini-cart-buttons a.button:not(.checkout):hover,
            .slide-sidebar-wrapper .widget_shopping_cart .woocommerce-mini-cart-buttons a.button:not(.checkout):hover {
                color: ' . esc_attr($standard_button_text_color) . ';
            }
        ';
    }

    $standard_button_border_color = cosmecos_get_prefered_option('standard_button_border_color');
    if ( !empty($standard_button_border_color) ) {
        $cosmecos_custom_css .= '
            .content-wrapper .woocommerce a.button,
            .woocommerce .content-wrapper a.button,
            .content-wrapper .woocommerce button.button,
            .woocommerce .content-wrapper button.button,
            .content-wrapper .woocommerce input.button,
            .woocommerce .content-wrapper input.button,
            .content-wrapper .woocommerce #respond input#submit,
            .woocommerce .content-wrapper #respond input#submit,
            .content-wrapper .woocommerce .added_to_cart,
            .woocommerce .content-wrapper .added_to_cart,
            .woocommerce-pagination .page-numbers,
            .woocommerce-pagination .post-page-numbers,
            .woocommerce #respond input#submit.alt.disabled, 
            .woocommerce #respond input#submit.alt.disabled:hover, 
            .woocommerce #respond input#submit.alt:disabled, 
            .woocommerce #respond input#submit.alt:disabled:hover, 
            .woocommerce #respond input#submit.alt:disabled[disabled], 
            .woocommerce #respond input#submit.alt:disabled[disabled]:hover, 
            .woocommerce a.button.alt.disabled, 
            .woocommerce a.button.alt.disabled:hover, 
            .woocommerce a.button.alt:disabled, 
            .woocommerce a.button.alt:disabled:hover, 
            .woocommerce a.button.alt:disabled[disabled], 
            .woocommerce a.button.alt:disabled[disabled]:hover, 
            .woocommerce button.button.alt.disabled, 
            .woocommerce button.button.alt.disabled:hover, 
            .woocommerce button.button.alt:disabled, 
            .woocommerce button.button.alt:disabled:hover, 
            .woocommerce button.button.alt:disabled[disabled], 
            .woocommerce button.button.alt:disabled[disabled]:hover, 
            .woocommerce input.button.alt.disabled, 
            .woocommerce input.button.alt.disabled:hover, 
            .woocommerce input.button.alt:disabled, 
            .woocommerce input.button.alt:disabled:hover, 
            .woocommerce input.button.alt:disabled[disabled], 
            .woocommerce input.button.alt:disabled[disabled]:hover,
            .header .mini-cart .mini-cart-panel .woocommerce-mini-cart-buttons a.button:not(.checkout):hover,
            .content-wrapper .widget_shopping_cart .woocommerce-mini-cart-buttons a.button:not(.checkout):hover,
            .slide-sidebar-wrapper .widget_shopping_cart .woocommerce-mini-cart-buttons a.button:not(.checkout):hover,
            .products-widget ul.products li.product .woocommerce-loop-product__wrapper .product-info-wrapper .price,
            .woocommerce .shop_mode_grid ul.products li.product .woocommerce-loop-product__wrapper .product-info-wrapper .price,
            .woocommerce-page .shop_mode_grid ul.products li.product .woocommerce-loop-product__wrapper .product-info-wrapper .price {
                border-color: ' . esc_attr($standard_button_border_color) . ';
            }
        ';
    }

    $standard_button_background_color = cosmecos_get_prefered_option('standard_button_background_color');
    if ( !empty($standard_button_background_color) ) {
        $cosmecos_custom_css .= '
            .content-wrapper .woocommerce a.button:after,
            .woocommerce .content-wrapper a.button:after,
            .content-wrapper .woocommerce button.button:after,
            .woocommerce .content-wrapper button.button:after,
            .content-wrapper .woocommerce input.button:after,
            .woocommerce .content-wrapper input.button:after,
            .content-wrapper .woocommerce #respond input#submit:after,
            .woocommerce .content-wrapper #respond input#submit:after,
            .content-wrapper .woocommerce .added_to_cart:after,
            .woocommerce .content-wrapper .added_to_cart:after,
            .woocommerce-pagination .page-numbers:before,
            .woocommerce-pagination .post-page-numbers:before,
            .header .mini-cart .mini-cart-panel .woocommerce-mini-cart-buttons a.button:not(.checkout):hover:after,
            .content-wrapper .widget_shopping_cart .woocommerce-mini-cart-buttons a.button:not(.checkout):hover:after,
            .slide-sidebar-wrapper .widget_shopping_cart .woocommerce-mini-cart-buttons a.button:not(.checkout):hover:after {
                background-color: ' . esc_attr($standard_button_background_color) . ';
            }
        ';
    }

    $standard_button_text_hover = cosmecos_get_prefered_option('standard_button_text_hover');
    if ( !empty($standard_button_text_hover) ) {
        $cosmecos_custom_css .= '
            .content-wrapper .woocommerce a.button:hover,
            .woocommerce .content-wrapper a.button:hover,
            .content-wrapper .woocommerce button.button:hover,
            .woocommerce .content-wrapper button.button:hover,
            .content-wrapper .woocommerce input.button:hover,
            .woocommerce .content-wrapper input.button:hover,
            .content-wrapper .woocommerce #respond input#submit:hover,
            .woocommerce .content-wrapper #respond input#submit:hover,
            .content-wrapper .woocommerce .added_to_cart:hover,
            .woocommerce .content-wrapper .added_to_cart:hover,
            .woocommerce-pagination .page-numbers:not(.dots):hover,
            .woocommerce-pagination .post-page-numbers:not(.dots):hover,
            .woocommerce-pagination .page-numbers.current,
            .woocommerce-pagination .post-page-numbers.current,
            .header .mini-cart .mini-cart-panel .woocommerce-mini-cart-buttons a.button:not(.checkout),
            .content-wrapper .widget_shopping_cart .woocommerce-mini-cart-buttons a.button:not(.checkout),
            .slide-sidebar-wrapper .widget_shopping_cart .woocommerce-mini-cart-buttons a.button:not(.checkout),
            .woocommerce .woocommerce-cart-form table.shop_table td.actions .button:disabled, 
            .woocommerce .woocommerce-cart-form table.shop_table td.actions .button[disabled] {
                color: ' . esc_attr($standard_button_text_hover) . ';
            }
        ';
    }

    $standard_button_border_hover = cosmecos_get_prefered_option('standard_button_border_hover');
    if ( !empty($standard_button_border_hover) ) {
        $cosmecos_custom_css .= '
            .content-wrapper .woocommerce a.button:hover,
            .woocommerce .content-wrapper a.button:hover,
            .content-wrapper .woocommerce button.button:hover,
            .woocommerce .content-wrapper button.button:hover,
            .content-wrapper .woocommerce input.button:hover,
            .woocommerce .content-wrapper input.button:hover,
            .content-wrapper .woocommerce #respond input#submit:hover,
            .woocommerce .content-wrapper #respond input#submit:hover,
            .content-wrapper .woocommerce .added_to_cart:hover,
            .woocommerce .content-wrapper .added_to_cart:hover,
            .woocommerce-pagination .page-numbers:not(.dots):hover,
            .woocommerce-pagination .post-page-numbers:not(.dots):hover,
            .woocommerce-pagination .page-numbers.current,
            .woocommerce-pagination .post-page-numbers.current,
            .header .mini-cart .mini-cart-panel .woocommerce-mini-cart-buttons a.button:not(.checkout),
            .content-wrapper .widget_shopping_cart .woocommerce-mini-cart-buttons a.button:not(.checkout),
            .slide-sidebar-wrapper .widget_shopping_cart .woocommerce-mini-cart-buttons a.button:not(.checkout) {
                border-color: ' . esc_attr($standard_button_border_hover) . ';
            }
        ';
    }

    $standard_button_background_hover = cosmecos_get_prefered_option('standard_button_background_hover');
    if ( !empty($standard_button_background_hover) ) {
        $cosmecos_custom_css .= '
            .content-wrapper .woocommerce a.button:hover:after,
            .woocommerce .content-wrapper a.button:hover:after,
            .content-wrapper .woocommerce button.button:hover:after,
            .woocommerce .content-wrapper button.button:hover:after,
            .content-wrapper .woocommerce input.button:hover:after,
            .woocommerce .content-wrapper input.button:hover:after,
            .content-wrapper .woocommerce #respond input#submit:hover:after,
            .woocommerce .content-wrapper #respond input#submit:hover:after,
            .content-wrapper .woocommerce .added_to_cart:hover:after,
            .woocommerce .content-wrapper .added_to_cart:hover:after,
            .woocommerce-pagination .page-numbers:not(.dots):hover:before,
            .woocommerce-pagination .post-page-numbers:not(.dots):hover:before,
            .woocommerce-pagination .page-numbers.current:before,
            .woocommerce-pagination .post-page-numbers.current:before,
            .header .mini-cart .mini-cart-panel .woocommerce-mini-cart-buttons a.button:not(.checkout):after,
            .content-wrapper .widget_shopping_cart .woocommerce-mini-cart-buttons a.button:not(.checkout):after,
            .slide-sidebar-wrapper .widget_shopping_cart .woocommerce-mini-cart-buttons a.button:not(.checkout):after {
                background-color: ' . esc_attr($standard_button_background_hover) . ';
            }
        ';
    }

    # Contrast Colors
    $contrast_default_text_color = cosmecos_get_prefered_option('contrast_default_text_color');
    if ( !empty($contrast_default_text_color) ) {
        $cosmecos_custom_css .= '
            .header .mini-cart .mini-cart-count > span,
            .mobile-header .mini-cart .mini-cart-count > span, 
            .mobile-header-menu-container .mini-cart .mini-cart-count > span,
            .woocommerce-store-notice,
            .woocommerce-store-notice.demo_store,
            .woocommerce-store-notice .woocommerce-store-notice__dismiss-link:before {
                color: ' . esc_attr($contrast_default_text_color) . ';
            }
        ';
    }

    $contrast_dark_text_color = cosmecos_get_prefered_option('contrast_dark_text_color');
    if ( !empty($contrast_dark_text_color) ) {
        $cosmecos_custom_css .= '
            .slide-sidebar-wrapper .widget_product_search .woocommerce-product-search button,
            .slide-sidebar-wrapper .widget_product_categories .post-count,
            .slide-sidebar-wrapper .widget_layered_nav_filters ul .chosen a,
            .slide-sidebar-wrapper .widget_product_tag_cloud .tagcloud .tag-cloud-link,
            .slide-sidebar-wrapper ul.product_list_widget li .product-title,
            .slide-sidebar-wrapper .widget_price_filter .price_slider_amount .price_label,
            .slide-sidebar-wrapper .widget_shopping_cart .total,
            .attachment-woocommerce_flash .flash-item,
            .woocommerce div.product .woocommerce-tabs ul.tabs li.active a,
            .woocommerce div.product .woocommerce-tabs ul.tabs li.active a:hover,
            .wc-block-grid__product .wc-block-grid__product-onsale {
                color: ' . esc_attr($contrast_dark_text_color) . ';
            }
            .woocommerce .quantity-wrapper.styled .btn-plus:hover .icon:before, 
            .woocommerce .quantity-wrapper.styled .btn-plus:hover .icon:after, 
            .woocommerce .quantity-wrapper.styled .btn-minus:hover .icon:before,
            .woocommerce .quantity-wrapper.styled .btn-minus:hover .icon:after {
                background-color: ' . esc_attr($contrast_dark_text_color) . ';
            }
        ';
    }

    $contrast_light_text_color = cosmecos_get_prefered_option('contrast_light_text_color');
    if ( !empty($contrast_light_text_color) ) {
        $cosmecos_custom_css .= '
            .slide-sidebar-wrapper .widget_product_categories li.cat-item-hierarchical,
            .slide-sidebar-wrapper .widget ul.product_list_widget li .price_wrapper del,
            .slide-sidebar-wrapper .woocommerce-widget-layered-nav-list .count {
                color: ' . esc_attr($contrast_light_text_color) . ';
            }
        ';
    }

    $contrast_accent_text_color = cosmecos_get_prefered_option('contrast_accent_text_color');
    if ( !empty($contrast_accent_text_color) ) {
        $cosmecos_custom_css .= '
            .slide-sidebar-wrapper .widget_layered_nav_filters ul .chosen a:before,
            .slide-sidebar-wrapper .widget ul.product_list_widget li .price_wrapper,
            .slide-sidebar-wrapper .widget_shopping_cart .cart_list li .content-woocommerce-wrapper .quantity .amount {
                color: ' . esc_attr($contrast_accent_text_color) . ';
            }
            .slide-sidebar-wrapper .widget_rating_filter ul li.chosen a:before,
            .slide-sidebar-wrapper .woocommerce-widget-layered-nav ul.woocommerce-widget-layered-nav-list li.woocommerce-widget-layered-nav-list__item.chosen a:before,
            .slide-sidebar-wrapper .widget_layered_nav_filters ul .chosen a:hover,
            .slide-sidebar-wrapper .widget_product_tag_cloud .tagcloud .tag-cloud-link:hover {
                border-color: ' . esc_attr($contrast_accent_text_color) . ';
            }
            .slide-sidebar-wrapper .widget_rating_filter ul li.chosen a:before,
            .slide-sidebar-wrapper .woocommerce-widget-layered-nav ul.woocommerce-widget-layered-nav-list li.woocommerce-widget-layered-nav-list__item.chosen a:before,
            .slide-sidebar-wrapper .widget_layered_nav_filters ul .chosen a:hover,
            .slide-sidebar-wrapper .widget_product_tag_cloud .tagcloud .tag-cloud-link:hover
            .slide-sidebar-wrapper .widget_price_filter .price_slider_wrapper .ui-slider .ui-slider-handle:before {
                background-color: ' . esc_attr($contrast_accent_text_color) . ';
            }
        ';
    }

    $contrast_border_color = cosmecos_get_prefered_option('contrast_border_color');
    if ( !empty($contrast_border_color) ) {
        $cosmecos_custom_css .= '
            .slide-sidebar-wrapper .widget_rating_filter ul li a:before,
            .slide-sidebar-wrapper .woocommerce-widget-layered-nav ul.woocommerce-widget-layered-nav-list li.woocommerce-widget-layered-nav-list__item a:before,
            .slide-sidebar-wrapper .widget ul.product_list_widget li a img,
            .slide-sidebar-wrapper .widget_shopping_cart .total {
                border-color: ' . esc_attr($contrast_border_color) . ';
            }
            .slide-sidebar-wrapper .widget_price_filter .price_slider_wrapper .ui-widget-content {
                background-color: ' . esc_attr($contrast_border_color) . ';
            }
        ';
    }

    $contrast_border_hover_color = cosmecos_get_prefered_option('contrast_border_hover_color');
    if ( !empty($contrast_border_hover_color) ) {
        $cosmecos_custom_css .= '
            .slide-sidebar-wrapper .widget_layered_nav_filters ul .chosen a,
            .slide-sidebar-wrapper .widget_product_tag_cloud .tagcloud .tag-cloud-link,
            .slide-sidebar-wrapper .widget ul.product_list_widget li a:hover img,
            .slide-sidebar-wrapper .widget_price_filter .price_slider_wrapper .ui-slider .ui-slider-handle {
                border-color: ' . esc_attr($contrast_border_hover_color) . ';
            }
            .slide-sidebar-wrapper .widget_price_filter .price_slider_wrapper .ui-slider .ui-slider-range {
                background-color: ' . esc_attr($contrast_border_hover_color) . ';
            }
        ';
    }

    $contrast_background_color = cosmecos_get_prefered_option('contrast_background_color');
    if ( !empty($contrast_background_color) ) {
        $cosmecos_custom_css .= '
            .slide-sidebar-wrapper .widget_rating_filter ul li a:after,
            .slide-sidebar-wrapper .woocommerce-widget-layered-nav ul.woocommerce-widget-layered-nav-list li.woocommerce-widget-layered-nav-list__item a:after,
            .slide-sidebar-wrapper .widget_layered_nav_filters ul .chosen a:hover,
            .slide-sidebar-wrapper .widget_layered_nav_filters ul .chosen a:hover:before,
            .slide-sidebar-wrapper .widget_product_tag_cloud .tagcloud .tag-cloud-link:hover {
                color: ' . esc_attr($contrast_background_color) . ';
            }
            .slide-sidebar-wrapper .widget_price_filter .price_slider_wrapper .ui-slider .ui-slider-handle,
            .attachment-woocommerce_flash .flash-item,
            .wc-block-grid__product .wc-block-grid__product-onsale,
            .woocommerce .quantity-wrapper.styled .btn-plus:hover, 
            .woocommerce .quantity-wrapper.styled .btn-minus:hover,
            .woocommerce div.product .woocommerce-tabs ul.tabs li.active a,
            .woocommerce div.product .woocommerce-tabs ul.tabs li.active a:hover,
            .woocommerce-store-notice,
            .woocommerce-store-notice.demo_store {
                background-color: ' . esc_attr($contrast_background_color) . ';
            }
        ';
    }

    $contrast_button_text_color = cosmecos_get_prefered_option('contrast_button_text_color');
    if ( !empty($contrast_button_text_color) ) {
        $cosmecos_custom_css .= '
            .slide-sidebar-wrapper .woocommerce a.button,
            .woocommerce .slide-sidebar-wrapper a.button,
            .slide-sidebar-wrapper .woocommerce button.button,
            .woocommerce .slide-sidebar-wrapper button.button,
            .slide-sidebar-wrapper .woocommerce input.button,
            .woocommerce .slide-sidebar-wrapper input.button,
            .slide-sidebar-wrapper .woocommerce #respond input#submit,
            .woocommerce .slide-sidebar-wrapper #respond input#submit,
            .slide-sidebar-wrapper .woocommerce .added_to_cart, 
            .woocommerce .slide-sidebar-wrapper .added_to_cart {
                color: ' . esc_attr($contrast_button_text_color) . ';
            }
        ';
    }

    $contrast_button_border_color = cosmecos_get_prefered_option('contrast_button_border_color');
    if ( !empty($contrast_button_border_color) ) {
        $cosmecos_custom_css .= '
            .slide-sidebar-wrapper .woocommerce a.button,
            .woocommerce .slide-sidebar-wrapper a.button,
            .slide-sidebar-wrapper .woocommerce button.button,
            .woocommerce .slide-sidebar-wrapper button.button,
            .slide-sidebar-wrapper .woocommerce input.button,
            .woocommerce .slide-sidebar-wrapper input.button,
            .slide-sidebar-wrapper .woocommerce #respond input#submit,
            .woocommerce .slide-sidebar-wrapper #respond input#submit,
            .slide-sidebar-wrapper .woocommerce .added_to_cart, 
            .woocommerce .slide-sidebar-wrapper .added_to_cart {
                border-color: ' . esc_attr($contrast_button_border_color) . ';
            }
        ';
    }

    $contrast_button_background_color = cosmecos_get_prefered_option('contrast_button_background_color');
    if ( !empty($contrast_button_background_color) ) {
        $cosmecos_custom_css .= '
            .slide-sidebar-wrapper .woocommerce a.button:after,
            .woocommerce .slide-sidebar-wrapper a.button:after,
            .slide-sidebar-wrapper .woocommerce button.button:after,
            .woocommerce .slide-sidebar-wrapper button.button:after,
            .slide-sidebar-wrapper .woocommerce input.button:after,
            .woocommerce .slide-sidebar-wrapper input.button:after,
            .slide-sidebar-wrapper .woocommerce #respond input#submit:after,
            .woocommerce .slide-sidebar-wrapper #respond input#submit:after,
            .slide-sidebar-wrapper .woocommerce .added_to_cart:after, 
            .woocommerce .slide-sidebar-wrapper .added_to_cart:after {
                background-color: ' . esc_attr($contrast_button_background_color) . ';
            }
        ';
    }

    $contrast_button_text_hover = cosmecos_get_prefered_option('contrast_button_text_hover');
    if ( !empty($contrast_button_text_hover) ) {
        $cosmecos_custom_css .= '
            .slide-sidebar-wrapper .woocommerce a.button:hover,
            .woocommerce .slide-sidebar-wrapper a.button:hover,
            .slide-sidebar-wrapper .woocommerce button.button:hover,
            .woocommerce .slide-sidebar-wrapper button.button:hover,
            .slide-sidebar-wrapper .woocommerce input.button:hover,
            .woocommerce .slide-sidebar-wrapper input.button:hover,
            .slide-sidebar-wrapper .woocommerce #respond input#submit:hover,
            .woocommerce .slide-sidebar-wrapper #respond input#submit:hover,
            .slide-sidebar-wrapper .woocommerce .added_to_cart:hover, 
            .woocommerce .slide-sidebar-wrapper .added_to_cart:hover {
                color: ' . esc_attr($contrast_button_text_hover) . ';
            }
        ';
    }

    $contrast_button_border_hover = cosmecos_get_prefered_option('contrast_button_border_hover');
    if ( !empty($contrast_button_border_hover) ) {
        $cosmecos_custom_css .= '
            .slide-sidebar-wrapper .woocommerce a.button:hover,
            .woocommerce .slide-sidebar-wrapper a.button:hover,
            .slide-sidebar-wrapper .woocommerce button.button:hover,
            .woocommerce .slide-sidebar-wrapper button.button:hover,
            .slide-sidebar-wrapper .woocommerce input.button:hover,
            .woocommerce .slide-sidebar-wrapper input.button:hover,
            .slide-sidebar-wrapper .woocommerce #respond input#submit:hover,
            .woocommerce .slide-sidebar-wrapper #respond input#submit:hover,
            .slide-sidebar-wrapper .woocommerce .added_to_cart:hover, 
            .woocommerce .slide-sidebar-wrapper .added_to_cart:hover {
                border-color: ' . esc_attr($contrast_button_border_hover) . ';
            }
        ';
    }

    $contrast_button_background_hover = cosmecos_get_prefered_option('contrast_button_background_hover');
    if ( !empty($contrast_button_background_hover) ) {
        $cosmecos_custom_css .= '
            .slide-sidebar-wrapper .woocommerce a.button:hover:after,
            .woocommerce .slide-sidebar-wrapper a.button:hover:after,
            .slide-sidebar-wrapper .woocommerce button.button:hover:after,
            .woocommerce .slide-sidebar-wrapper button.button:hover:after,
            .slide-sidebar-wrapper .woocommerce input.button:hover:after,
            .woocommerce .slide-sidebar-wrapper input.button:hover:after,
            .slide-sidebar-wrapper .woocommerce #respond input#submit:hover:after,
            .woocommerce .slide-sidebar-wrapper #respond input#submit:hover:after,
            .slide-sidebar-wrapper .woocommerce .added_to_cart:hover:after, 
            .woocommerce .slide-sidebar-wrapper .added_to_cart:hover:after {
                background-color: ' . esc_attr($contrast_button_background_hover) . ';
            }
        ';
    }

    # Buttons
    $buttons_font_family = cosmecos_get_prepared_option('buttons_font_family');
    $buttons_font_size = cosmecos_get_prepared_option('buttons_font_size');
    $buttons_font_weight = cosmecos_get_prepared_option('buttons_font_weight');
    $buttons_uppercase = (bool)cosmecos_get_prepared_option('buttons_uppercase');
    $buttons_italic = (bool)cosmecos_get_prepared_option('buttons_italic');
    if ( !empty($buttons_font_family) || !empty($buttons_font_size) || !empty($buttons_font_weight) || $buttons_uppercase || $buttons_italic ) {
        $cosmecos_custom_css .= '
            .woocommerce a.button,
            .woocommerce button.button,
            .woocommerce input.button,
            .woocommerce #respond input#submit,
            .woocommerce .added_to_cart,
            #add_payment_method .wc-proceed-to-checkout a.checkout-button, 
            .woocommerce-cart .wc-proceed-to-checkout a.checkout-button, 
            .woocommerce-checkout .wc-proceed-to-checkout a.checkout-button {' .
                ( !empty($buttons_font_family) ? 'font-family: "' . esc_attr($buttons_font_family) . '", sans-serif;' : '' ) .
                ( !empty($buttons_font_size) ? 'font-size: ' . esc_attr($buttons_font_size) . ';' : '' ) .
                ( !empty($buttons_font_weight) ? 'font-weight: ' . esc_attr($buttons_font_weight) . ';' : '' ) .
                ( $buttons_uppercase ? 'text-transform: uppercase;' : '' ) .
                ( $buttons_italic ? 'font-style: italic;' : '' ) .
            '}
        ';
    }

    # Main Font
    $main_font_family = cosmecos_get_prepared_option('main_font_family');
    if ( !empty($main_font_family) ) {
        $cosmecos_custom_css .= '
            h3#ship-to-different-address {' .
                ( !empty($main_font_family) ? 'font-family: "' . esc_attr($main_font_family) . '", sans-serif;' : '' ) .
            '}
        ';
    }

    # Typography Headings
    $headings_font_family = cosmecos_get_prepared_option('headings_font_family');
    if ( !empty($headings_font_family) ) {
        $cosmecos_custom_css .= '
            .widget_product_categories ul li,
            .widget_pwb_list_widget ul li,
            ul.product_list_widget li .product-title,
            .widget_layered_nav_filters .tagcloud .tag-cloud-link,
            .widget_product_tag_cloud .tagcloud .tag-cloud-link,
            .widget_layered_nav ul.woocommerce-widget-layered-nav-list li.woocommerce-widget-layered-nav-list__item,
            .catalog-top-info-wrapper .woocommerce-result-count,
            .woocommerce-ordering select,
            .attachment-woocommerce_flash .flash-item,
            .checkout_cart_table .product-name .product-name-title,
            .woocommerce-checkout-review-total .checkout_total_table td:first-child,
            .woocommerce .woocommerce-cart-form table.shop_table th, 
            .woocommerce-page .woocommerce-cart-form table.shop_table th,
            .woocommerce .woocommerce-cart-form table.shop_table td.product-name, 
            .woocommerce-page .woocommerce-cart-form table.shop_table td.product-name,
            .woocommerce .quantity-wrapper .quantity .qty,
            .woocommerce .cart-collaterals .cart_totals table.shop_table th,
            .woocommerce-page .cart-collaterals .cart_totals table.shop_table th,
            .woocommerce div.product .product_meta,
            .single-product.woocommerce div.product .pwb-single-product-brands,
            .woocommerce-tabs ul.tabs li a,
            .commentlist li.review .comment_container .woocommerce-review__author,
            .filter-control-wrapper .filter-control-list .filter-control-item,
            .brand-list-wrapper .pwb-az-listing-title,
            .brand-list-wrapper .pwb-az-listing-col > a,
            .widget_pwb_filter_by_brand_widget ul li label,
            .content-wrapper .content-inner .brand-list-wrapper ul.pwb-clearfix li,
            .wc-block-grid__product .wc-block-grid__product-title,
            .wc-block-grid__product .wc-block-grid__product-onsale,
            .product-category-widget .product-category-header {
                font-family: "' . esc_attr($headings_font_family) . '", sans-serif;
            }
        ';
    }

}